'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) {
  return typeof obj;
} : function (obj) {
  return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
};











var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();





var defineProperty = function (obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
};



var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};











var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};



















var toConsumableArray = function (arr) {
  if (Array.isArray(arr)) {
    for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) arr2[i] = arr[i];

    return arr2;
  } else {
    return Array.from(arr);
  }
};

var support = typeof Symbol === 'function';

/**
 * Polyfill registry for symbols.
 * @type {Array}
 */
var registry = [];

/**
 * Polyfill for Symbol.
 *
 * @class SymbolPolyfill
 * @param {string} property The Symbol name.
 */

var SymbolPolyfill = function () {
    function SymbolPolyfill(property) {
        classCallCheck(this, SymbolPolyfill);

        var sym = this.SYM = '__' + property + '_' + registry.length;
        registry.push(sym);
        Object.defineProperty(Object.prototype, sym, {
            configurable: true,
            enumerable: false,
            set: function set$$1(x) {
                Object.defineProperty(this, sym, {
                    configurable: true,
                    enumerable: false,
                    writable: true,
                    value: x
                });
            }
        });
    }

    SymbolPolyfill.prototype.toString = function toString() {
        return this.SYM;
    };

    return SymbolPolyfill;
}();

/**
 * Create a symbolic key for objects's properties.
 *
 * @param {string} property The Symbol name.
 * @return {Symbol|Symbolic}
 */


function Symbolic(property) {
    if (support) {
        // native Symbol support.
        var sym = Symbol(property);
        registry.push(sym);
        return sym;
    }
    return new SymbolPolyfill(property);
}

/**
 * Check if an instance is a Symbol.
 * @param {Symbol|Symbolic} sym The symbol to check.
 * @return {Boolean}
 */
Symbolic.isSymbolic = function (sym) {
    if (sym instanceof SymbolPolyfill) {
        return true;
    }
    return sym && support && registry.indexOf(sym) !== -1;
};

var MIXINS_SYM = Symbolic('mixins');

/**
 * Mix a class with a mixin.
 * Inspired by Justin Fagnani (https://github.com/justinfagnani).
 *
 * @method mix
 * @param {Function} SuperClass The class to extend.
 * @return {MixinScope} A MixinScope instance.
 * @module mix
 */
function mix(SuperClass) {
    return new MixinScope(SuperClass);
}

/**
 * A Mixin helper class.
 * @class MixinScope
 * @memberof mix
 */

var MixinScope = function () {
    /**
     * Create a mixable class.
     * @private
     * @param {Function} superClass The class to extend.
     */
    function MixinScope(superclass) {
        classCallCheck(this, MixinScope);

        superclass = superclass || function () {
            function _class() {
                classCallCheck(this, _class);
            }

            return _class;
        }();
        this.superclass = superclass;
    }
    /**
     * Mix the super class with a list of mixins.
     * @memberof mix.MixinScope
     *
     * @param {...Function} mixins *N* mixin functions.
     * @return {Function} The extended class.
     */


    MixinScope.prototype.with = function _with() {
        var _this = this,
            _Class$MIXINS_SYM;

        var Class = this.superclass;

        for (var _len = arguments.length, mixins = Array(_len), _key = 0; _key < _len; _key++) {
            mixins[_key] = arguments[_key];
        }

        mixins.forEach(function (mixin) {
            if (!_this.has(mixin)) {
                Class = mixin(Class);
            }
        });
        Class[MIXINS_SYM] = Class[MIXINS_SYM] || [];
        (_Class$MIXINS_SYM = Class[MIXINS_SYM]).push.apply(_Class$MIXINS_SYM, mixins);
        return Class;
    };
    /**
     * Check if the SuperClass has been already mixed with a mixin function.
     * @memberof mix.MixinScope
     *
     * @param {Function} mixin The mixin function.
     * @return {Boolean}
     */


    MixinScope.prototype.has = function has(mixin) {
        var Class = this.superClass;
        while (Class && Class !== Object) {
            var attached = Class[MIXINS_SYM] || [];
            if (attached.indexOf(mixin) !== -1) {
                return true;
            }
            Class = Object.getPrototypeOf(Class);
        }
        return false;
    };

    return MixinScope;
}();

/**
 * This is a retro-compatibility file.
 * Use `@chialab/proteins` mix function instead.
 */

var INTERNAL_SYM = Symbolic('internal');

function internal(object) {
    object[INTERNAL_SYM] = object[INTERNAL_SYM] || {};
    return object[INTERNAL_SYM];
}

internal.destroy = function (object) {
    delete object[INTERNAL_SYM];
};

/**
 * Check if a value is a function.
 *
 * @param {*} obj The value to check.
 * @return {Boolean}
 */
function isFunction(obj) {
  return typeof obj === 'function';
}
/**
 * Check if a value is a string.
 *
 * @param {*} obj The value to check.
 * @return {Boolean}
 */
function isString(obj) {
  return typeof obj === 'string';
}
/**
 * Check if a value is a number.
 *
 * @param {*} obj The value to check.
 * @return {Boolean}
 */
function isNumber(obj) {
  return typeof obj === 'number' && !isNaN(obj);
}
/**
 * Check if a value is a bool.
 *
 * @param {*} obj The value to check.
 * @return {Boolean}
 */

/**
 * Check if a value is a date.
 *
 * @param {*} obj The value to check.
 * @return {Boolean}
 */
function isDate(obj) {
  return obj instanceof Date;
}
/**
 * Check if a value is an object.
 *
 * @param {*} obj The value to check.
 * @return {Boolean}
 */
function isObject(obj) {
  return Object.prototype.toString.call(obj) === '[object Object]';
}
/**
 * Check if a value is undefined.
 *
 * @param {*} obj The value to check.
 * @return {Boolean}
 */
function isUndefined(obj) {
  return typeof obj === 'undefined';
}
/**
 * Check if a value is an array.
 *
 * @param {*} obj The value to check.
 * @return {Boolean}
 */
function isArray(obj) {
  return Array.isArray(obj);
}
/**
 * Check if falsy value.
 *
 * @param {*} obj The value to check.
 * @return {Boolean}
 */
function isFalsy(obj) {
  return isUndefined(obj) || obj === null || obj === false || typeof obj === 'number' && isNaN(obj);
}

var SYM = Symbolic('listeners');

/**
 * Add a callback for the specified trigger.
 *
 * @param {Object} scope The event scope
 * @param {String} name The event name
 * @param {Function} callback The callback function
 * @return {Function} Destroy created listener with this function
 */
function on(scope, name, callback) {
    if (!isFunction(callback)) {
        throw new TypeError('callback is not a function');
    }
    scope[SYM] = scope[SYM] || {};
    var callbacks = scope[SYM];
    var evtCallbacks = callbacks[name] = callbacks[name] || [];
    evtCallbacks.push(callback);
    return off.bind(null, scope, name, callback);
}
/**
 * Remove one or multiple listeners.
 *
 * @param {Object} scope The event scope
 * @param {String} [name] Optional event name to reset
 * @param {Function} [callback] Callback to remove (empty, removes all listeners).
 */
function off(scope, name, callback) {
    if (callback) {
        var callbacks = scope[SYM];
        if (callbacks) {
            var evtCallbacks = callbacks[name] = callbacks[name] || [];
            var io = evtCallbacks.indexOf(callback);
            if (io !== -1) {
                evtCallbacks.splice(io, 1);
            }
        }
    } else if (name) {
        var _callbacks = scope[SYM];
        if (_callbacks) {
            delete _callbacks[name];
        }
    } else {
        scope[SYM] = {};
    }
}

function flush(registered, callbacks, index, res, scope) {
    for (var _len = arguments.length, args = Array(_len > 5 ? _len - 5 : 0), _key = 5; _key < _len; _key++) {
        args[_key - 5] = arguments[_key];
    }

    if (index === callbacks.length) {
        return res instanceof Promise ? res : Promise.resolve(res);
    }
    var callback = callbacks[index];
    if (registered.indexOf(callback) !== -1) {
        res = callback.call.apply(callback, [scope].concat(args));
    }
    if (res instanceof Promise) {
        return res.then(function () {
            return flush.apply(undefined, [registered, callbacks, index + 1, res, scope].concat(args));
        });
    }
    return flush.apply(undefined, [registered, callbacks, index + 1, res, scope].concat(args));
}

/**
 * Trigger a callback.
 *
 * @param {Object} scope The event scope
 * @param {String} name Event name
 * @param {...*} [args] Arguments to pass to callbacks
 * @return {Promise} The final Promise of the callbacks chain
 */
function trigger(scope, name) {
    if (scope.hasOwnProperty(SYM) && scope[SYM].hasOwnProperty(name)) {
        for (var _len2 = arguments.length, args = Array(_len2 > 2 ? _len2 - 2 : 0), _key2 = 2; _key2 < _len2; _key2++) {
            args[_key2 - 2] = arguments[_key2];
        }

        return flush.apply(undefined, [scope[SYM][name], scope[SYM][name].slice(0), 0, null, scope].concat(args));
    }
}

var LISTENERS_SYM = Symbolic('listeners');

var CallbackMixin = function CallbackMixin(SuperClass) {
    return function (_SuperClass) {
        inherits(_class, _SuperClass);

        function _class() {
            classCallCheck(this, _class);

            for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
                args[_key] = arguments[_key];
            }

            var _this = possibleConstructorReturn(this, _SuperClass.call.apply(_SuperClass, [this].concat(args)));

            if (!_this[LISTENERS_SYM]) {
                _this[LISTENERS_SYM] = [];
            }
            return _this;
        }

        _class.prototype.on = function on$$1(name, callback) {
            return on(this, name, callback);
        };

        _class.prototype.off = function off$$1(name, callback) {
            return off(this, name, callback);
        };

        _class.prototype.trigger = function trigger$$1(name) {
            for (var _len2 = arguments.length, args = Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
                args[_key2 - 1] = arguments[_key2];
            }

            return trigger.apply(undefined, [this, name].concat(args));
        };

        _class.prototype.listen = function listen(obj, name, callback) {
            var destroyer = on(obj, name, callback);
            this[LISTENERS_SYM].push(destroyer);
            return destroyer;
        };

        _class.prototype.unlisten = function unlisten(obj, name, callback) {
            if (obj) {
                off(obj, name, callback);
            } else {
                this[LISTENERS_SYM].forEach(function (offListener) {
                    return offListener();
                });
                this[LISTENERS_SYM] = [];
            }
        };

        _class.prototype.destroy = function destroy() {
            this.off();
            this.unlisten();
            return _SuperClass.prototype.destroy ? _SuperClass.prototype.destroy.call(this) : Promise.resolve();
        };

        return _class;
    }(SuperClass);
};

var BaseMixin = function BaseMixin(SuperClass) {
    return function (_SuperClass) {
        inherits(_class, _SuperClass);

        function _class() {
            classCallCheck(this, _class);

            for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
                args[_key] = arguments[_key];
            }

            var _this = possibleConstructorReturn(this, _SuperClass.call.apply(_SuperClass, [this].concat(args)));

            internal(_this).readyPromises = [];
            return _this;
        }

        _class.prototype.initialize = function initialize() {
            internal(this).initialized = true;
            return Promise.resolve();
        };

        _class.prototype.initialized = function initialized() {
            return !!internal(this).initialized;
        };

        _class.prototype.initializing = function initializing() {
            var promises = internal(this).readyPromises;
            if (promises) {
                return !!promises.length;
            }
            return false;
        };

        _class.prototype.ready = function ready() {
            var _this2 = this;

            var promises = internal(this).readyPromises;
            if (!promises) {
                return Promise.resolve();
            }
            return Promise.all(promises).then(function () {
                return Promise.all(promises).then(function (res) {
                    internal(_this2).readyPromises = null;
                    return Promise.resolve(res);
                });
            });
        };

        _class.prototype.addReadyPromise = function addReadyPromise(promise) {
            internal(this).readyPromises.push(promise);
            return promise;
        };

        _class.prototype.isDestroyed = function isDestroyed() {
            return this.destroyed;
        };

        _class.prototype.destroy = function destroy() {
            var _this3 = this;

            var destroyPromise = Promise.resolve().then(function () {
                return _SuperClass.prototype.destroy ? _SuperClass.prototype.destroy.call(_this3) : true;
            });
            return destroyPromise.then(function () {
                internal.destroy(_this3);
                _this3.destroyed = true;
                return Promise.resolve();
            });
        };

        _class.prototype.setContext = function setContext(ctx) {
            internal(this).ctx = ctx;
        };

        _class.prototype.getContext = function getContext() {
            return internal(this).ctx || this;
        };

        _class.prototype.initClass = function initClass(Class) {
            for (var _len2 = arguments.length, args = Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
                args[_key2 - 1] = arguments[_key2];
            }

            var obj = new (Function.prototype.bind.apply(Class, [null].concat(args)))();
            obj.setContext(this.getContext());
            if (!obj.initializing() && !obj.initialized()) {
                obj.addReadyPromise(obj.initialize.apply(obj, args));
            }
            return obj.ready().then(function () {
                return Promise.resolve(obj);
            });
        };

        return _class;
    }(SuperClass);
};

var Factory = function (_mix$with) {
    inherits(Factory, _mix$with);

    function Factory() {
        classCallCheck(this, Factory);
        return possibleConstructorReturn(this, _mix$with.apply(this, arguments));
    }

    Factory.prototype.factory = function factory(name) {
        var injected = this.getContext().getInjected();
        return injected && injected[name];
    };

    return Factory;
}(mix(function () {
    function _class() {
        classCallCheck(this, _class);
    }

    return _class;
}()).with(CallbackMixin, BaseMixin));

var InjectableMixin = function InjectableMixin(SuperClass) {
    return function (_SuperClass) {
        inherits(_class, _SuperClass);

        function _class() {
            classCallCheck(this, _class);

            for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
                args[_key] = arguments[_key];
            }

            var _this = possibleConstructorReturn(this, _SuperClass.call.apply(_SuperClass, [this].concat(args)));

            internal(_this).injected = {};
            return _this;
        }

        _class.prototype.initialize = function initialize() {
            var _this2 = this;

            var config = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

            return _SuperClass.prototype.initialize.call(this, config).then(function () {
                return _this2.beforeInjectsInitialization(config).then(function (injectors) {
                    return _this2.injectMultiple(injectors);
                }).then(function () {
                    return _this2.afterInjectsInitialization();
                });
            });
        };

        _class.prototype.getContextInjected = function getContextInjected() {
            return internal(this.getContext()).injected;
        };

        _class.prototype.getInjected = function getInjected() {
            return internal(this).injected;
        };

        _class.prototype.beforeInjectsInitialization = function beforeInjectsInitialization(config) {
            var fromCfg = config.injectors || {};
            var fromCtr = this.constructor.injectors || {};
            return Promise.resolve([fromCfg, fromCtr]);
        };

        _class.prototype.afterInjectsInitialization = function afterInjectsInitialization() {
            return Promise.resolve();
        };

        _class.prototype.onInjectReady = function onInjectReady(inject, fn) {
            internal(this).injected[inject] = fn;
            return Promise.resolve();
        };

        _class.prototype.injectMultiple = function injectMultiple(injectors) {
            var _this3 = this;

            var promise = Promise.resolve();
            if (Array.isArray(injectors)) {
                injectors.forEach(function (injs) {
                    promise = promise.then(function () {
                        return _this3.injectMultiple(injs);
                    });
                });
            } else {
                var _loop = function _loop(name) {
                    if (injectors[name]) {
                        promise = promise.then(function () {
                            return _this3.inject(name, injectors[name]);
                        });
                    }
                };

                for (var name in injectors) {
                    _loop(name);
                }
            }
            return promise;
        };

        _class.prototype.inject = function inject(_inject, Fn) {
            var _this4 = this;

            var injs = this.getContextInjected();
            if (injs.hasOwnProperty(_inject)) {
                return Promise.resolve(injs[_inject]);
            }
            var args = [];
            if (Array.isArray(Fn)) {
                args = Fn.slice(1);
                Fn = Fn[0];
            }
            var resolve = Promise.resolve(Fn);
            if (typeof Fn === 'function') {
                resolve = this.initClass.apply(this, [Fn].concat(toConsumableArray(args)));
            }
            return resolve.then(function (fn) {
                injs[_inject] = fn;
                return fn.ready().then(function () {
                    return _this4.onInjectReady(_inject, fn);
                });
            });
        };

        return _class;
    }(SuperClass);
};

var commonjsGlobal = typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};





function createCommonjsModule(fn, module) {
	return module = { exports: {} }, fn(module, module.exports), module.exports;
}

var tv4 = createCommonjsModule(function (module) {
/*
Author: Geraint Luff and others
Year: 2013

This code is released into the "public domain" by its author(s).  Anybody may use, alter and distribute the code without restriction.  The author makes no guarantees, and takes no liability of any kind for use of this code.

If you find a bug or make an improvement, it would be courteous to let the author know, but it is not compulsory.
*/
(function (global, factory) {
  if (typeof undefined === 'function' && undefined.amd) {
    // AMD. Register as an anonymous module.
    undefined([], factory);
  } else if ('object' !== 'undefined' && module.exports){
    // CommonJS. Define export.
    module.exports = factory();
  } else {
    // Browser globals
    global.tv4 = factory();
  }
}(commonjsGlobal, function () {

// https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/keys?redirectlocale=en-US&redirectslug=JavaScript%2FReference%2FGlobal_Objects%2FObject%2Fkeys
if (!Object.keys) {
	Object.keys = (function () {
		var hasOwnProperty = Object.prototype.hasOwnProperty,
			hasDontEnumBug = !({toString: null}).propertyIsEnumerable('toString'),
			dontEnums = [
				'toString',
				'toLocaleString',
				'valueOf',
				'hasOwnProperty',
				'isPrototypeOf',
				'propertyIsEnumerable',
				'constructor'
			],
			dontEnumsLength = dontEnums.length;

		return function (obj) {
			if (typeof obj !== 'object' && typeof obj !== 'function' || obj === null) {
				throw new TypeError('Object.keys called on non-object');
			}

			var result = [];

			for (var prop in obj) {
				if (hasOwnProperty.call(obj, prop)) {
					result.push(prop);
				}
			}

			if (hasDontEnumBug) {
				for (var i=0; i < dontEnumsLength; i++) {
					if (hasOwnProperty.call(obj, dontEnums[i])) {
						result.push(dontEnums[i]);
					}
				}
			}
			return result;
		};
	})();
}
// https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/create
if (!Object.create) {
	Object.create = (function(){
		function F(){}

		return function(o){
			if (arguments.length !== 1) {
				throw new Error('Object.create implementation only accepts one parameter.');
			}
			F.prototype = o;
			return new F();
		};
	})();
}
// https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/isArray?redirectlocale=en-US&redirectslug=JavaScript%2FReference%2FGlobal_Objects%2FArray%2FisArray
if(!Array.isArray) {
	Array.isArray = function (vArg) {
		return Object.prototype.toString.call(vArg) === "[object Array]";
	};
}
// https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/indexOf?redirectlocale=en-US&redirectslug=JavaScript%2FReference%2FGlobal_Objects%2FArray%2FindexOf
if (!Array.prototype.indexOf) {
	Array.prototype.indexOf = function (searchElement /*, fromIndex */ ) {
		if (this === null) {
			throw new TypeError();
		}
		var t = Object(this);
		var len = t.length >>> 0;

		if (len === 0) {
			return -1;
		}
		var n = 0;
		if (arguments.length > 1) {
			n = Number(arguments[1]);
			if (n !== n) { // shortcut for verifying if it's NaN
				n = 0;
			} else if (n !== 0 && n !== Infinity && n !== -Infinity) {
				n = (n > 0 || -1) * Math.floor(Math.abs(n));
			}
		}
		if (n >= len) {
			return -1;
		}
		var k = n >= 0 ? n : Math.max(len - Math.abs(n), 0);
		for (; k < len; k++) {
			if (k in t && t[k] === searchElement) {
				return k;
			}
		}
		return -1;
	};
}

// Grungey Object.isFrozen hack
if (!Object.isFrozen) {
	Object.isFrozen = function (obj) {
		var key = "tv4_test_frozen_key";
		while (obj.hasOwnProperty(key)) {
			key += Math.random();
		}
		try {
			obj[key] = true;
			delete obj[key];
			return false;
		} catch (e) {
			return true;
		}
	};
}
// Based on: https://github.com/geraintluff/uri-templates, but with all the de-substitution stuff removed

var uriTemplateGlobalModifiers = {
	"+": true,
	"#": true,
	".": true,
	"/": true,
	";": true,
	"?": true,
	"&": true
};
var uriTemplateSuffices = {
	"*": true
};

function notReallyPercentEncode(string) {
	return encodeURI(string).replace(/%25[0-9][0-9]/g, function (doubleEncoded) {
		return "%" + doubleEncoded.substring(3);
	});
}

function uriTemplateSubstitution(spec) {
	var modifier = "";
	if (uriTemplateGlobalModifiers[spec.charAt(0)]) {
		modifier = spec.charAt(0);
		spec = spec.substring(1);
	}
	var separator = "";
	var prefix = "";
	var shouldEscape = true;
	var showVariables = false;
	var trimEmptyString = false;
	if (modifier === '+') {
		shouldEscape = false;
	} else if (modifier === ".") {
		prefix = ".";
		separator = ".";
	} else if (modifier === "/") {
		prefix = "/";
		separator = "/";
	} else if (modifier === '#') {
		prefix = "#";
		shouldEscape = false;
	} else if (modifier === ';') {
		prefix = ";";
		separator = ";";
		showVariables = true;
		trimEmptyString = true;
	} else if (modifier === '?') {
		prefix = "?";
		separator = "&";
		showVariables = true;
	} else if (modifier === '&') {
		prefix = "&";
		separator = "&";
		showVariables = true;
	}

	var varNames = [];
	var varList = spec.split(",");
	var varSpecs = [];
	var varSpecMap = {};
	for (var i = 0; i < varList.length; i++) {
		var varName = varList[i];
		var truncate = null;
		if (varName.indexOf(":") !== -1) {
			var parts = varName.split(":");
			varName = parts[0];
			truncate = parseInt(parts[1], 10);
		}
		var suffices = {};
		while (uriTemplateSuffices[varName.charAt(varName.length - 1)]) {
			suffices[varName.charAt(varName.length - 1)] = true;
			varName = varName.substring(0, varName.length - 1);
		}
		var varSpec = {
			truncate: truncate,
			name: varName,
			suffices: suffices
		};
		varSpecs.push(varSpec);
		varSpecMap[varName] = varSpec;
		varNames.push(varName);
	}
	var subFunction = function (valueFunction) {
		var result = "";
		var startIndex = 0;
		for (var i = 0; i < varSpecs.length; i++) {
			var varSpec = varSpecs[i];
			var value = valueFunction(varSpec.name);
			if (value === null || value === undefined || (Array.isArray(value) && value.length === 0) || (typeof value === 'object' && Object.keys(value).length === 0)) {
				startIndex++;
				continue;
			}
			if (i === startIndex) {
				result += prefix;
			} else {
				result += (separator || ",");
			}
			if (Array.isArray(value)) {
				if (showVariables) {
					result += varSpec.name + "=";
				}
				for (var j = 0; j < value.length; j++) {
					if (j > 0) {
						result += varSpec.suffices['*'] ? (separator || ",") : ",";
						if (varSpec.suffices['*'] && showVariables) {
							result += varSpec.name + "=";
						}
					}
					result += shouldEscape ? encodeURIComponent(value[j]).replace(/!/g, "%21") : notReallyPercentEncode(value[j]);
				}
			} else if (typeof value === "object") {
				if (showVariables && !varSpec.suffices['*']) {
					result += varSpec.name + "=";
				}
				var first = true;
				for (var key in value) {
					if (!first) {
						result += varSpec.suffices['*'] ? (separator || ",") : ",";
					}
					first = false;
					result += shouldEscape ? encodeURIComponent(key).replace(/!/g, "%21") : notReallyPercentEncode(key);
					result += varSpec.suffices['*'] ? '=' : ",";
					result += shouldEscape ? encodeURIComponent(value[key]).replace(/!/g, "%21") : notReallyPercentEncode(value[key]);
				}
			} else {
				if (showVariables) {
					result += varSpec.name;
					if (!trimEmptyString || value !== "") {
						result += "=";
					}
				}
				if (varSpec.truncate != null) {
					value = value.substring(0, varSpec.truncate);
				}
				result += shouldEscape ? encodeURIComponent(value).replace(/!/g, "%21"): notReallyPercentEncode(value);
			}
		}
		return result;
	};
	subFunction.varNames = varNames;
	return {
		prefix: prefix,
		substitution: subFunction
	};
}

function UriTemplate(template) {
	if (!(this instanceof UriTemplate)) {
		return new UriTemplate(template);
	}
	var parts = template.split("{");
	var textParts = [parts.shift()];
	var prefixes = [];
	var substitutions = [];
	var varNames = [];
	while (parts.length > 0) {
		var part = parts.shift();
		var spec = part.split("}")[0];
		var remainder = part.substring(spec.length + 1);
		var funcs = uriTemplateSubstitution(spec);
		substitutions.push(funcs.substitution);
		prefixes.push(funcs.prefix);
		textParts.push(remainder);
		varNames = varNames.concat(funcs.substitution.varNames);
	}
	this.fill = function (valueFunction) {
		var result = textParts[0];
		for (var i = 0; i < substitutions.length; i++) {
			var substitution = substitutions[i];
			result += substitution(valueFunction);
			result += textParts[i + 1];
		}
		return result;
	};
	this.varNames = varNames;
	this.template = template;
}
UriTemplate.prototype = {
	toString: function () {
		return this.template;
	},
	fillFromObject: function (obj) {
		return this.fill(function (varName) {
			return obj[varName];
		});
	}
};
var ValidatorContext = function ValidatorContext(parent, collectMultiple, errorReporter, checkRecursive, trackUnknownProperties) {
	this.missing = [];
	this.missingMap = {};
	this.formatValidators = parent ? Object.create(parent.formatValidators) : {};
	this.schemas = parent ? Object.create(parent.schemas) : {};
	this.collectMultiple = collectMultiple;
	this.errors = [];
	this.handleError = collectMultiple ? this.collectError : this.returnError;
	if (checkRecursive) {
		this.checkRecursive = true;
		this.scanned = [];
		this.scannedFrozen = [];
		this.scannedFrozenSchemas = [];
		this.scannedFrozenValidationErrors = [];
		this.validatedSchemasKey = 'tv4_validation_id';
		this.validationErrorsKey = 'tv4_validation_errors_id';
	}
	if (trackUnknownProperties) {
		this.trackUnknownProperties = true;
		this.knownPropertyPaths = {};
		this.unknownPropertyPaths = {};
	}
	this.errorReporter = errorReporter || defaultErrorReporter('en');
	if (typeof this.errorReporter === 'string') {
		throw new Error('debug');
	}
	this.definedKeywords = {};
	if (parent) {
		for (var key in parent.definedKeywords) {
			this.definedKeywords[key] = parent.definedKeywords[key].slice(0);
		}
	}
};
ValidatorContext.prototype.defineKeyword = function (keyword, keywordFunction) {
	this.definedKeywords[keyword] = this.definedKeywords[keyword] || [];
	this.definedKeywords[keyword].push(keywordFunction);
};
ValidatorContext.prototype.createError = function (code, messageParams, dataPath, schemaPath, subErrors, data, schema) {
	var error = new ValidationError(code, messageParams, dataPath, schemaPath, subErrors);
	error.message = this.errorReporter(error, data, schema);
	return error;
};
ValidatorContext.prototype.returnError = function (error) {
	return error;
};
ValidatorContext.prototype.collectError = function (error) {
	if (error) {
		this.errors.push(error);
	}
	return null;
};
ValidatorContext.prototype.prefixErrors = function (startIndex, dataPath, schemaPath) {
	for (var i = startIndex; i < this.errors.length; i++) {
		this.errors[i] = this.errors[i].prefixWith(dataPath, schemaPath);
	}
	return this;
};
ValidatorContext.prototype.banUnknownProperties = function (data, schema) {
	for (var unknownPath in this.unknownPropertyPaths) {
		var error = this.createError(ErrorCodes.UNKNOWN_PROPERTY, {path: unknownPath}, unknownPath, "", null, data, schema);
		var result = this.handleError(error);
		if (result) {
			return result;
		}
	}
	return null;
};

ValidatorContext.prototype.addFormat = function (format, validator) {
	if (typeof format === 'object') {
		for (var key in format) {
			this.addFormat(key, format[key]);
		}
		return this;
	}
	this.formatValidators[format] = validator;
};
ValidatorContext.prototype.resolveRefs = function (schema, urlHistory) {
	if (schema['$ref'] !== undefined) {
		urlHistory = urlHistory || {};
		if (urlHistory[schema['$ref']]) {
			return this.createError(ErrorCodes.CIRCULAR_REFERENCE, {urls: Object.keys(urlHistory).join(', ')}, '', '', null, undefined, schema);
		}
		urlHistory[schema['$ref']] = true;
		schema = this.getSchema(schema['$ref'], urlHistory);
	}
	return schema;
};
ValidatorContext.prototype.getSchema = function (url, urlHistory) {
	var schema;
	if (this.schemas[url] !== undefined) {
		schema = this.schemas[url];
		return this.resolveRefs(schema, urlHistory);
	}
	var baseUrl = url;
	var fragment = "";
	if (url.indexOf('#') !== -1) {
		fragment = url.substring(url.indexOf("#") + 1);
		baseUrl = url.substring(0, url.indexOf("#"));
	}
	if (typeof this.schemas[baseUrl] === 'object') {
		schema = this.schemas[baseUrl];
		var pointerPath = decodeURIComponent(fragment);
		if (pointerPath === "") {
			return this.resolveRefs(schema, urlHistory);
		} else if (pointerPath.charAt(0) !== "/") {
			return undefined;
		}
		var parts = pointerPath.split("/").slice(1);
		for (var i = 0; i < parts.length; i++) {
			var component = parts[i].replace(/~1/g, "/").replace(/~0/g, "~");
			if (schema[component] === undefined) {
				schema = undefined;
				break;
			}
			schema = schema[component];
		}
		if (schema !== undefined) {
			return this.resolveRefs(schema, urlHistory);
		}
	}
	if (this.missing[baseUrl] === undefined) {
		this.missing.push(baseUrl);
		this.missing[baseUrl] = baseUrl;
		this.missingMap[baseUrl] = baseUrl;
	}
};
ValidatorContext.prototype.searchSchemas = function (schema, url) {
	if (Array.isArray(schema)) {
		for (var i = 0; i < schema.length; i++) {
			this.searchSchemas(schema[i], url);
		}
	} else if (schema && typeof schema === "object") {
		if (typeof schema.id === "string") {
			if (isTrustedUrl(url, schema.id)) {
				if (this.schemas[schema.id] === undefined) {
					this.schemas[schema.id] = schema;
				}
			}
		}
		for (var key in schema) {
			if (key !== "enum") {
				if (typeof schema[key] === "object") {
					this.searchSchemas(schema[key], url);
				} else if (key === "$ref") {
					var uri = getDocumentUri(schema[key]);
					if (uri && this.schemas[uri] === undefined && this.missingMap[uri] === undefined) {
						this.missingMap[uri] = uri;
					}
				}
			}
		}
	}
};
ValidatorContext.prototype.addSchema = function (url, schema) {
	//overload
	if (typeof url !== 'string' || typeof schema === 'undefined') {
		if (typeof url === 'object' && typeof url.id === 'string') {
			schema = url;
			url = schema.id;
		}
		else {
			return;
		}
	}
	if (url === getDocumentUri(url) + "#") {
		// Remove empty fragment
		url = getDocumentUri(url);
	}
	this.schemas[url] = schema;
	delete this.missingMap[url];
	normSchema(schema, url);
	this.searchSchemas(schema, url);
};

ValidatorContext.prototype.getSchemaMap = function () {
	var map = {};
	for (var key in this.schemas) {
		map[key] = this.schemas[key];
	}
	return map;
};

ValidatorContext.prototype.getSchemaUris = function (filterRegExp) {
	var list = [];
	for (var key in this.schemas) {
		if (!filterRegExp || filterRegExp.test(key)) {
			list.push(key);
		}
	}
	return list;
};

ValidatorContext.prototype.getMissingUris = function (filterRegExp) {
	var list = [];
	for (var key in this.missingMap) {
		if (!filterRegExp || filterRegExp.test(key)) {
			list.push(key);
		}
	}
	return list;
};

ValidatorContext.prototype.dropSchemas = function () {
	this.schemas = {};
	this.reset();
};
ValidatorContext.prototype.reset = function () {
	this.missing = [];
	this.missingMap = {};
	this.errors = [];
};

ValidatorContext.prototype.validateAll = function (data, schema, dataPathParts, schemaPathParts, dataPointerPath) {
	var topLevel;
	schema = this.resolveRefs(schema);
	if (!schema) {
		return null;
	} else if (schema instanceof ValidationError) {
		this.errors.push(schema);
		return schema;
	}

	var startErrorCount = this.errors.length;
	var frozenIndex, scannedFrozenSchemaIndex = null, scannedSchemasIndex = null;
	if (this.checkRecursive && data && typeof data === 'object') {
		topLevel = !this.scanned.length;
		if (data[this.validatedSchemasKey]) {
			var schemaIndex = data[this.validatedSchemasKey].indexOf(schema);
			if (schemaIndex !== -1) {
				this.errors = this.errors.concat(data[this.validationErrorsKey][schemaIndex]);
				return null;
			}
		}
		if (Object.isFrozen(data)) {
			frozenIndex = this.scannedFrozen.indexOf(data);
			if (frozenIndex !== -1) {
				var frozenSchemaIndex = this.scannedFrozenSchemas[frozenIndex].indexOf(schema);
				if (frozenSchemaIndex !== -1) {
					this.errors = this.errors.concat(this.scannedFrozenValidationErrors[frozenIndex][frozenSchemaIndex]);
					return null;
				}
			}
		}
		this.scanned.push(data);
		if (Object.isFrozen(data)) {
			if (frozenIndex === -1) {
				frozenIndex = this.scannedFrozen.length;
				this.scannedFrozen.push(data);
				this.scannedFrozenSchemas.push([]);
			}
			scannedFrozenSchemaIndex = this.scannedFrozenSchemas[frozenIndex].length;
			this.scannedFrozenSchemas[frozenIndex][scannedFrozenSchemaIndex] = schema;
			this.scannedFrozenValidationErrors[frozenIndex][scannedFrozenSchemaIndex] = [];
		} else {
			if (!data[this.validatedSchemasKey]) {
				try {
					Object.defineProperty(data, this.validatedSchemasKey, {
						value: [],
						configurable: true
					});
					Object.defineProperty(data, this.validationErrorsKey, {
						value: [],
						configurable: true
					});
				} catch (e) {
					//IE 7/8 workaround
					data[this.validatedSchemasKey] = [];
					data[this.validationErrorsKey] = [];
				}
			}
			scannedSchemasIndex = data[this.validatedSchemasKey].length;
			data[this.validatedSchemasKey][scannedSchemasIndex] = schema;
			data[this.validationErrorsKey][scannedSchemasIndex] = [];
		}
	}

	var errorCount = this.errors.length;
	var error = this.validateBasic(data, schema, dataPointerPath)
		|| this.validateNumeric(data, schema, dataPointerPath)
		|| this.validateString(data, schema, dataPointerPath)
		|| this.validateArray(data, schema, dataPointerPath)
		|| this.validateObject(data, schema, dataPointerPath)
		|| this.validateCombinations(data, schema, dataPointerPath)
		|| this.validateHypermedia(data, schema, dataPointerPath)
		|| this.validateFormat(data, schema, dataPointerPath)
		|| this.validateDefinedKeywords(data, schema, dataPointerPath)
		|| null;

	if (topLevel) {
		while (this.scanned.length) {
			var item = this.scanned.pop();
			delete item[this.validatedSchemasKey];
		}
		this.scannedFrozen = [];
		this.scannedFrozenSchemas = [];
	}

	if (error || errorCount !== this.errors.length) {
		while ((dataPathParts && dataPathParts.length) || (schemaPathParts && schemaPathParts.length)) {
			var dataPart = (dataPathParts && dataPathParts.length) ? "" + dataPathParts.pop() : null;
			var schemaPart = (schemaPathParts && schemaPathParts.length) ? "" + schemaPathParts.pop() : null;
			if (error) {
				error = error.prefixWith(dataPart, schemaPart);
			}
			this.prefixErrors(errorCount, dataPart, schemaPart);
		}
	}

	if (scannedFrozenSchemaIndex !== null) {
		this.scannedFrozenValidationErrors[frozenIndex][scannedFrozenSchemaIndex] = this.errors.slice(startErrorCount);
	} else if (scannedSchemasIndex !== null) {
		data[this.validationErrorsKey][scannedSchemasIndex] = this.errors.slice(startErrorCount);
	}

	return this.handleError(error);
};
ValidatorContext.prototype.validateFormat = function (data, schema) {
	if (typeof schema.format !== 'string' || !this.formatValidators[schema.format]) {
		return null;
	}
	var errorMessage = this.formatValidators[schema.format].call(null, data, schema);
	if (typeof errorMessage === 'string' || typeof errorMessage === 'number') {
		return this.createError(ErrorCodes.FORMAT_CUSTOM, {message: errorMessage}, '', '/format', null, data, schema);
	} else if (errorMessage && typeof errorMessage === 'object') {
		return this.createError(ErrorCodes.FORMAT_CUSTOM, {message: errorMessage.message || "?"}, errorMessage.dataPath || '', errorMessage.schemaPath || "/format", null, data, schema);
	}
	return null;
};
ValidatorContext.prototype.validateDefinedKeywords = function (data, schema, dataPointerPath) {
	for (var key in this.definedKeywords) {
		if (typeof schema[key] === 'undefined') {
			continue;
		}
		var validationFunctions = this.definedKeywords[key];
		for (var i = 0; i < validationFunctions.length; i++) {
			var func = validationFunctions[i];
			var result = func(data, schema[key], schema, dataPointerPath);
			if (typeof result === 'string' || typeof result === 'number') {
				return this.createError(ErrorCodes.KEYWORD_CUSTOM, {key: key, message: result}, '', '', null, data, schema).prefixWith(null, key);
			} else if (result && typeof result === 'object') {
				var code = result.code;
				if (typeof code === 'string') {
					if (!ErrorCodes[code]) {
						throw new Error('Undefined error code (use defineError): ' + code);
					}
					code = ErrorCodes[code];
				} else if (typeof code !== 'number') {
					code = ErrorCodes.KEYWORD_CUSTOM;
				}
				var messageParams = (typeof result.message === 'object') ? result.message : {key: key, message: result.message || "?"};
				var schemaPath = result.schemaPath || ("/" + key.replace(/~/g, '~0').replace(/\//g, '~1'));
				return this.createError(code, messageParams, result.dataPath || null, schemaPath, null, data, schema);
			}
		}
	}
	return null;
};

function recursiveCompare(A, B) {
	if (A === B) {
		return true;
	}
	if (A && B && typeof A === "object" && typeof B === "object") {
		if (Array.isArray(A) !== Array.isArray(B)) {
			return false;
		} else if (Array.isArray(A)) {
			if (A.length !== B.length) {
				return false;
			}
			for (var i = 0; i < A.length; i++) {
				if (!recursiveCompare(A[i], B[i])) {
					return false;
				}
			}
		} else {
			var key;
			for (key in A) {
				if (B[key] === undefined && A[key] !== undefined) {
					return false;
				}
			}
			for (key in B) {
				if (A[key] === undefined && B[key] !== undefined) {
					return false;
				}
			}
			for (key in A) {
				if (!recursiveCompare(A[key], B[key])) {
					return false;
				}
			}
		}
		return true;
	}
	return false;
}

ValidatorContext.prototype.validateBasic = function validateBasic(data, schema, dataPointerPath) {
	var error;
	if (error = this.validateType(data, schema, dataPointerPath)) {
		return error.prefixWith(null, "type");
	}
	if (error = this.validateEnum(data, schema, dataPointerPath)) {
		return error.prefixWith(null, "type");
	}
	return null;
};

ValidatorContext.prototype.validateType = function validateType(data, schema) {
	if (schema.type === undefined) {
		return null;
	}
	var dataType = typeof data;
	if (data === null) {
		dataType = "null";
	} else if (Array.isArray(data)) {
		dataType = "array";
	}
	var allowedTypes = schema.type;
	if (!Array.isArray(allowedTypes)) {
		allowedTypes = [allowedTypes];
	}

	for (var i = 0; i < allowedTypes.length; i++) {
		var type = allowedTypes[i];
		if (type === dataType || (type === "integer" && dataType === "number" && (data % 1 === 0))) {
			return null;
		}
	}
	return this.createError(ErrorCodes.INVALID_TYPE, {type: dataType, expected: allowedTypes.join("/")}, '', '', null, data, schema);
};

ValidatorContext.prototype.validateEnum = function validateEnum(data, schema) {
	if (schema["enum"] === undefined) {
		return null;
	}
	for (var i = 0; i < schema["enum"].length; i++) {
		var enumVal = schema["enum"][i];
		if (recursiveCompare(data, enumVal)) {
			return null;
		}
	}
	return this.createError(ErrorCodes.ENUM_MISMATCH, {value: (typeof JSON !== 'undefined') ? JSON.stringify(data) : data}, '', '', null, data, schema);
};

ValidatorContext.prototype.validateNumeric = function validateNumeric(data, schema, dataPointerPath) {
	return this.validateMultipleOf(data, schema, dataPointerPath)
		|| this.validateMinMax(data, schema, dataPointerPath)
		|| this.validateNaN(data, schema, dataPointerPath)
		|| null;
};

var CLOSE_ENOUGH_LOW = Math.pow(2, -51);
var CLOSE_ENOUGH_HIGH = 1 - CLOSE_ENOUGH_LOW;
ValidatorContext.prototype.validateMultipleOf = function validateMultipleOf(data, schema) {
	var multipleOf = schema.multipleOf || schema.divisibleBy;
	if (multipleOf === undefined) {
		return null;
	}
	if (typeof data === "number") {
		var remainder = (data/multipleOf)%1;
		if (remainder >= CLOSE_ENOUGH_LOW && remainder < CLOSE_ENOUGH_HIGH) {
			return this.createError(ErrorCodes.NUMBER_MULTIPLE_OF, {value: data, multipleOf: multipleOf}, '', '', null, data, schema);
		}
	}
	return null;
};

ValidatorContext.prototype.validateMinMax = function validateMinMax(data, schema) {
	if (typeof data !== "number") {
		return null;
	}
	if (schema.minimum !== undefined) {
		if (data < schema.minimum) {
			return this.createError(ErrorCodes.NUMBER_MINIMUM, {value: data, minimum: schema.minimum}, '', '/minimum', null, data, schema);
		}
		if (schema.exclusiveMinimum && data === schema.minimum) {
			return this.createError(ErrorCodes.NUMBER_MINIMUM_EXCLUSIVE, {value: data, minimum: schema.minimum}, '', '/exclusiveMinimum', null, data, schema);
		}
	}
	if (schema.maximum !== undefined) {
		if (data > schema.maximum) {
			return this.createError(ErrorCodes.NUMBER_MAXIMUM, {value: data, maximum: schema.maximum}, '', '/maximum', null, data, schema);
		}
		if (schema.exclusiveMaximum && data === schema.maximum) {
			return this.createError(ErrorCodes.NUMBER_MAXIMUM_EXCLUSIVE, {value: data, maximum: schema.maximum}, '', '/exclusiveMaximum', null, data, schema);
		}
	}
	return null;
};

ValidatorContext.prototype.validateNaN = function validateNaN(data, schema) {
	if (typeof data !== "number") {
		return null;
	}
	if (isNaN(data) === true || data === Infinity || data === -Infinity) {
		return this.createError(ErrorCodes.NUMBER_NOT_A_NUMBER, {value: data}, '', '/type', null, data, schema);
	}
	return null;
};

ValidatorContext.prototype.validateString = function validateString(data, schema, dataPointerPath) {
	return this.validateStringLength(data, schema, dataPointerPath)
		|| this.validateStringPattern(data, schema, dataPointerPath)
		|| null;
};

ValidatorContext.prototype.validateStringLength = function validateStringLength(data, schema) {
	if (typeof data !== "string") {
		return null;
	}
	if (schema.minLength !== undefined) {
		if (data.length < schema.minLength) {
			return this.createError(ErrorCodes.STRING_LENGTH_SHORT, {length: data.length, minimum: schema.minLength}, '', '/minLength', null, data, schema);
		}
	}
	if (schema.maxLength !== undefined) {
		if (data.length > schema.maxLength) {
			return this.createError(ErrorCodes.STRING_LENGTH_LONG, {length: data.length, maximum: schema.maxLength}, '', '/maxLength', null, data, schema);
		}
	}
	return null;
};

ValidatorContext.prototype.validateStringPattern = function validateStringPattern(data, schema) {
	if (typeof data !== "string" || (typeof schema.pattern !== "string" && !(schema.pattern instanceof RegExp))) {
		return null;
	}
	var regexp;
	if (schema.pattern instanceof RegExp) {
	  regexp = schema.pattern;
	}
	else {
	  var body, flags = '';
	  // Check for regular expression literals
	  // @see http://www.ecma-international.org/ecma-262/5.1/#sec-7.8.5
	  var literal = schema.pattern.match(/^\/(.+)\/([img]*)$/);
	  if (literal) {
	    body = literal[1];
	    flags = literal[2];
	  }
	  else {
	    body = schema.pattern;
	  }
	  regexp = new RegExp(body, flags);
	}
	if (!regexp.test(data)) {
		return this.createError(ErrorCodes.STRING_PATTERN, {pattern: schema.pattern}, '', '/pattern', null, data, schema);
	}
	return null;
};

ValidatorContext.prototype.validateArray = function validateArray(data, schema, dataPointerPath) {
	if (!Array.isArray(data)) {
		return null;
	}
	return this.validateArrayLength(data, schema, dataPointerPath)
		|| this.validateArrayUniqueItems(data, schema, dataPointerPath)
		|| this.validateArrayItems(data, schema, dataPointerPath)
		|| null;
};

ValidatorContext.prototype.validateArrayLength = function validateArrayLength(data, schema) {
	var error;
	if (schema.minItems !== undefined) {
		if (data.length < schema.minItems) {
			error = this.createError(ErrorCodes.ARRAY_LENGTH_SHORT, {length: data.length, minimum: schema.minItems}, '', '/minItems', null, data, schema);
			if (this.handleError(error)) {
				return error;
			}
		}
	}
	if (schema.maxItems !== undefined) {
		if (data.length > schema.maxItems) {
			error = this.createError(ErrorCodes.ARRAY_LENGTH_LONG, {length: data.length, maximum: schema.maxItems}, '', '/maxItems', null, data, schema);
			if (this.handleError(error)) {
				return error;
			}
		}
	}
	return null;
};

ValidatorContext.prototype.validateArrayUniqueItems = function validateArrayUniqueItems(data, schema) {
	if (schema.uniqueItems) {
		for (var i = 0; i < data.length; i++) {
			for (var j = i + 1; j < data.length; j++) {
				if (recursiveCompare(data[i], data[j])) {
					var error = this.createError(ErrorCodes.ARRAY_UNIQUE, {match1: i, match2: j}, '', '/uniqueItems', null, data, schema);
					if (this.handleError(error)) {
						return error;
					}
				}
			}
		}
	}
	return null;
};

ValidatorContext.prototype.validateArrayItems = function validateArrayItems(data, schema, dataPointerPath) {
	if (schema.items === undefined) {
		return null;
	}
	var error, i;
	if (Array.isArray(schema.items)) {
		for (i = 0; i < data.length; i++) {
			if (i < schema.items.length) {
				if (error = this.validateAll(data[i], schema.items[i], [i], ["items", i], dataPointerPath + "/" + i)) {
					return error;
				}
			} else if (schema.additionalItems !== undefined) {
				if (typeof schema.additionalItems === "boolean") {
					if (!schema.additionalItems) {
						error = (this.createError(ErrorCodes.ARRAY_ADDITIONAL_ITEMS, {}, '/' + i, '/additionalItems', null, data, schema));
						if (this.handleError(error)) {
							return error;
						}
					}
				} else if (error = this.validateAll(data[i], schema.additionalItems, [i], ["additionalItems"], dataPointerPath + "/" + i)) {
					return error;
				}
			}
		}
	} else {
		for (i = 0; i < data.length; i++) {
			if (error = this.validateAll(data[i], schema.items, [i], ["items"], dataPointerPath + "/" + i)) {
				return error;
			}
		}
	}
	return null;
};

ValidatorContext.prototype.validateObject = function validateObject(data, schema, dataPointerPath) {
	if (typeof data !== "object" || data === null || Array.isArray(data)) {
		return null;
	}
	return this.validateObjectMinMaxProperties(data, schema, dataPointerPath)
		|| this.validateObjectRequiredProperties(data, schema, dataPointerPath)
		|| this.validateObjectProperties(data, schema, dataPointerPath)
		|| this.validateObjectDependencies(data, schema, dataPointerPath)
		|| null;
};

ValidatorContext.prototype.validateObjectMinMaxProperties = function validateObjectMinMaxProperties(data, schema) {
	var keys = Object.keys(data);
	var error;
	if (schema.minProperties !== undefined) {
		if (keys.length < schema.minProperties) {
			error = this.createError(ErrorCodes.OBJECT_PROPERTIES_MINIMUM, {propertyCount: keys.length, minimum: schema.minProperties}, '', '/minProperties', null, data, schema);
			if (this.handleError(error)) {
				return error;
			}
		}
	}
	if (schema.maxProperties !== undefined) {
		if (keys.length > schema.maxProperties) {
			error = this.createError(ErrorCodes.OBJECT_PROPERTIES_MAXIMUM, {propertyCount: keys.length, maximum: schema.maxProperties}, '', '/maxProperties', null, data, schema);
			if (this.handleError(error)) {
				return error;
			}
		}
	}
	return null;
};

ValidatorContext.prototype.validateObjectRequiredProperties = function validateObjectRequiredProperties(data, schema) {
	if (schema.required !== undefined) {
		for (var i = 0; i < schema.required.length; i++) {
			var key = schema.required[i];
			if (data[key] === undefined) {
				var error = this.createError(ErrorCodes.OBJECT_REQUIRED, {key: key}, '', '/required/' + i, null, data, schema);
				if (this.handleError(error)) {
					return error;
				}
			}
		}
	}
	return null;
};

ValidatorContext.prototype.validateObjectProperties = function validateObjectProperties(data, schema, dataPointerPath) {
	var error;
	for (var key in data) {
		var keyPointerPath = dataPointerPath + "/" + key.replace(/~/g, '~0').replace(/\//g, '~1');
		var foundMatch = false;
		if (schema.properties !== undefined && schema.properties[key] !== undefined) {
			foundMatch = true;
			if (error = this.validateAll(data[key], schema.properties[key], [key], ["properties", key], keyPointerPath)) {
				return error;
			}
		}
		if (schema.patternProperties !== undefined) {
			for (var patternKey in schema.patternProperties) {
				var regexp = new RegExp(patternKey);
				if (regexp.test(key)) {
					foundMatch = true;
					if (error = this.validateAll(data[key], schema.patternProperties[patternKey], [key], ["patternProperties", patternKey], keyPointerPath)) {
						return error;
					}
				}
			}
		}
		if (!foundMatch) {
			if (schema.additionalProperties !== undefined) {
				if (this.trackUnknownProperties) {
					this.knownPropertyPaths[keyPointerPath] = true;
					delete this.unknownPropertyPaths[keyPointerPath];
				}
				if (typeof schema.additionalProperties === "boolean") {
					if (!schema.additionalProperties) {
						error = this.createError(ErrorCodes.OBJECT_ADDITIONAL_PROPERTIES, {key: key}, '', '/additionalProperties', null, data, schema).prefixWith(key, null);
						if (this.handleError(error)) {
							return error;
						}
					}
				} else {
					if (error = this.validateAll(data[key], schema.additionalProperties, [key], ["additionalProperties"], keyPointerPath)) {
						return error;
					}
				}
			} else if (this.trackUnknownProperties && !this.knownPropertyPaths[keyPointerPath]) {
				this.unknownPropertyPaths[keyPointerPath] = true;
			}
		} else if (this.trackUnknownProperties) {
			this.knownPropertyPaths[keyPointerPath] = true;
			delete this.unknownPropertyPaths[keyPointerPath];
		}
	}
	return null;
};

ValidatorContext.prototype.validateObjectDependencies = function validateObjectDependencies(data, schema, dataPointerPath) {
	var error;
	if (schema.dependencies !== undefined) {
		for (var depKey in schema.dependencies) {
			if (data[depKey] !== undefined) {
				var dep = schema.dependencies[depKey];
				if (typeof dep === "string") {
					if (data[dep] === undefined) {
						error = this.createError(ErrorCodes.OBJECT_DEPENDENCY_KEY, {key: depKey, missing: dep}, '', '', null, data, schema).prefixWith(null, depKey).prefixWith(null, "dependencies");
						if (this.handleError(error)) {
							return error;
						}
					}
				} else if (Array.isArray(dep)) {
					for (var i = 0; i < dep.length; i++) {
						var requiredKey = dep[i];
						if (data[requiredKey] === undefined) {
							error = this.createError(ErrorCodes.OBJECT_DEPENDENCY_KEY, {key: depKey, missing: requiredKey}, '', '/' + i, null, data, schema).prefixWith(null, depKey).prefixWith(null, "dependencies");
							if (this.handleError(error)) {
								return error;
							}
						}
					}
				} else {
					if (error = this.validateAll(data, dep, [], ["dependencies", depKey], dataPointerPath)) {
						return error;
					}
				}
			}
		}
	}
	return null;
};

ValidatorContext.prototype.validateCombinations = function validateCombinations(data, schema, dataPointerPath) {
	return this.validateAllOf(data, schema, dataPointerPath)
		|| this.validateAnyOf(data, schema, dataPointerPath)
		|| this.validateOneOf(data, schema, dataPointerPath)
		|| this.validateNot(data, schema, dataPointerPath)
		|| null;
};

ValidatorContext.prototype.validateAllOf = function validateAllOf(data, schema, dataPointerPath) {
	if (schema.allOf === undefined) {
		return null;
	}
	var error;
	for (var i = 0; i < schema.allOf.length; i++) {
		var subSchema = schema.allOf[i];
		if (error = this.validateAll(data, subSchema, [], ["allOf", i], dataPointerPath)) {
			return error;
		}
	}
	return null;
};

ValidatorContext.prototype.validateAnyOf = function validateAnyOf(data, schema, dataPointerPath) {
	if (schema.anyOf === undefined) {
		return null;
	}
	var errors = [];
	var startErrorCount = this.errors.length;
	var oldUnknownPropertyPaths, oldKnownPropertyPaths;
	if (this.trackUnknownProperties) {
		oldUnknownPropertyPaths = this.unknownPropertyPaths;
		oldKnownPropertyPaths = this.knownPropertyPaths;
	}
	var errorAtEnd = true;
	for (var i = 0; i < schema.anyOf.length; i++) {
		if (this.trackUnknownProperties) {
			this.unknownPropertyPaths = {};
			this.knownPropertyPaths = {};
		}
		var subSchema = schema.anyOf[i];

		var errorCount = this.errors.length;
		var error = this.validateAll(data, subSchema, [], ["anyOf", i], dataPointerPath);

		if (error === null && errorCount === this.errors.length) {
			this.errors = this.errors.slice(0, startErrorCount);

			if (this.trackUnknownProperties) {
				for (var knownKey in this.knownPropertyPaths) {
					oldKnownPropertyPaths[knownKey] = true;
					delete oldUnknownPropertyPaths[knownKey];
				}
				for (var unknownKey in this.unknownPropertyPaths) {
					if (!oldKnownPropertyPaths[unknownKey]) {
						oldUnknownPropertyPaths[unknownKey] = true;
					}
				}
				// We need to continue looping so we catch all the property definitions, but we don't want to return an error
				errorAtEnd = false;
				continue;
			}

			return null;
		}
		if (error) {
			errors.push(error.prefixWith(null, "" + i).prefixWith(null, "anyOf"));
		}
	}
	if (this.trackUnknownProperties) {
		this.unknownPropertyPaths = oldUnknownPropertyPaths;
		this.knownPropertyPaths = oldKnownPropertyPaths;
	}
	if (errorAtEnd) {
		errors = errors.concat(this.errors.slice(startErrorCount));
		this.errors = this.errors.slice(0, startErrorCount);
		return this.createError(ErrorCodes.ANY_OF_MISSING, {}, "", "/anyOf", errors, data, schema);
	}
};

ValidatorContext.prototype.validateOneOf = function validateOneOf(data, schema, dataPointerPath) {
	if (schema.oneOf === undefined) {
		return null;
	}
	var validIndex = null;
	var errors = [];
	var startErrorCount = this.errors.length;
	var oldUnknownPropertyPaths, oldKnownPropertyPaths;
	if (this.trackUnknownProperties) {
		oldUnknownPropertyPaths = this.unknownPropertyPaths;
		oldKnownPropertyPaths = this.knownPropertyPaths;
	}
	for (var i = 0; i < schema.oneOf.length; i++) {
		if (this.trackUnknownProperties) {
			this.unknownPropertyPaths = {};
			this.knownPropertyPaths = {};
		}
		var subSchema = schema.oneOf[i];

		var errorCount = this.errors.length;
		var error = this.validateAll(data, subSchema, [], ["oneOf", i], dataPointerPath);

		if (error === null && errorCount === this.errors.length) {
			if (validIndex === null) {
				validIndex = i;
			} else {
				this.errors = this.errors.slice(0, startErrorCount);
				return this.createError(ErrorCodes.ONE_OF_MULTIPLE, {index1: validIndex, index2: i}, "", "/oneOf", null, data, schema);
			}
			if (this.trackUnknownProperties) {
				for (var knownKey in this.knownPropertyPaths) {
					oldKnownPropertyPaths[knownKey] = true;
					delete oldUnknownPropertyPaths[knownKey];
				}
				for (var unknownKey in this.unknownPropertyPaths) {
					if (!oldKnownPropertyPaths[unknownKey]) {
						oldUnknownPropertyPaths[unknownKey] = true;
					}
				}
			}
		} else if (error) {
			errors.push(error);
		}
	}
	if (this.trackUnknownProperties) {
		this.unknownPropertyPaths = oldUnknownPropertyPaths;
		this.knownPropertyPaths = oldKnownPropertyPaths;
	}
	if (validIndex === null) {
		errors = errors.concat(this.errors.slice(startErrorCount));
		this.errors = this.errors.slice(0, startErrorCount);
		return this.createError(ErrorCodes.ONE_OF_MISSING, {}, "", "/oneOf", errors, data, schema);
	} else {
		this.errors = this.errors.slice(0, startErrorCount);
	}
	return null;
};

ValidatorContext.prototype.validateNot = function validateNot(data, schema, dataPointerPath) {
	if (schema.not === undefined) {
		return null;
	}
	var oldErrorCount = this.errors.length;
	var oldUnknownPropertyPaths, oldKnownPropertyPaths;
	if (this.trackUnknownProperties) {
		oldUnknownPropertyPaths = this.unknownPropertyPaths;
		oldKnownPropertyPaths = this.knownPropertyPaths;
		this.unknownPropertyPaths = {};
		this.knownPropertyPaths = {};
	}
	var error = this.validateAll(data, schema.not, null, null, dataPointerPath);
	var notErrors = this.errors.slice(oldErrorCount);
	this.errors = this.errors.slice(0, oldErrorCount);
	if (this.trackUnknownProperties) {
		this.unknownPropertyPaths = oldUnknownPropertyPaths;
		this.knownPropertyPaths = oldKnownPropertyPaths;
	}
	if (error === null && notErrors.length === 0) {
		return this.createError(ErrorCodes.NOT_PASSED, {}, "", "/not", null, data, schema);
	}
	return null;
};

ValidatorContext.prototype.validateHypermedia = function validateCombinations(data, schema, dataPointerPath) {
	if (!schema.links) {
		return null;
	}
	var error;
	for (var i = 0; i < schema.links.length; i++) {
		var ldo = schema.links[i];
		if (ldo.rel === "describedby") {
			var template = new UriTemplate(ldo.href);
			var allPresent = true;
			for (var j = 0; j < template.varNames.length; j++) {
				if (!(template.varNames[j] in data)) {
					allPresent = false;
					break;
				}
			}
			if (allPresent) {
				var schemaUrl = template.fillFromObject(data);
				var subSchema = {"$ref": schemaUrl};
				if (error = this.validateAll(data, subSchema, [], ["links", i], dataPointerPath)) {
					return error;
				}
			}
		}
	}
};

// parseURI() and resolveUrl() are from https://gist.github.com/1088850
//   -  released as public domain by author ("Yaffle") - see comments on gist

function parseURI(url) {
	var m = String(url).replace(/^\s+|\s+$/g, '').match(/^([^:\/?#]+:)?(\/\/(?:[^:@]*(?::[^:@]*)?@)?(([^:\/?#]*)(?::(\d*))?))?([^?#]*)(\?[^#]*)?(#[\s\S]*)?/);
	// authority = '//' + user + ':' + pass '@' + hostname + ':' port
	return (m ? {
		href     : m[0] || '',
		protocol : m[1] || '',
		authority: m[2] || '',
		host     : m[3] || '',
		hostname : m[4] || '',
		port     : m[5] || '',
		pathname : m[6] || '',
		search   : m[7] || '',
		hash     : m[8] || ''
	} : null);
}

function resolveUrl(base, href) {// RFC 3986

	function removeDotSegments(input) {
		var output = [];
		input.replace(/^(\.\.?(\/|$))+/, '')
			.replace(/\/(\.(\/|$))+/g, '/')
			.replace(/\/\.\.$/, '/../')
			.replace(/\/?[^\/]*/g, function (p) {
				if (p === '/..') {
					output.pop();
				} else {
					output.push(p);
				}
		});
		return output.join('').replace(/^\//, input.charAt(0) === '/' ? '/' : '');
	}

	href = parseURI(href || '');
	base = parseURI(base || '');

	return !href || !base ? null : (href.protocol || base.protocol) +
		(href.protocol || href.authority ? href.authority : base.authority) +
		removeDotSegments(href.protocol || href.authority || href.pathname.charAt(0) === '/' ? href.pathname : (href.pathname ? ((base.authority && !base.pathname ? '/' : '') + base.pathname.slice(0, base.pathname.lastIndexOf('/') + 1) + href.pathname) : base.pathname)) +
		(href.protocol || href.authority || href.pathname ? href.search : (href.search || base.search)) +
		href.hash;
}

function getDocumentUri(uri) {
	return uri.split('#')[0];
}
function normSchema(schema, baseUri) {
	if (schema && typeof schema === "object") {
		if (baseUri === undefined) {
			baseUri = schema.id;
		} else if (typeof schema.id === "string") {
			baseUri = resolveUrl(baseUri, schema.id);
			schema.id = baseUri;
		}
		if (Array.isArray(schema)) {
			for (var i = 0; i < schema.length; i++) {
				normSchema(schema[i], baseUri);
			}
		} else {
			if (typeof schema['$ref'] === "string") {
				schema['$ref'] = resolveUrl(baseUri, schema['$ref']);
			}
			for (var key in schema) {
				if (key !== "enum") {
					normSchema(schema[key], baseUri);
				}
			}
		}
	}
}

function defaultErrorReporter(language) {
	language = language || 'en';

	var errorMessages = languages[language];

	return function (error) {
		var messageTemplate = errorMessages[error.code] || ErrorMessagesDefault[error.code];
		if (typeof messageTemplate !== 'string') {
			return "Unknown error code " + error.code + ": " + JSON.stringify(error.messageParams);
		}
		var messageParams = error.params;
		// Adapted from Crockford's supplant()
		return messageTemplate.replace(/\{([^{}]*)\}/g, function (whole, varName) {
			var subValue = messageParams[varName];
			return typeof subValue === 'string' || typeof subValue === 'number' ? subValue : whole;
		});
	};
}

var ErrorCodes = {
	INVALID_TYPE: 0,
	ENUM_MISMATCH: 1,
	ANY_OF_MISSING: 10,
	ONE_OF_MISSING: 11,
	ONE_OF_MULTIPLE: 12,
	NOT_PASSED: 13,
	// Numeric errors
	NUMBER_MULTIPLE_OF: 100,
	NUMBER_MINIMUM: 101,
	NUMBER_MINIMUM_EXCLUSIVE: 102,
	NUMBER_MAXIMUM: 103,
	NUMBER_MAXIMUM_EXCLUSIVE: 104,
	NUMBER_NOT_A_NUMBER: 105,
	// String errors
	STRING_LENGTH_SHORT: 200,
	STRING_LENGTH_LONG: 201,
	STRING_PATTERN: 202,
	// Object errors
	OBJECT_PROPERTIES_MINIMUM: 300,
	OBJECT_PROPERTIES_MAXIMUM: 301,
	OBJECT_REQUIRED: 302,
	OBJECT_ADDITIONAL_PROPERTIES: 303,
	OBJECT_DEPENDENCY_KEY: 304,
	// Array errors
	ARRAY_LENGTH_SHORT: 400,
	ARRAY_LENGTH_LONG: 401,
	ARRAY_UNIQUE: 402,
	ARRAY_ADDITIONAL_ITEMS: 403,
	// Custom/user-defined errors
	FORMAT_CUSTOM: 500,
	KEYWORD_CUSTOM: 501,
	// Schema structure
	CIRCULAR_REFERENCE: 600,
	// Non-standard validation options
	UNKNOWN_PROPERTY: 1000
};
var ErrorCodeLookup = {};
for (var key in ErrorCodes) {
	ErrorCodeLookup[ErrorCodes[key]] = key;
}
var ErrorMessagesDefault = {
	INVALID_TYPE: "Invalid type: {type} (expected {expected})",
	ENUM_MISMATCH: "No enum match for: {value}",
	ANY_OF_MISSING: "Data does not match any schemas from \"anyOf\"",
	ONE_OF_MISSING: "Data does not match any schemas from \"oneOf\"",
	ONE_OF_MULTIPLE: "Data is valid against more than one schema from \"oneOf\": indices {index1} and {index2}",
	NOT_PASSED: "Data matches schema from \"not\"",
	// Numeric errors
	NUMBER_MULTIPLE_OF: "Value {value} is not a multiple of {multipleOf}",
	NUMBER_MINIMUM: "Value {value} is less than minimum {minimum}",
	NUMBER_MINIMUM_EXCLUSIVE: "Value {value} is equal to exclusive minimum {minimum}",
	NUMBER_MAXIMUM: "Value {value} is greater than maximum {maximum}",
	NUMBER_MAXIMUM_EXCLUSIVE: "Value {value} is equal to exclusive maximum {maximum}",
	NUMBER_NOT_A_NUMBER: "Value {value} is not a valid number",
	// String errors
	STRING_LENGTH_SHORT: "String is too short ({length} chars), minimum {minimum}",
	STRING_LENGTH_LONG: "String is too long ({length} chars), maximum {maximum}",
	STRING_PATTERN: "String does not match pattern: {pattern}",
	// Object errors
	OBJECT_PROPERTIES_MINIMUM: "Too few properties defined ({propertyCount}), minimum {minimum}",
	OBJECT_PROPERTIES_MAXIMUM: "Too many properties defined ({propertyCount}), maximum {maximum}",
	OBJECT_REQUIRED: "Missing required property: {key}",
	OBJECT_ADDITIONAL_PROPERTIES: "Additional properties not allowed",
	OBJECT_DEPENDENCY_KEY: "Dependency failed - key must exist: {missing} (due to key: {key})",
	// Array errors
	ARRAY_LENGTH_SHORT: "Array is too short ({length}), minimum {minimum}",
	ARRAY_LENGTH_LONG: "Array is too long ({length}), maximum {maximum}",
	ARRAY_UNIQUE: "Array items are not unique (indices {match1} and {match2})",
	ARRAY_ADDITIONAL_ITEMS: "Additional items not allowed",
	// Format errors
	FORMAT_CUSTOM: "Format validation failed ({message})",
	KEYWORD_CUSTOM: "Keyword failed: {key} ({message})",
	// Schema structure
	CIRCULAR_REFERENCE: "Circular $refs: {urls}",
	// Non-standard validation options
	UNKNOWN_PROPERTY: "Unknown property (not in schema)"
};

function ValidationError(code, params, dataPath, schemaPath, subErrors) {
	Error.call(this);
	if (code === undefined) {
		throw new Error ("No error code supplied: " + schemaPath);
	}
	this.message = '';
	this.params = params;
	this.code = code;
	this.dataPath = dataPath || "";
	this.schemaPath = schemaPath || "";
	this.subErrors = subErrors || null;

	var err = new Error(this.message);
	this.stack = err.stack || err.stacktrace;
	if (!this.stack) {
		try {
			throw err;
		}
		catch(err) {
			this.stack = err.stack || err.stacktrace;
		}
	}
}
ValidationError.prototype = Object.create(Error.prototype);
ValidationError.prototype.constructor = ValidationError;
ValidationError.prototype.name = 'ValidationError';

ValidationError.prototype.prefixWith = function (dataPrefix, schemaPrefix) {
	if (dataPrefix !== null) {
		dataPrefix = dataPrefix.replace(/~/g, "~0").replace(/\//g, "~1");
		this.dataPath = "/" + dataPrefix + this.dataPath;
	}
	if (schemaPrefix !== null) {
		schemaPrefix = schemaPrefix.replace(/~/g, "~0").replace(/\//g, "~1");
		this.schemaPath = "/" + schemaPrefix + this.schemaPath;
	}
	if (this.subErrors !== null) {
		for (var i = 0; i < this.subErrors.length; i++) {
			this.subErrors[i].prefixWith(dataPrefix, schemaPrefix);
		}
	}
	return this;
};

function isTrustedUrl(baseUrl, testUrl) {
	if(testUrl.substring(0, baseUrl.length) === baseUrl){
		var remainder = testUrl.substring(baseUrl.length);
		if ((testUrl.length > 0 && testUrl.charAt(baseUrl.length - 1) === "/")
			|| remainder.charAt(0) === "#"
			|| remainder.charAt(0) === "?") {
			return true;
		}
	}
	return false;
}

var languages = {};
function createApi(language) {
	var globalContext = new ValidatorContext();
	var currentLanguage;
	var customErrorReporter;
	var api = {
		setErrorReporter: function (reporter) {
			if (typeof reporter === 'string') {
				return this.language(reporter);
			}
			customErrorReporter = reporter;
			return true;
		},
		addFormat: function () {
			globalContext.addFormat.apply(globalContext, arguments);
		},
		language: function (code) {
			if (!code) {
				return currentLanguage;
			}
			if (!languages[code]) {
				code = code.split('-')[0]; // fall back to base language
			}
			if (languages[code]) {
				currentLanguage = code;
				return code; // so you can tell if fall-back has happened
			}
			return false;
		},
		addLanguage: function (code, messageMap) {
			var key;
			for (key in ErrorCodes) {
				if (messageMap[key] && !messageMap[ErrorCodes[key]]) {
					messageMap[ErrorCodes[key]] = messageMap[key];
				}
			}
			var rootCode = code.split('-')[0];
			if (!languages[rootCode]) { // use for base language if not yet defined
				languages[code] = messageMap;
				languages[rootCode] = messageMap;
			} else {
				languages[code] = Object.create(languages[rootCode]);
				for (key in messageMap) {
					if (typeof languages[rootCode][key] === 'undefined') {
						languages[rootCode][key] = messageMap[key];
					}
					languages[code][key] = messageMap[key];
				}
			}
			return this;
		},
		freshApi: function (language) {
			var result = createApi();
			if (language) {
				result.language(language);
			}
			return result;
		},
		validate: function (data, schema, checkRecursive, banUnknownProperties) {
			var def = defaultErrorReporter(currentLanguage);
			var errorReporter = customErrorReporter ? function (error, data, schema) {
				return customErrorReporter(error, data, schema) || def(error, data, schema);
			} : def;
			var context = new ValidatorContext(globalContext, false, errorReporter, checkRecursive, banUnknownProperties);
			if (typeof schema === "string") {
				schema = {"$ref": schema};
			}
			context.addSchema("", schema);
			var error = context.validateAll(data, schema, null, null, "");
			if (!error && banUnknownProperties) {
				error = context.banUnknownProperties(data, schema);
			}
			this.error = error;
			this.missing = context.missing;
			this.valid = (error === null);
			return this.valid;
		},
		validateResult: function () {
			var result = {toString: function () {
				return this.valid ? 'valid' : this.error.message;
			}};
			this.validate.apply(result, arguments);
			return result;
		},
		validateMultiple: function (data, schema, checkRecursive, banUnknownProperties) {
			var def = defaultErrorReporter(currentLanguage);
			var errorReporter = customErrorReporter ? function (error, data, schema) {
				return customErrorReporter(error, data, schema) || def(error, data, schema);
			} : def;
			var context = new ValidatorContext(globalContext, true, errorReporter, checkRecursive, banUnknownProperties);
			if (typeof schema === "string") {
				schema = {"$ref": schema};
			}
			context.addSchema("", schema);
			context.validateAll(data, schema, null, null, "");
			if (banUnknownProperties) {
				context.banUnknownProperties(data, schema);
			}
			var result = {toString: function () {
				return this.valid ? 'valid' : this.error.message;
			}};
			result.errors = context.errors;
			result.missing = context.missing;
			result.valid = (result.errors.length === 0);
			return result;
		},
		addSchema: function () {
			return globalContext.addSchema.apply(globalContext, arguments);
		},
		getSchema: function () {
			return globalContext.getSchema.apply(globalContext, arguments);
		},
		getSchemaMap: function () {
			return globalContext.getSchemaMap.apply(globalContext, arguments);
		},
		getSchemaUris: function () {
			return globalContext.getSchemaUris.apply(globalContext, arguments);
		},
		getMissingUris: function () {
			return globalContext.getMissingUris.apply(globalContext, arguments);
		},
		dropSchemas: function () {
			globalContext.dropSchemas.apply(globalContext, arguments);
		},
		defineKeyword: function () {
			globalContext.defineKeyword.apply(globalContext, arguments);
		},
		defineError: function (codeName, codeNumber, defaultMessage) {
			if (typeof codeName !== 'string' || !/^[A-Z]+(_[A-Z]+)*$/.test(codeName)) {
				throw new Error('Code name must be a string in UPPER_CASE_WITH_UNDERSCORES');
			}
			if (typeof codeNumber !== 'number' || codeNumber%1 !== 0 || codeNumber < 10000) {
				throw new Error('Code number must be an integer > 10000');
			}
			if (typeof ErrorCodes[codeName] !== 'undefined') {
				throw new Error('Error already defined: ' + codeName + ' as ' + ErrorCodes[codeName]);
			}
			if (typeof ErrorCodeLookup[codeNumber] !== 'undefined') {
				throw new Error('Error code already used: ' + ErrorCodeLookup[codeNumber] + ' as ' + codeNumber);
			}
			ErrorCodes[codeName] = codeNumber;
			ErrorCodeLookup[codeNumber] = codeName;
			ErrorMessagesDefault[codeName] = ErrorMessagesDefault[codeNumber] = defaultMessage;
			for (var langCode in languages) {
				var language = languages[langCode];
				if (language[codeName]) {
					language[codeNumber] = language[codeNumber] || language[codeName];
				}
			}
		},
		reset: function () {
			globalContext.reset();
			this.error = null;
			this.missing = [];
			this.valid = true;
		},
		missing: [],
		error: null,
		valid: true,
		normSchema: normSchema,
		resolveUrl: resolveUrl,
		getDocumentUri: getDocumentUri,
		errorCodes: ErrorCodes
	};
	api.language(language || 'en');
	return api;
}

var tv4 = createApi();
tv4.addLanguage('en-gb', ErrorMessagesDefault);

//legacy property
tv4.tv4 = tv4;

return tv4; // used by _header.js to globalise.

}));
});

tv4.addFormat('date-time', function (data) {
    if (typeof data === 'string') {
        data = new Date(data);
    }
    if (data instanceof Date && !isNaN(data.getTime())) {
        return null;
    }
    return 'Invalid date';
});

function isObject$1(val) {
    return val !== null && val !== undefined && (typeof val === 'undefined' ? 'undefined' : _typeof(val)) === 'object';
}

/**
 * Clone javascript objects.
 * @private
 *
 * @param {Object|Array} obj The object to clone.
 * @param {Function} callback An optional function which runs before inserting a property.
 * @return {Object|Array} The clone of the object.
 */
function _clone(obj, callback) {
    callback = callback || function (scope, key, prop) {
        return prop;
    };
    if (Array.isArray(obj)) {
        return obj.map(function (entry, index) {
            entry = callback(obj, index, entry);
            if (isObject$1(entry)) {
                return _clone(entry, callback);
            }
            return entry;
        });
    } else if (obj instanceof Date) {
        return new Date(obj);
    }
    var res = {};
    Object.keys(obj).forEach(function (k) {
        var val = callback(obj, k, obj[k]);
        if (isObject$1(val)) {
            res[k] = _clone(val, callback);
        } else {
            res[k] = val;
        }
    });
    return res;
}
/**
 * Merge two objects in a new one.
 * @private
 *
 * @param {Object} obj1 The initial object.
 * @param {Object} obj2 The object to merge.
 * @return {Object} The merged object.
 */
function _merge(obj1, obj2) {
    var res = _clone(obj1);
    Object.keys(obj2).forEach(function (key) {
        if (isObject$1(obj2[key])) {
            if (isObject$1(res[key])) {
                res[key] = _merge(res[key], obj2[key]);
            } else {
                res[key] = obj2[key];
            }
        } else {
            res[key] = obj2[key];
        }
    });
    return res;
}
/**
 * Get data from an object.
 * @private
 *
 * @param {Object} scope The object to use.
 * @param {String} k The data key.
 * @param {Boolean} internal Should get value has private property.
 * @return {any} The value of the object for the given key.
 */
function _get(scope, k, internal) {
    if (internal) {
        k = getSymbol(k);
    }
    return scope[k];
}
/**
 * Merge data to another object.
 * @private
 *
 * @param {Object} scope The object to update.
 * @param {Object} data The object to merge.
 * @param {Boolean} internal Should set value has private property.
 */
function _set(scope, data, internal) {
    Object.keys(data).forEach(function (k) {
        var ok = k;
        if (internal) {
            k = getSymbol(k);
        }
        if (scope[k] !== data[ok]) {
            scope[k] = data[ok];
        }
    });
}
/**
 * Create a private symbol.
 * @private
 *
 * @param {String} name The name of the property to privatize.
 * @return {Symbol|String}
 */
function getSymbol(name) {
    if (!getSymbol.cache[name]) {
        if (typeof Symbol !== 'undefined') {
            getSymbol.cache[name] = Symbol(name);
        } else {
            getSymbol.cache[name] = '__' + name;
        }
    }
    return getSymbol.cache[name];
}

getSymbol.cache = {};
/**
 * Get all root properties merging definition.
 * @private
 *
 * @param {Object} schema The schema to analyze.
 * @param {Object} validator The validator instance.
 * @return {Object} A list of properties.
 */
function getProperties(schema, validator) {
    var root = !validator;
    if (root) {
        validator = tv4.freshApi();
        validator.addSchema('', schema);
    }
    if (schema.definitions) {
        for (var k in schema.definitions) {
            validator.addSchema('#/definitions/' + k, schema.definitions[k]);
        }
    }
    if (schema.$ref) {
        schema = validator.getSchema(schema.$ref);
    }
    if (schema.properties) {
        return _clone(schema.properties);
    } else {
        var res = {};
        var defs = schema['anyOf'] || schema['allOf'] || root && schema['oneOf'];
        if (defs) {
            defs.forEach(function (def) {
                res = _merge(res, getProperties(def, validator));
            });
        }
        return res;
    }
    return {};
}

var DEFAULT_OPTIONS = {
    validate: true,
    internal: false
};

var SchemaModel$1 = function () {
    /**
     * Merge two objects in a new one.
     *
     * @param {Object} obj1 The initial object.
     * @param {Object} obj2 The object to merge.
     * @return {Object} The merged object.
     */
    SchemaModel.merge = function merge() {
        return _merge.apply(undefined, arguments);
    };
    /**
     * Clone javascript objects.
     *
     * @param {Object|Array} obj The object to clone.
     * @param {Function} callback An optional function which runs before inserting a property.
     * @return {Object|Array} The clone of the object.
     */


    SchemaModel.clone = function clone() {
        return _clone.apply(undefined, arguments);
    };
    /**
     * Create a new schema class extending SchemaModel.
     *
     * @param {Object} schema The schema to use for the new model class.
     * @return {class} An extended SchemaModel.
     */


    SchemaModel.create = function create(schema) {
        return function (_SchemaModel) {
            inherits(_class, _SchemaModel);

            function _class() {
                classCallCheck(this, _class);
                return possibleConstructorReturn(this, _SchemaModel.apply(this, arguments));
            }

            createClass(_class, null, [{
                key: 'schema',
                get: function get$$1() {
                    return schema;
                }
            }]);
            return _class;
        }(SchemaModel);
    };
    /**
     * The schema of the model.
     * @type {Object}
     * @memberof SchemaModel
     */


    createClass(SchemaModel, null, [{
        key: 'schema',
        get: function get$$1() {
            throw new Error('Missing schema');
        }
        /**
         * The schema merged properties.
         * @type {Object}
         * @memberof SchemaModel
         */

    }, {
        key: 'schemaProperties',
        get: function get$$1() {
            return getProperties(this.schema);
        }
        /**
         * Generate Model classes based on JSON Schema definition.
         * @class
         *
         * @param {Object} data The (optional) initial data to set.
         * @param {Object} options Optional options for data setting.
         */

    }]);

    function SchemaModel(data, options) {
        classCallCheck(this, SchemaModel);

        if (data) {
            this.set(data, options);
        }
    }
    /**
     * Get a property value.
     *
     * @param {String} name The property name to retrieve.
     * @param {Object} options Optional options for data getting.
     * @return {any} The property value.
     */


    SchemaModel.prototype.get = function get$$1(name, options) {
        options = _merge(DEFAULT_OPTIONS, options || {});
        return _get(this, name, options.internal);
    };
    /**
     * Set a bunch of properties.
     *
     * @param {Object} data The data to set.
     * @param {Object} options Optional options for data setting.
     */


    SchemaModel.prototype.set = function set$$1(data, value, options) {
        if (typeof data === 'string') {
            return this.set(defineProperty({}, data, value), options);
        }
        data = data || {};
        options = _merge(DEFAULT_OPTIONS, value || {});
        if (!options.internal && options.validate) {
            var dataToValidate = _merge(this.toJSON(true), data);
            var res = this.validate(dataToValidate, options);
            /* istanbul ignore if */
            if (!res.valid) {
                if (res.error && res.error.message) {
                    throw new Error(res.error.message);
                } else if (res.missing.length) {
                    throw new Error('Missing $ref schemas: ' + res.missing.join(', '));
                }
                throw new Error('Validation failed');
            }
        }
        _set(this, data, options.internal);
    };
    /**
     * Validate a bunch of data or the model instance.
     *
     * @param {Object} data Optional data to validate (if empty, use model's data).
     * @return {Object} A validation result.
     */


    SchemaModel.prototype.validate = function validate(data) {
        data = data || this.toJSON(true);
        var schema = this.constructor.schema;
        var res = tv4.validateResult(data, schema);
        /* istanbul ignore if  */
        if (res.valid && res.missing.length) {
            res.valid = false;
        }
        return res;
    };
    /**
     * Convert the model to a plain javascript object.
     *
     * @param {Boolean} stripUndefined Strip undefined values from model.
     * @return {Object} A representation of the model as plain object.
     */


    SchemaModel.prototype.toJSON = function toJSON(stripUndefined) {
        var _this2 = this;

        var keys = Object.keys(this.constructor.schemaProperties);
        var res = {};
        keys.forEach(function (key) {
            var val = _this2.get(key);
            if (!stripUndefined || val !== undefined) {
                res[key] = val;
            }
        });
        res = _clone(res, function (scope, key, prop) {
            if (prop instanceof SchemaModel) {
                return prop.toJSON(stripUndefined);
            }
            return prop;
        });
        return res;
    };

    return SchemaModel;
}();

SchemaModel$1.symbols = {};

/**
 * SchemaModel
 * (c) 2017 Chialab (http://www.chialab.it) <dev@chialab.io>
 *
 * Generate Model classes based on JSON Schema definition.
 */

var Model$1 = function (_mix$with) {
    inherits(Model, _mix$with);
    createClass(Model, null, [{
        key: 'schema',
        get: function get$$1() {
            return undefined;
        }
    }, {
        key: 'properties',
        get: function get$$1() {
            return [];
        }
    }, {
        key: 'key',
        get: function get$$1() {
            return 'id';
        }

        // eslint-disable-next-line

    }]);

    function Model() {
        classCallCheck(this, Model);
        return possibleConstructorReturn(this, _mix$with.call(this));
    }

    Model.prototype.initialize = function initialize(data) {
        var _this2 = this;

        return _mix$with.prototype.initialize.call(this).then(function () {
            if (data) {
                _this2.set(data);
            }
            return Promise.resolve();
        });
    };

    Model.prototype.set = function set$$1(data, value) {
        var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;

        if (typeof options === 'boolean') {
            options = {
                skipChanges: options
            };
        }
        if ((typeof data === 'undefined' ? 'undefined' : _typeof(data)) === 'object') {
            options = value || {};
            var changed = false;
            var changes = {};
            if (!options.skipChanges && !options.internal) {
                for (var k in data) {
                    if (this[k] !== data[k]) {
                        changed = true;
                        changes[k] = {
                            oldValue: this[k],
                            newValue: data[k]
                        };
                        this.setChanges(k, this[k], data[k]);
                    }
                }
            }
            _mix$with.prototype.set.call(this, data, options);
            if (changed) {
                this.trigger('change', changes);
            }
        } else if (typeof data === 'string') {
            var s = {};
            s[data] = value;
            this.set(s, options);
        }
    };

    Model.prototype.resetChanges = function resetChanges() {
        internal(this).changes = {};
    };

    Model.prototype.setChanges = function setChanges(key, oldValue, newValue) {
        internal(this).changes = internal(this).changes || {};
        internal(this).changes[key] = {
            oldValue: oldValue,
            newValue: newValue
        };
    };

    Model.prototype.getChanges = function getChanges() {
        return internal(this).changes || {};
    };

    Model.prototype.changed = function changed() {
        return Object.keys(this.getChanges());
    };

    Model.prototype.hasChanges = function hasChanges() {
        return !!this.changed().length;
    };

    Model.prototype.validate = function validate() {
        if (this.constructor.schema) {
            var _mix$with$prototype$v;

            for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
                args[_key] = arguments[_key];
            }

            return (_mix$with$prototype$v = _mix$with.prototype.validate).call.apply(_mix$with$prototype$v, [this].concat(args));
        } else {
            return { valid: true };
        }
    };

    Model.prototype.toJSON = function toJSON(stripUndefined) {
        var _this3 = this;

        var Ctr = this.constructor;
        if (Ctr.schema) {
            return _mix$with.prototype.toJSON.call(this, stripUndefined);
        }
        var res = {};
        (Ctr.properties || []).forEach(function (key) {
            var val = _this3.get(key);
            if (!stripUndefined || val !== undefined) {
                res[key] = val;
            }
        });
        return res;
    };

    Model.prototype.factory = function factory(name) {
        var injected = this.getContext().getInjected();
        return injected && injected[name];
    };

    Model.prototype.reset = function reset() {
        var skipChanges = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

        var Ctr = this.constructor;
        var props = [];
        if (Ctr.schema) {
            props = Object.keys(Ctr.schemaProperties);
        } else if (Ctr.properties) {
            props = Ctr.properties;
        }
        var set$$1 = {};
        props.forEach(function (prop) {
            if (prop !== 'id' && prop !== 'type') {
                set$$1[prop] = undefined;
            }
        });
        this.set(set$$1, { validate: false, skipChanges: skipChanges });
    };

    Model.prototype.destroy = function destroy() {
        this.reset();
        this.trigger('change', true);
        return _mix$with.prototype.destroy.call(this);
    };

    return Model;
}(mix(SchemaModel$1).with(CallbackMixin, BaseMixin));

Model$1.ready = Promise.resolve();

var AjaxModel = function (_Model) {
    inherits(AjaxModel, _Model);

    function AjaxModel() {
        classCallCheck(this, AjaxModel);
        return possibleConstructorReturn(this, _Model.apply(this, arguments));
    }

    AjaxModel.prototype.setFromResponse = function setFromResponse() {
        var data = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        if (data) {
            this.set(data, { validate: false, skipChanges: true });
        }
        return Promise.resolve(this);
    };

    return AjaxModel;
}(Model$1);

tv4.addFormat('date-time', function (data) {
    if (typeof data === 'string') {
        data = new Date(data);
    }
    if (data instanceof Date && !isNaN(data.getTime())) {
        return null;
    }
    return 'Invalid date';
});

var SCHEMA = {
    type: 'object',
    additionalProperties: true,
    properties: {
        created: {
            type: 'string',
            format: 'date-time'
        },
        modified: {
            type: 'string',
            format: 'date-time'
        }
    }
};

var Model = function (_AjaxModel) {
    inherits(Model, _AjaxModel);

    function Model() {
        classCallCheck(this, Model);
        return possibleConstructorReturn(this, _AjaxModel.apply(this, arguments));
    }

    Model.create = function create(type, schema) {
        var Ctr = this;
        schema = {
            allOf: [Ctr.schema, schema]
        };
        return function (_Ctr) {
            inherits(_class, _Ctr);

            function _class() {
                classCallCheck(this, _class);
                return possibleConstructorReturn(this, _Ctr.apply(this, arguments));
            }

            createClass(_class, [{
                key: 'type',
                get: function get$$1() {
                    return type;
                }
            }], [{
                key: 'schema',
                get: function get$$1() {
                    return schema;
                }
            }]);
            return _class;
        }(Ctr);
    };

    Model.prototype.isNew = function isNew() {
        return !this.id;
    };

    Model.prototype.isDeleted = function isDeleted() {
        return !!this.$deleted;
    };

    Model.prototype.delete = function _delete() {
        this.reset(true);
        this.tickDeleted();
        this.trigger('deleted');
    };

    Model.prototype.setChanges = function setChanges() {
        var _AjaxModel$prototype$;

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        (_AjaxModel$prototype$ = _AjaxModel.prototype.setChanges).call.apply(_AjaxModel$prototype$, [this].concat(args));
        this.tickModified();
    };

    Model.prototype.resetChanges = function resetChanges() {
        _AjaxModel.prototype.resetChanges.call(this);
        this.tickModified(this.modified || 0);
    };

    Model.prototype.hasLocalChanges = function hasLocalChanges() {
        var remote = new Date(this.modified || 0);
        var current = new Date(this.get('$modified'));
        return current > remote;
    };

    Model.prototype.clone = function clone() {
        var _this3 = this;

        return this.initClass(this.constructor).then(function (clone) {
            return clone.merge(_this3);
        }).then(function (clone) {
            clone.resetChanges();
            return Promise.resolve(clone);
        });
    };

    Model.prototype.merge = function merge(model) {
        this.set(model.toJSON(true));
        return Promise.resolve(this);
    };

    Model.prototype.metadata = function metadata() {
        return internal(this).metadata || {};
    };

    Model.prototype.setFromResponse = function setFromResponse(res) {
        if (res) {
            if (res.id) {
                this.set({
                    id: res.id
                }, {
                    validate: false,
                    skipChanges: true
                });
                delete res.id;
            }
            if (res.type) {
                this.set({
                    type: res.type
                }, {
                    validate: false,
                    skipChanges: true
                });
                delete res.type;
            }
            if (res.attributes) {
                this.set(res.attributes, {
                    validate: false,
                    skipChanges: true
                });
                delete res.attributes;
            }
            if (res.meta) {
                internal(this).metadata = res.meta;
                var schemaProperties = this.constructor.schemaProperties;
                for (var metaName in res.meta) {
                    if (schemaProperties.hasOwnProperty(metaName) && schemaProperties[metaName].readOnly) {
                        this.set(metaName, res.meta[metaName], {
                            validate: false,
                            skipChanges: true
                        });
                    }
                }
                this.tickModified(this.modified || 0);
                delete res.meta;
            }
            delete res.links;
        }
        return _AjaxModel.prototype.setFromResponse.call(this, res);
    };

    Model.prototype.tickModified = function tickModified() {
        var date = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : Date.now();

        this.set('$modified', new Date(date).getTime(), { skipChanges: true, validate: false });
    };

    Model.prototype.tickDeleted = function tickDeleted() {
        this.set('$deleted', true, { skipChanges: false, validate: false });
    };

    Model.prototype.toJSONApi = function toJSONApi(stripUndefined, onlyChanges) {
        var res = {};
        var data = this.toJSON(stripUndefined);
        if (this.id) {
            res.id = this.id;
        }
        if (this.type) {
            res.type = this.type;
        }
        if (onlyChanges) {
            var changed = this.changed();
            for (var k in data) {
                if (changed.indexOf(k) === -1) {
                    delete data[k];
                }
            }
        }
        res.attributes = data;
        return res;
    };

    createClass(Model, null, [{
        key: 'schema',
        get: function get$$1() {
            return SCHEMA;
        }
    }]);
    return Model;
}(AjaxModel);

/**
 * @module Proto
 */

var create = Object.create;

/**
 * Iterate all prototype chain of a class.
 * @memberof Proto
 *
 * @param {Function} Ctr The class to iterate.
 * @param {Function} [callback] A callback function for each prototype.
 * @return {Array<string>}
 */


/**
 * Retrieve a list of properties and methods (with their descriptors) for the class.
 * @memberof Proto
 *
 * @param {Function} Ctr The class to analyze.
 * @param {Function} [filter] A filter function for the property.
 * @return {Object}
 */


/**
 * Retrieve definitions of methods for the class.
 * @memberof Proto
 *
 * @param {Function} Ctr The class to analyze.
 * @return {Array<string>}
 */


/**
 * Retrieve definitions of properties for the class.
 * @memberof Proto
 *
 * @param {Function} Ctr The class to analyze.
 */


/**
 * Get all definitions for a given property in the prototype chain.
 * @memberof Proto
 *
 * @param {Function} Ctr The class to analyze.
 * @param {string} property The property name to collect.
 * @return {Array<Object>}
 */


/**
 * Check if a method or a property is in the prototype chain.
 * @memberof Proto
 *
 * @param {Function} Ctr The class to analyze.
 * @param {string} property The property name to verify.
 * @return {Boolean}
 */


/**
 * Retrieve prototype of an object.
 * @memberof Proto
 *
 * @param {Object} Ctr The object to analyze.
 * @return {Object} The prototype.
 */
function get$1(Ctr) {
    if (Object.getPrototypeOf) {
        return Object.getPrototypeOf(Ctr);
    }
    if (isObject(Ctr.__proto__)) {
        return Ctr.__proto__;
    }
    return Ctr.constructor.prototype;
}

/**
 * Set prototype to an object.
 * @memberof Proto
 *
 * @param {Object} Ctr The object to update.
 * @param {Object|Function} proto The prototype or the class to use.
 */


/**
 * Extend a prototype.
 * @memberof Proto
 *
 * @param {Object} proto1 The prototype to extend.
 * @param {Object} proto2 The prototype to use.
 * @return {Object} The new prototype.
 */


/**
 * Create a new instance of an object without constructor.
 * @memberof Proto
 *
 * @param {Function|Object} Ctr The class or the prototype to reconstruct.
 * @return {Object} The new instance.
 */
function reconstruct(Ctr) {
    if (isFunction(Ctr)) {
        return create(Ctr.prototype);
    } else if (Ctr === Array.prototype) {
        return [];
    }
    return create(Ctr);
}

function noop(scope, key, prop) {
    return prop;
}

/**
 * Clone an object.
 *
 * @method clone
 * @param {*} obj The instance to clone.
 * @param {Function} [callback] A modifier function for each property.
 * @param {Array} [cache] The cache array for circular references.
 * @return {*} The clone of the object.
 */
function clone(obj) {
    var callback = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : noop;
    var cache = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];

    if (isArray(obj)) {
        return obj.map(function (entry, index) {
            entry = callback(obj, index, entry);
            return clone(entry, callback, cache);
        });
    } else if (isObject(obj)) {
        var cached = cache.indexOf(obj);
        if (cached !== -1) {
            return cache[cached + 1];
        }
        var res = reconstruct(get$1(obj));
        cache.push(obj, res);
        Object.keys(obj).forEach(function (k) {
            var val = callback(obj, k, obj[k]);
            res[k] = clone(val, callback, cache);
        });
        return res;
    } else if (isDate(obj)) {
        return new Date(obj.getTime());
    } else if (isFunction(obj)) {
        return obj;
    }
    return obj;
}

var Collection$1 = function (_Model) {
    inherits(Collection, _Model);

    function Collection() {
        classCallCheck(this, Collection);
        return possibleConstructorReturn(this, _Model.apply(this, arguments));
    }

    /**
     * Initialize the collection.
     * @private
     * @param {Array} arr The initial array.
     * @returns {Promise}
     */
    Collection.prototype.initialize = function initialize(arr) {
        var _this2 = this;

        this.array = [];
        this.listeners = [];
        return _Model.prototype.initialize.call(this).then(function () {
            if (arr) {
                _this2.add.apply(_this2, toConsumableArray(arr));
            }
            return Promise.resolve(_this2);
        });
    };

    Collection.prototype.model = function model(data, Model$$1) {
        return this.initClass(Model$$1 || this.constructor.Model, data);
    };

    Collection.prototype.reset = function reset() {
        this.remove.apply(this, toConsumableArray(this.array));
    };

    Collection.prototype.forEach = function forEach() {
        var _array;

        return (_array = this.array).map.apply(_array, arguments);
    };

    Collection.prototype.map = function map() {
        var _array2;

        return (_array2 = this.array).map.apply(_array2, arguments);
    };

    Collection.prototype.filter = function filter() {
        var _array3;

        return (_array3 = this.array).filter.apply(_array3, arguments);
    };

    Collection.prototype.find = function find(map) {
        return this.array.find(map);
    };

    Collection.prototype.get = function get$$1(idx) {
        if (this.array[idx]) {
            return this.array[idx];
        }
    };

    Collection.prototype.getIndexById = function getIndexById(id) {
        var arr = this.array;
        for (var i = 0, len = arr.length; i < len; i++) {
            if (arr[i].id === id) {
                return i;
            }
        }
        return -1;
    };

    Collection.prototype.getIndexByModel = function getIndexByModel(model) {
        var arr = this.array;
        for (var i = 0, len = arr.length; i < len; i++) {
            if (arr[i] === model || model.id && arr[i].id === model.id) {
                return i;
            }
        }
        return -1;
    };

    Collection.prototype.findById = function findById(id) {
        var arr = this.array;
        var idx = this.getIndexById(id);
        if (idx !== -1) {
            return Promise.resolve(arr[idx]);
        }
        return Promise.reject();
    };

    Collection.prototype.findOrCreate = function findOrCreate(id) {
        var _this3 = this;

        var Ctr = this.constructor;
        var Model$$1 = Ctr.Model;
        return this.findById(id).catch(function () {
            return _this3.model(defineProperty({}, Model$$1.key, id));
        });
    };

    Collection.prototype.findAll = function findAll() {
        return Promise.resolve(this);
    };

    Collection.prototype.add = function add() {
        var _this4 = this;

        var Model$$1 = this.constructor.Model;
        var added = [];

        for (var _len = arguments.length, values = Array(_len), _key = 0; _key < _len; _key++) {
            values[_key] = arguments[_key];
        }

        values.forEach(function (val) {
            if (val instanceof Model$$1) {
                _this4.array.push(val);
                _this4.listeners[_this4.array.length - 1] = val.on('change', function () {
                    _this4.trigger('change', {
                        type: 'update',
                        changed: [val]
                    });
                });
                added.push(val);
            }
        });
        if (added.length) {
            this.trigger('change', {
                type: 'add',
                added: added
            });
        }
    };

    Collection.prototype.remove = function remove() {
        var _this5 = this;

        var removed = [];

        for (var _len2 = arguments.length, indexes = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
            indexes[_key2] = arguments[_key2];
        }

        indexes.forEach(function (index) {
            if (typeof index !== 'number') {
                if (index instanceof Model$1) {
                    if (index.id) {
                        index = _this5.getIndexById(index.id);
                    } else {
                        index = _this5.getIndexByModel(index);
                    }
                } else if (typeof index === 'string') {
                    index = _this5.getIndexById(index);
                }
            }
            if (index < _this5.length) {
                var model = _this5.get(index);
                if (_this5.listeners[index]) {
                    _this5.listeners[index]();
                }
                _this5.listeners.splice(index, 1);
                _this5.array.splice(index, 1);
                removed.push(model);
            }
        });
        if (removed.length) {
            this.trigger('change', {
                type: 'remove',
                removed: removed
            });
        }
    };

    Collection.prototype.toJSON = function toJSON() {
        return this.map(function (model) {
            return model.toJSON();
        });
    };

    createClass(Collection, [{
        key: 'length',
        get: function get$$1() {
            return this.array.length;
        }
    }], [{
        key: 'Model',

        /**
         * The main model class for the collection.
         * @type {Model}
         */
        get: function get$$1() {
            return Model$1;
        }
    }]);
    return Collection;
}(Model$1);

var FetchCollection = function (_Collection) {
    inherits(FetchCollection, _Collection);

    function FetchCollection() {
        classCallCheck(this, FetchCollection);
        return possibleConstructorReturn(this, _Collection.apply(this, arguments));
    }

    FetchCollection.prototype.model = function model(data, Model) {
        return _Collection.prototype.model.call(this, null, Model).then(function (model) {
            return model.setFromResponse(data);
        });
    };

    FetchCollection.prototype.execFetch = function execFetch() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        return fetch(options.endpoint, options).then(function (response) {
            return response.json();
        });
    };

    FetchCollection.prototype.beforeFetch = function beforeFetch(options) {
        return Promise.resolve(options);
    };

    FetchCollection.prototype.afterFetch = function afterFetch(data) {
        return Promise.resolve(data);
    };

    FetchCollection.prototype.fetch = function fetch(model) {
        var _this2 = this;

        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        return this.beforeFetch(options).then(function (options) {
            return _this2.execFetch(options).then(function (res) {
                return _this2.afterFetch(res);
            }).then(function (data) {
                model.resetChanges();
                return model.setFromResponse(data);
            });
        });
    };

    FetchCollection.prototype.setFromResponse = function setFromResponse(res) {
        var _this3 = this;

        var promises = [];
        if (Array.isArray(res)) {
            promises = res.map(function (data) {
                return _this3.model(data);
            });
        }
        return Promise.all(promises);
    };

    FetchCollection.prototype.execPost = function execPost() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        return fetch(options.endpoint, options).then(function (response) {
            return response.json();
        });
    };

    FetchCollection.prototype.beforePost = function beforePost(options) {
        options.method = options.method || 'POST';
        return Promise.resolve(options);
    };

    FetchCollection.prototype.afterPost = function afterPost(data) {
        return Promise.resolve(data);
    };

    FetchCollection.prototype.post = function post(model) {
        var _this4 = this;

        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        options.body = options.body || model.toJSON();
        return this.beforePost(options).then(function () {
            return _this4.execPost(options).then(function (res) {
                return _this4.afterPost(res);
            }).then(function (data) {
                model.resetChanges();
                return model.setFromResponse(data);
            });
        });
    };

    return FetchCollection;
}(Collection$1);

var AjaxCollection = function (_FetchCollection) {
    inherits(AjaxCollection, _FetchCollection);

    function AjaxCollection() {
        classCallCheck(this, AjaxCollection);
        return possibleConstructorReturn(this, _FetchCollection.apply(this, arguments));
    }

    AjaxCollection.prototype.findAll = function findAll() {
        var _this2 = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        options.endpoint = options.endpoint || this.endpoint;
        return this.beforeFetch(options).then(function (options) {
            return _this2.execFetch(options).then(function (res) {
                return _this2.afterFetch(res).then(function (res) {
                    return _this2.setFromResponse(res);
                }).then(function (models) {
                    _this2.reset();
                    _this2.add.apply(_this2, toConsumableArray(models));
                });
            });
        });
    };

    AjaxCollection.prototype.findById = function findById(id) {
        var _this3 = this;

        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        var Ctr = this.constructor;
        var Model = Ctr.Model;

        return _FetchCollection.prototype.findById.call(this, id, options).catch(function () {
            return _this3.model(defineProperty({}, Model.key, id)).then(function (model) {
                return _this3.fetch(model, options);
            });
        });
    };

    createClass(AjaxCollection, null, [{
        key: 'Model',
        get: function get$$1() {
            return AjaxModel;
        }
    }]);
    return AjaxCollection;
}(FetchCollection);

/**
 * @class bedita.Collection
 * @extends AjaxCollection
 * A generic Collection class for BEdita models.
 */
var Collection = function (_AjaxCollection) {
    inherits(Collection, _AjaxCollection);

    function Collection() {
        classCallCheck(this, Collection);
        return possibleConstructorReturn(this, _AjaxCollection.apply(this, arguments));
    }

    /**
     * Create a new Collection constructor which handle the given Model instances.
     * @static
     * @param {Function} Model The constructor of the Collection's instances.
     * @return {Function} The extended Collection
     */
    Collection.create = function create(Model$$1) {
        // dynamically create a class which uses the given Model.
        return function (_Collection) {
            inherits(_class, _Collection);

            function _class() {
                classCallCheck(this, _class);
                return possibleConstructorReturn(this, _Collection.apply(this, arguments));
            }

            createClass(_class, null, [{
                key: 'Model',
                get: function get$$1() {
                    return Model$$1;
                }
            }]);
            return _class;
        }(Collection);
    };

    /**
     * The Model constructor of the Collection's instances.
     * @type {Function}
     * @static
     */


    Collection.prototype.model = function model(data, EntityModel) {
        var _this3 = this;

        var resolveModel = void 0;
        if (!EntityModel && data && data.type) {
            resolveModel = this.factory('model').getModel(data.type, this.constructor.Model).catch(function () {
                return _this3.constructor.Model;
            });
        } else {
            resolveModel = Promise.resolve(EntityModel || this.constructor.Model);
        }
        return resolveModel.then(function (Model$$1) {
            return _AjaxCollection.prototype.model.call(_this3, data, Model$$1);
        });
    };

    Collection.prototype.execFetch = function execFetch() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        options = clone(options);
        options.method = options.method || 'get';
        return this.factory('api').request(options.endpoint, options);
    };

    Collection.prototype.fetch = function fetch(model) {
        var _this4 = this;

        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        options = clone(options);
        var api = options.endpoint;
        var id = model.get('id');
        var Entity = options.Model || this.constructor.Model;
        if (!api && id) {
            api = (this.defaultEndpoint || Entity.prototype.type || Entity.type) + '/' + id;
        }
        if (!api) {
            return Promise.reject();
        }
        options.endpoint = api;
        return this.beforeFetch(options).then(function (options) {
            return _this4.execFetch(options).then(function (res) {
                return _this4.afterFetch(res);
            }).then(function (data) {
                return _this4.factory('model').getModel(data.type, _this4.constructor.Model).catch(function () {
                    return Promise.resolve(Entity);
                }).then(function (Model$$1) {
                    if (Model$$1 && !(model instanceof Model$$1)) {
                        return _this4.initClass(Model$$1);
                    }
                    return Promise.resolve(model);
                }).then(function (convertedModel) {
                    convertedModel.resetChanges();
                    return convertedModel.setFromResponse(data);
                }).catch(function (err) {
                    _this4.factory('debug').error('model convertion ->', err);
                });
            });
        });
    };

    Collection.prototype.afterFetch = function afterFetch(res) {
        if (res && res.meta && res.meta.pagination) {
            this.pagination = res.meta.pagination;
        }
        this.included = res.included || [];
        return Promise.resolve(res && res.data);
    };

    Collection.prototype.setFromResponse = function setFromResponse(data) {
        var _this5 = this;

        return _AjaxCollection.prototype.setFromResponse.call(this, data).then(function (models) {
            var included = _this5.included;
            var promises = [];
            if (included.length) {
                models.forEach(function (model) {
                    var rels = model.getRelationships() || {};
                    for (var k in rels) {
                        var rel = rels[k];
                        if (rel instanceof Collection) {
                            rel.forEach(function (relModel) {
                                var objData = included.find(function (entry) {
                                    return entry.id === relModel.id && entry.type === relModel.type;
                                });
                                if (objData) {
                                    promises.push(relModel.setFromResponse(clone(objData)));
                                }
                            });
                        }
                    }
                });
            }
            return Promise.all(promises).then(function () {
                return Promise.resolve(models);
            });
        });
    };

    Collection.prototype.execPost = function execPost() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        options = clone(options);
        options.method = options.method || 'post';
        options.method = options.method.toLowerCase();
        return this.factory('api')[options.method](options.endpoint, options.body, options);
    };

    Collection.prototype.post = function post(model) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        var modelOptions = clone(options);
        var relationshipsOptions = clone(options);
        var api = modelOptions.endpoint;
        if (!api) {
            var id = model.get('id');
            api = this.defaultEndpoint || model.get('type');
            modelOptions.method = 'POST';
            if (id) {
                modelOptions.method = 'PATCH';
                api += '/' + id;
            }
        }
        if (!api) {
            return Promise.reject();
        }
        modelOptions.endpoint = api;
        if (!modelOptions.body) {
            modelOptions.body = { data: model.toJSONApi() };
        }
        return _AjaxCollection.prototype.post.call(this, model, modelOptions).then(function () {
            return model.postRelationships(relationshipsOptions);
        }).then(function () {
            model.resetChanges();
            return Promise.resolve(model);
        });
    };

    Collection.prototype.afterPost = function afterPost(res) {
        return Promise.resolve(res.data);
    };

    Collection.prototype.findAll = function findAll() {
        var _this6 = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        options = clone(options);
        var Entity = options.Model || this.constructor.Model;
        var endpoint = options.endpoint || this.endpoint || this.defaultEndpoint || Entity.prototype.type || Entity.type;
        if (!endpoint) {
            return Promise.reject();
        }
        endpoint = this.factory('api').resolve(endpoint);
        var url = this.factory('url');
        var queryParams = {};
        if (options.sort) {
            queryParams.sort = options.sort;
        }
        if (typeof options.page !== 'undefined') {
            queryParams.page = options.page;
        }
        if (typeof options.pageSize !== 'undefined') {
            queryParams.page_size = options.pageSize;
        }
        if (typeof options.filter !== 'undefined') {
            queryParams.filter = options.filter;
        }
        if (options.search) {
            queryParams.q = options.search;
        }
        var include = [];
        if (Entity.relationships) {
            var rels = Entity.relationships;
            for (var k in rels) {
                if (rels[k].include) {
                    include.push(k);
                }
            }
        }
        if (options.include) {
            options.include.forEach(function (rel) {
                if (include.indexOf(rel) === -1) {
                    include.push(rel);
                }
            });
        }
        if (include.length) {
            queryParams.include = include.join(',');
        }

        // check if field filter is set, search if fields are valid 
        // for model schema and add them to queryParams
        var fields = [];
        if (Entity.schema && Entity.schema.properties && options.fields) {
            var modelFields = Entity.schema.properties;
            for (var fieldName in modelFields) {
                if (options.fields.indexOf(fieldName) > -1) {
                    fields.push(fieldName);
                }
            }
            if (fields.length) {
                queryParams.fields = fields.join(',');
            }
        }

        endpoint = url.setSearchParams(endpoint, queryParams);
        this.endpoint = options.endpoint = endpoint;
        internal(this).lastOptions = options;

        var promise = _AjaxCollection.prototype.findAll.call(this, options);
        if (options.full) {
            // Load all results by fetching all pages one after the other.
            var currentPage = options.page || 1;
            promise = promise.then(function (res) {
                if (!_this6.pagination || _this6.pagination.page_count <= currentPage) {
                    return Promise.resolve(res);
                }

                return _this6.getCleanCopy().then(function (collection) {
                    options.page = currentPage + 1;
                    return collection.findAll(options).then(function () {
                        return _this6.joinCollection(collection);
                    });
                });
            });
        }

        return promise;
    };

    Collection.prototype.getQueryParam = function getQueryParam(param) {
        var options = internal(this).lastOptions || {};
        return options[param];
    };

    Collection.prototype.isSortBy = function isSortBy(field) {
        var endpoint = this.endpoint;
        if (endpoint) {
            var sort = this.factory('url').getSearchParam(endpoint, 'sort');
            if (sort) {
                return sort === field || sort === '-' + field;
            }
        }
        return false;
    };

    Collection.prototype.sortType = function sortType() {
        var endpoint = this.endpoint;
        if (endpoint) {
            var sort = this.factory('url').getSearchParam(endpoint, 'sort');
            if (sort) {
                return sort[0] !== '-' ? 'asc' : 'desc';
            }
        }
        return false;
    };

    /**
     * When the Collection is paginated, update the the models for the requested page.
     * @param {Number} pageNum The requested page number.
     * @return {Promise}
     */


    Collection.prototype.page = function page(pageNum) {
        // get the options for the last fetch
        var options = internal(this).lastOptions || {};
        // update the page number
        options.page = pageNum;
        // exec a `findAll`
        return this.findAll(options);
    };

    /**
     * Remote model deletion.
     *
     * @param {Model} model The model to delete.
     * @param {Object} options Options for the api call.
     * @return {Promise}
     */


    Collection.prototype.delete = function _delete(model) {
        var _this7 = this;

        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        options = clone(options);
        var api = void 0;
        if (options.endpoint) {
            // the endpoint for model deletion has been provided in the options
            api = options.endpoint;
        } else {
            // check if the model exists in the database in order to generare the endpoint
            var id = model.get('id');
            if (id) {
                // generate the api endpoint
                api = (this.defaultEndpoint || model.get('type')) + '/' + id;
            }
        }
        if (!api) {
            // missing endpoint, cannot delete the model
            return Promise.reject();
        }
        // trigger the `beforeFetch` hook
        return this.beforeFetch(options).then(function (options) {
            return (
                // exec a DELETE ajax call
                _this7.factory('api').delete(api, undefined, options).then(function (res) {
                    return (
                        // trigger the `afterFetch` hook
                        _this7.afterFetch(res)
                    );
                }).then(function () {
                    // empty delete the model
                    model.delete();
                    // destory model listeners and interactions
                    return model.destroy();
                })
            );
        });
    };

    /**
     * Get a set of important properties to show in index.
     * @return {Promise<Array<String>>}
     */


    Collection.prototype.getMinimalPropertiesSet = function getMinimalPropertiesSet() {
        return Promise.resolve(['id', 'type', 'uname', 'title', 'created', 'modified']);
    };

    /**
     * Merge two collections.
     *
     * @param {Collection} collection Collection to be joined into the current one.
     * @return {Promise}
     */


    Collection.prototype.joinCollection = function joinCollection(collection) {
        var _this8 = this;

        return Promise.all(collection.map(function (model) {
            return _this8.add(model);
        }));
    };

    /**
     * Get a clean copy of the current collection model.
     *
     * @return {Promise<Collection>}
     */


    Collection.prototype.getCleanCopy = function getCleanCopy() {
        return this.initClass(this.constructor);
    };

    /**
     * Async method for Collection update.
     * @return {Promise}
     */


    Collection.prototype.update = function update() {
        return Promise.resolve();
    };

    createClass(Collection, [{
        key: 'type',


        /**
         * The type of the instances.
         * Aliases to `type` property of the Model.
         * @type {String}
         */
        get: function get$$1() {
            // get the Model constructor for the Collection
            var Model$$1 = this.constructor.Model;
            // return Model type
            return Model$$1.prototype.type || Model$$1.type;
        }

        /**
         * The default endpoint to use for fetching models data.
         * @type {String}
         */

    }, {
        key: 'defaultEndpoint',
        get: function get$$1() {
            return null;
        }
    }], [{
        key: 'Model',
        get: function get$$1() {
            return Model;
        }
    }]);
    return Collection;
}(AjaxCollection);

var RELATIONSHIP_MODES = {
    ONE_TO_MANY: 0,
    ONE_TO_ONE: 1
};

var RelationshipsCollection = function (_Collection) {
    inherits(RelationshipsCollection, _Collection);

    function RelationshipsCollection() {
        classCallCheck(this, RelationshipsCollection);
        return possibleConstructorReturn(this, _Collection.apply(this, arguments));
    }

    RelationshipsCollection.prototype.initialize = function initialize(name, left) {
        var _this2 = this;

        this.name = name;
        this.parent = left;
        this.fetched = false;
        this.resetChanges();
        return _Collection.prototype.initialize.call(this).then(function () {
            _this2.parent.on('relparams:change', function (changed) {
                if (changed.name === _this2.name) {
                    _this2.updateRelationshipsChanges(changed.right, 'changed');
                    _this2.trigger('change', { type: 'update' });
                }
            });
            _this2.on('change', function (changes) {
                if (changes.type === 'add') {
                    left.trigger('relationship:added');
                    left.trigger('relationship:change');
                    changes.added.forEach(function (model) {
                        _this2.updateRelationshipsChanges(model, 'add');
                    });
                } else if (changes.type === 'remove') {
                    left.trigger('relationship:removed');
                    left.trigger('relationship:change');
                    changes.removed.forEach(function (model) {
                        _this2.updateRelationshipsChanges(model, 'remove');
                    });
                } else if (changes.type === 'update') {
                    left.trigger('relationship:updated');
                    left.trigger('relationship:change');
                }
            });
            return Promise.resolve();
        });
    };

    RelationshipsCollection.prototype.add = function add() {
        var _Collection$prototype,
            _this3 = this;

        for (var _len = arguments.length, models = Array(_len), _key = 0; _key < _len; _key++) {
            models[_key] = arguments[_key];
        }

        (_Collection$prototype = _Collection.prototype.add).call.apply(_Collection$prototype, [this].concat(models));
        models.forEach(function (model) {
            _this3.parent.addRelationship(_this3.name, model);
        });
    };

    RelationshipsCollection.prototype.getMinimalPropertiesSet = function getMinimalPropertiesSet() {
        var _this4 = this;

        if (this.type && this.type.length === 1) {
            return this.factory('model').getCollection(this.type[0]).then(function (Ctr) {
                return Ctr.prototype.getMinimalPropertiesSet.call(_this4);
            });
        }
        return _Collection.prototype.getMinimalPropertiesSet.call(this);
    };

    RelationshipsCollection.prototype.fetchRelationableTypes = function fetchRelationableTypes() {
        var _this5 = this;

        var types = this.type;
        if (types) {
            return Promise.resolve(types);
        }
        return this.factory('model').getObjectTypes().then(function (collection) {
            return collection.findAllByRelationship(_this5.name).then(function () {
                return Promise.resolve(collection.map(function (type) {
                    return type.name;
                }));
            });
        });
    };

    RelationshipsCollection.prototype.fetchRelationableObjects = function fetchRelationableObjects() {
        var _this6 = this;

        return this.fetchRelationableTypes().then(function (types) {
            var resolveCollection = void 0;
            if (types.length === 1) {
                types = types[0];
                resolveCollection = _this6.factory('model').getCollection(types).catch(function () {
                    return Collection;
                });
            } else {
                resolveCollection = Promise.resolve(Collection);
            }
            return resolveCollection.then(function (Ctr) {
                return _this6.initClass(Ctr);
            }).then(function (collection) {
                var endpoint = Array.isArray(types) ? '/objects?' + types.map(function (type) {
                    return 'filter[type][]=' + type;
                }).join('&') : '/' + types;
                return collection.findAll({ endpoint: endpoint }).then(function () {
                    return Promise.resolve(collection);
                });
            });
        });
    };

    RelationshipsCollection.prototype.updateRelationshipsChanges = function updateRelationshipsChanges(model, method) {
        var Model = this.constructor.Model;
        var changes = this.changes;
        if (method === 'changed') {
            var changed = changes.changed;
            if (changed.indexOf(model) === -1) {
                changed.push(model);
            }
        } else {
            var removed = method === 'add' ? changes.removed : changes.added;
            var added = method === 'add' ? changes.added : changes.removed;
            for (var i = 0, len = removed.length; i < len; i++) {
                var entry = removed[i];
                entry = entry instanceof Model ? entry : { id: entry };
                if (model.id && model.id === entry.id || !model.id && model === entry) {
                    removed.splice(i, 1);
                    break;
                }
            }
            for (var _i = 0, _len2 = added.length; _i < _len2; _i++) {
                var _entry = added[_i];
                _entry = _entry instanceof Model ? _entry : { id: _entry };
                if (model.id && model.id === _entry.id || !model.id && model === _entry) {
                    return;
                }
            }
            added.push(model);
        }
    };

    RelationshipsCollection.prototype.findAll = function findAll() {
        var _this7 = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        options = clone(options);
        if (!options.endpoint) {
            options.endpoint = this.parent.type + '/' + this.parent.id + '/' + this.name;
        }
        return _Collection.prototype.findAll.call(this, options).then(function (res) {
            _this7.fetched = true;
            var paramsList = _this7.paramsList || [];
            _this7.forEach(function (model, index) {
                if (paramsList[index]) {
                    _this7.parent.setRelationshipMeta(_this7.name, model, paramsList[index], false);
                }
            });
            _this7.resetChanges();
            return Promise.resolve(res);
        });
    };

    RelationshipsCollection.prototype.afterFetch = function afterFetch(res) {
        if (this.mode === RELATIONSHIP_MODES.ONE_TO_ONE && !this.inverse) {
            if (res && res.data) {
                res.data = [res.data];
            }
        }
        this.paramsList = (res && res.data || []).map(function (d) {
            if (d.meta && d.meta.relation) {
                var p = {
                    params: d.meta.relation.params || {},
                    priority: d.meta.relation.priority,
                    inv_priority: d.meta.relation.inv_priority
                };
                delete d.meta.relation;
                return p;
            }
        });
        return _Collection.prototype.afterFetch.call(this, res);
    };

    RelationshipsCollection.prototype.hasChanges = function hasChanges() {
        var changes = this.changes;
        return changes.added.length || changes.removed.length || changes.changed.length;
    };

    RelationshipsCollection.prototype.resetChanges = function resetChanges() {
        this.changes = {
            added: [],
            removed: [],
            changed: []
        };
    };

    RelationshipsCollection.prototype.update = function update() {
        var _this8 = this;

        var ids = [];
        var changes = this.changes;
        var promise = Promise.resolve();
        var api = this.parent.type;
        var relationship = this.name;
        var subject = this.parent.id;
        if (this.inverse && this.mode === RELATIONSHIP_MODES.ONE_TO_ONE) {
            api = this.type[0];
            relationship = this.inverse;
        }
        if (changes.removed.length) {
            if (this.mode === RELATIONSHIP_MODES.ONE_TO_ONE) {
                var model = changes.removed[0];
                subject = model.id;
                promise = promise.then(function () {
                    return _this8.execPost({
                        endpoint: '/' + api + '/' + subject + '/relationships/' + relationship,
                        body: null,
                        method: 'PATCH'
                    });
                });
            } else {
                promise = promise.then(function () {
                    return _this8.execPost({
                        endpoint: '/' + api + '/' + subject + '/relationships/' + relationship,
                        body: {
                            data: changes.removed.map(function (model) {
                                ids.push(model.id);
                                return {
                                    id: model.id,
                                    type: model.type
                                };
                            })
                        },
                        method: 'DELETE'
                    });
                });
            }
        }
        if (changes.added.length) {
            if (this.mode === RELATIONSHIP_MODES.ONE_TO_ONE) {
                var _model = changes.added[0];
                subject = _model.id;
                promise = promise.then(function () {
                    return _this8.execPost({
                        endpoint: '/' + api + '/' + subject + '/relationships/' + relationship,
                        body: {
                            data: {
                                id: _this8.parent.id,
                                type: _this8.parent.type,
                                meta: {
                                    relation: _this8.parent.getRelationshipMeta(_this8.name, _model)
                                }
                            }
                        },
                        method: 'PATCH'
                    });
                });
            } else {
                promise = promise.then(function () {
                    return _this8.execPost({
                        endpoint: '/' + api + '/' + subject + '/relationships/' + relationship,
                        body: {
                            data: changes.added.map(function (model) {
                                ids.push(model.id);
                                return {
                                    id: model.id,
                                    type: model.type,
                                    meta: {
                                        relation: _this8.parent.getRelationshipMeta(_this8.name, model)
                                    }
                                };
                            })
                        }
                    });
                });
            }
        }
        if (changes.changed.length) {
            if (this.mode === RELATIONSHIP_MODES.ONE_TO_ONE) {
                var _model2 = changes.changed[0];
                subject = _model2.id;
                promise = promise.then(function () {
                    return _this8.execPost({
                        endpoint: '/' + api + '/' + subject + '/relationships/' + relationship,
                        body: {
                            data: {
                                id: _this8.parent.id,
                                type: _this8.parent.type,
                                meta: {
                                    relation: _this8.parent.getRelationshipMeta(_this8.name, _model2)
                                }
                            }
                        },
                        method: 'PATCH'
                    });
                });
            } else {
                promise = promise.then(function () {
                    return _this8.execPost({
                        endpoint: '/' + api + '/' + subject + '/relationships/' + relationship,
                        body: {
                            data: changes.changed.map(function (model) {
                                return {
                                    id: model.id,
                                    type: model.type,
                                    meta: {
                                        relation: _this8.parent.getRelationshipMeta(_this8.name, model)
                                    }
                                };
                            })
                        }
                    });
                });
            }
        }
        return promise.then(function () {
            _this8.resetChanges();
            return _this8.findAll();
        });
    };

    /** @inheritdoc */


    RelationshipsCollection.prototype.joinCollection = function joinCollection(collection) {
        var _this9 = this;

        var joinPromise = Promise.resolve();
        if (this.parent !== collection.parent) {
            joinPromise = _Collection.prototype.joinCollection.call(this, collection);
        }

        return joinPromise.then(function () {
            var _paramsList;

            _this9.paramsList = _this9.paramsList || [];
            (_paramsList = _this9.paramsList).push.apply(_paramsList, toConsumableArray(collection.paramsList || []));
            return Promise.resolve();
        });
    };

    /** @inheritdoc */


    RelationshipsCollection.prototype.getCleanCopy = function getCleanCopy() {
        return this.initClass(this.constructor, this.name, this.parent);
    };

    createClass(RelationshipsCollection, [{
        key: 'def',
        get: function get$$1() {
            var parent = this.parent;
            var rels = parent.constructor.relationships || {};
            return rels.hasOwnProperty(this.name) ? rels[this.name] : {};
        }
    }, {
        key: 'inverse',
        get: function get$$1() {
            return this.def.inverse;
        }
    }, {
        key: 'type',
        get: function get$$1() {
            return this.def.types || [];
        }
    }, {
        key: 'mode',
        get: function get$$1() {
            return this.def.mode || RELATIONSHIP_MODES.ONE_TO_MANY;
        }
    }]);
    return RelationshipsCollection;
}(Collection);

var REL_KEY = 'relationships';
var REL_META_KEY = 'relationshipsMeta';

var BaseModel = function (_Model) {
    inherits(BaseModel, _Model);

    function BaseModel() {
        classCallCheck(this, BaseModel);
        return possibleConstructorReturn(this, _Model.apply(this, arguments));
    }

    /**
     * @inheritdoc
     */
    BaseModel.create = function create(type, schema, relations) {
        // handle relations
        var Ctr = _Model.create.call(this, type, schema);
        if (relations) {
            Ctr.relationships = relations;
        }
        return Ctr;
    };

    /**
     * @inheritdoc
     */


    BaseModel.prototype.initialize = function initialize() {
        var _Model$prototype$init,
            _this2 = this;

        var ctrRelationships = this.constructor.relationships || {};

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return (_Model$prototype$init = _Model.prototype.initialize).call.apply(_Model$prototype$init, [this].concat(args)).then(function () {
            return (
                // setup object relationships collections.
                _this2.setupRelationships(ctrRelationships)
            );
        });
    };

    /**
     * @inheritdoc
     */


    BaseModel.prototype.merge = function merge(model) {
        var _this3 = this;

        return _Model.prototype.merge.call(this, model).then(function () {
            var rels = model.getRelationships() || {};
            return _this3.setupRelationships(rels).then(function () {
                Object.keys(rels).forEach(function (name) {
                    var collection = _this3.getRelationship(name);
                    collection.reset();
                    var parentCollection = model.getRelationship(name);
                    parentCollection.forEach(function (relModel) {
                        _this3.addRelationship(name, relModel, model.getRelationshipMeta(name, relModel));
                    });
                    collection.resetChanges();
                });
                return Promise.resolve(_this3);
            });
        });
    };

    /**
     * @inheritdoc
     */


    BaseModel.prototype.reset = function reset(skipChanges) {
        // reset relationships collections
        var rels = this.getRelationships() || {};
        Object.keys(rels).forEach(function (name) {
            rels[name].reset(skipChanges);
        });
        // reset relationships metadata
        this.set(REL_META_KEY, undefined, { internal: true });
        return _Model.prototype.reset.call(this, skipChanges);
    };

    BaseModel.prototype.setFromResponse = function setFromResponse(res) {
        var _this4 = this;

        if (res) {
            var relPromise = Promise.resolve();
            if (res.relationships) {
                relPromise = this.setupRelationships(res.relationships);
                delete res.relationships;
            }
            return relPromise.then(function () {
                return _Model.prototype.setFromResponse.call(_this4, res).then(function (lastRes) {
                    return _this4.trigger('synced').then(function () {
                        return Promise.resolve(lastRes);
                    });
                });
            });
        }
        return _Model.prototype.setFromResponse.call(this, res);
    };

    BaseModel.prototype.getRelationships = function getRelationships() {
        return this.get(REL_KEY, { internal: true });
    };

    BaseModel.prototype.setRelationships = function setRelationships(data) {
        return this.set(REL_KEY, data, { internal: true, skipChanges: true });
    };

    BaseModel.prototype.fetchRelationships = function fetchRelationships() {
        var _this5 = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        var collections = this.getRelationships();
        var available = Object.keys(collections);
        var filterRelationships = options.relationships;
        if (filterRelationships === true) {
            filterRelationships = available;
        }
        var promise = Promise.resolve();
        available.filter(function (name) {
            if (filterRelationships && filterRelationships.indexOf(name) === -1) {
                return false;
            }
            return true;
        }).forEach(function (relName) {
            promise = promise.then(function () {
                return _this5.fetchRelationship(relName, options);
            });
        });
        return promise.then(function () {
            _this5.trigger('change', {});
            return Promise.resolve(_this5);
        });
    };

    BaseModel.prototype.postRelationships = function postRelationships() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        var collections = this.getRelationships();
        return Promise.all(
        // update sub models
        Object.keys(collections).map(function (relName) {
            var collection = collections[relName];
            var relationships = (collection || []).filter(function (model) {
                return model.isNew() || model.hasChanges();
            });
            return Promise.all(relationships.map(function (model) {
                return collection.post(model, options);
            }));
        })).then(function () {
            // update relationships
            var promise = Promise.resolve();
            Object.keys(collections).forEach(function (relName) {
                promise = promise.then(function () {
                    return collections[relName].update();
                });
            });
            return promise;
        });
    };

    BaseModel.prototype.setupRelationships = function setupRelationships() {
        var _this6 = this;

        var rels = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        var collections = this.getRelationships() || {};
        return Promise.all(Object.keys(rels).map(function (name) {
            var rel = rels[name];
            var relPromise = Promise.resolve(collections[name]);
            if (!collections.hasOwnProperty(name)) {
                relPromise = _this6.initClass(RelationshipsCollection, name, _this6).then(function (collection) {
                    collections[name] = collection;
                    return Promise.resolve(collection);
                });
            }
            return relPromise.then(function (collection) {
                if (Array.isArray(rel.data)) {
                    collection.fetched = true;
                    return Promise.all(rel.data.map(function (modelData) {
                        return collection.model(modelData).then(function (model) {
                            return _this6.addRelationship(name, model);
                        });
                    }));
                }
                return Promise.resolve();
            });
        })).then(function () {
            _this6.setRelationships(collections);
            return Promise.resolve();
        });
    };

    BaseModel.prototype.getRelationship = function getRelationship(name) {
        var collections = this.getRelationships();
        if (collections) {
            return collections[name];
        }
        return undefined;
    };

    BaseModel.prototype.fetchRelationship = function fetchRelationship(name, options) {
        var collection = this.getRelationship(name);
        if (collection && ((!options || Object.keys(options).length === 0) && collection.fetched || this.isNew())) {
            return Promise.resolve(collection);
        }
        if (!this.id) {
            return Promise.reject(new Error('Missing id'));
        }
        if (!collection) {
            return Promise.reject(new Error('Unavailable relationship'));
        }
        return collection.findAll(options).then(function () {
            return Promise.resolve(collection);
        });
    };

    /**
     * Add a relationship.
     * @memberof BaseModel
     *
     * @param {string} relName The name of the relationship to add.
     * @param {Model} relModel The related model to add.
     * @param {Object} [params] A set of relationship params.
     * @return {void}
     */


    BaseModel.prototype.addRelationship = function addRelationship(relName, relModel, params) {
        var collection = this.getRelationship(relName);
        if (collection.getIndexByModel(relModel) === -1) {
            collection.add(relModel);
        }
        if (params) {
            this.setRelationshipMeta(relName, relModel, params, true);
        }
    };

    /**
     * Remove a relationship.
     * @memberof BaseModel
     *
     * @param {string} relName The name of the relationship to remove.
     * @param {Model} relModel The related model to remove.
     * @return {void}
     */


    BaseModel.prototype.removeRelationship = function removeRelationship(relName, relModel) {
        var collection = this.getRelationship(relName);
        collection.remove(relModel);
    };

    /**
     * Get relationship metadata.
     * @memberof BaseModel
     *
     * @param {string} relName The name of the relationship.
     * @param {Model} relModel The related model.
     * @return {Object|void} A set of relationship metadata.
     */


    BaseModel.prototype.getRelationshipMeta = function getRelationshipMeta(relName, relModel) {
        var relMeta = this.get(REL_META_KEY, { internal: true }) || {};
        return relMeta[relName] && relMeta[relName][relModel.id];
    };

    /**
     * Update relationship's metadata and parameters.
     * @memberof BaseModel
     *
     * @param {string} relName The name of the relationship to update.
     * @param {Model} relModel The related model.
     * @param {Object} meta The new meta object to set.
     * @param {Boolean} trigger Should trigger a change event.
     * @return {void}
     *
     * @emits BaseModel#relparams:change A relationship param has changed.
     */


    BaseModel.prototype.setRelationshipMeta = function setRelationshipMeta(relName, relModel, meta, trigger) {
        // get all relationships metadata
        var relMeta = this.get(REL_META_KEY, { internal: true }) || {};
        // get relationship metadata
        relMeta[relName] = relMeta[relName] || {};
        // set metadata for the related model
        relMeta[relName][relModel.id] = meta;
        // update relationships metadata
        this.set(REL_META_KEY, relMeta, { internal: true });
        if (trigger) {
            // trigger the change event
            this.trigger('relparams:change', {
                name: relName,
                left: this,
                right: relModel,
                meta: meta
            });
        }
    };

    /**
     * Check if relationships are changed from the latest remote sync.
     * @memberof BaseModel
     *
     * @return {Boolean}
     */


    BaseModel.prototype.hasRelationshipsChanges = function hasRelationshipsChanges() {
        var collections = this.getRelationships();
        // iterate every relationship
        for (var k in collections) {
            // and check if it has changes
            if (collections[k].hasChanges()) {
                return true;
            }
        }
        return false;
    };

    /**
     * Add a parameter to a model relationship.
     * @memberof BaseModel
     *
     * @param {string} relName The name of the relation to update.
     * @param {Model} relModel The related model.
     * @param {string} paramName The name of the paramater to update.
     * @param {*} paramValue The value to set.
     * @return {void}
     */


    BaseModel.prototype.setRelationshipParam = function setRelationshipParam(relName, relModel, paramName, paramValue) {
        // get all the parameters of the relationship.
        var relMeta = this.getRelationshipMeta(relName, relModel) || {};
        // setup the `params` field
        if (!relMeta.params) {
            relMeta.params = {};
        }
        // check if the paramater has to be updated
        if (relMeta.params[paramName] !== paramValue) {
            relMeta.params[paramName] = paramValue;
            // flag the relationship metatdata has changed
            relMeta.changed = true;
            // update the model
            this.setRelationshipMeta(relName, relModel, relMeta, true);
        }
    };

    return BaseModel;
}(Model);

var SCHEMA$1 = {
    $schema: 'http://json-schema.org/draft-06/schema#',
    type: 'object',
    properties: {
        id: {
            type: 'string',
            readOnly: true
        },
        type: {
            type: 'string',
            readOnly: true
        },
        publish_end: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'date-time'
            }],
            $id: '/properties/publish_end',
            title: 'Publish End',
            description: 'publish until this date'
        },
        publish_start: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'date-time'
            }],
            $id: '/properties/publish_start',
            title: 'Publish Start',
            description: 'publish from this date on'
        },
        body: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                contentMediaType: 'text/html'
            }],
            $id: '/properties/body',
            title: 'Body',
            description: ''
        },
        created: {
            type: 'string',
            format: 'date-time"',
            $id: '/properties/created',
            title: 'Created',
            description: 'creation date',
            readOnly: true
        },
        title: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                contentMediaType: 'text/html'
            }],
            $id: '/properties/title',
            title: 'Title',
            description: ''
        },
        modified: {
            type: 'string',
            format: 'date-time',
            $id: '/properties/modified',
            title: 'Modified',
            description: 'last modification date',
            readOnly: true
        },
        extra: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'object'
            }],
            $id: '/properties/extra',
            title: 'Extra',
            description: 'object data extensions (JSON format)'
        },
        created_by: {
            type: 'integer',
            $id: '/properties/created_by',
            title: 'Created By',
            description: 'user who created object',
            readOnly: true
        },
        modified_by: {
            type: 'integer',
            $id: '/properties/modified_by',
            title: 'Modified By',
            description: 'last user to modify object',
            readOnly: true
        },
        locked: {
            type: 'boolean',
            $id: '/properties/locked',
            title: 'Locked',
            description: 'locked flag: some fields (status, uname,...) cannot be changed',
            readOnly: true,
            default: false
        },
        status: {
            type: 'string',
            enum: ['on', 'off', 'draft'],
            $id: '/properties/status',
            title: 'Status',
            description: 'object status: on, draft, off',
            default: 'draft'
        },
        lang: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/lang',
            title: 'Lang',
            description: 'language used, ISO 639-3 code'
        },
        published: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'date-time'
            }],
            $id: '/properties/published',
            title: 'Published',
            description: 'publication date, status set to ON',
            readOnly: true
        },
        description: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                contentMediaType: 'text/html'
            }],
            $id: '/properties/description',
            title: 'Description',
            description: ''
        },
        uname: {
            type: 'string',
            $id: '/properties/uname',
            title: 'Uname',
            description: 'unique and url friendly resource name (slug)',
            maxLength: 255
        }
    }
};

var ObjectModel = function (_BaseModel) {
    inherits(ObjectModel, _BaseModel);

    function ObjectModel() {
        classCallCheck(this, ObjectModel);
        return possibleConstructorReturn(this, _BaseModel.apply(this, arguments));
    }

    createClass(ObjectModel, null, [{
        key: 'schema',
        get: function get$$1() {
            return SCHEMA$1;
        }
    }, {
        key: 'type',
        get: function get$$1() {
            return 'objects';
        }
    }]);
    return ObjectModel;
}(BaseModel);

var SCHEMA$2 = {
    type: 'object',
    $id: '{host}/model/schema/roles',
    $schema: 'http://json-schema.org/draft-06/schema#',
    properties: {
        name: {
            type: 'string',
            $id: '/properties/name',
            title: 'Name',
            description: 'role unique name',
            maxLength: 32
        },
        description: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                contentMediaType: 'text/html'
            }],
            $id: '/properties/description',
            title: 'Description',
            description: 'role description'
        },
        unchangeable: {
            type: 'boolean',
            $id: '/properties/unchangeable',
            title: 'Unchangeable',
            description: 'role data not modifiable (default:false)',
            readOnly: true,
            default: false
        },
        created: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'date-time'
            }],
            $id: '/properties/created',
            title: 'Created',
            description: 'creation date',
            readOnly: true
        },
        modified: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'date-time'
            }],
            $id: '/properties/modified',
            title: 'Modified',
            description: 'last modification date',
            readOnly: true
        }
    },
    required: ['name']
};

var RoleModel = function (_BaseModel) {
    inherits(RoleModel, _BaseModel);

    function RoleModel() {
        classCallCheck(this, RoleModel);
        return possibleConstructorReturn(this, _BaseModel.apply(this, arguments));
    }

    createClass(RoleModel, [{
        key: 'type',
        get: function get$$1() {
            return 'roles';
        }
    }], [{
        key: 'schema',
        get: function get$$1() {
            return SCHEMA$2;
        }
    }]);
    return RoleModel;
}(BaseModel);

var SCHEMA$3 = {
    $id: '{host}/model/schema/user',
    $schema: 'http://json-schema.org/draft-06/schema#',
    type: 'object',
    properties: {
        name: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/name',
            title: 'Name',
            description: 'person name, can be NULL'
        },
        deathdate: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'date-time'
            }],
            $id: '/properties/deathdate',
            title: 'Deathdate',
            description: 'date of death, can be NULL'
        },
        company_kind: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/company_kind',
            title: 'Company Kind',
            description: 'type of company, can be NULL'
        },
        surname: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/surname',
            title: 'Surname',
            description: 'person surname, can be NULL'
        },
        company: {
            type: 'boolean',
            $id: '/properties/company',
            title: 'Company',
            description: 'is a company, default: false'
        },
        state_name: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/state_name',
            title: 'State Name',
            description: 'state, can be NULL'
        },
        country: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/country',
            title: 'Country',
            description: 'country, can be NULL'
        },
        company_name: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/company_name',
            title: 'Company Name',
            description: 'name of company, can be NULL'
        },
        city: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/city',
            title: 'City',
            description: 'city, can be NULL'
        },
        zipcode: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/zipcode',
            title: 'Zipcode',
            description: 'zipcode, can be NULL'
        },
        last_login_err: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'date-time'
            }],
            $id: '/properties/last_login_err',
            title: 'Last Login Err',
            description: 'last login filaure datetime',
            readOnly: true
        },
        person_title: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/person_title',
            title: 'Person Title',
            description: 'person title, for example Sir, Madame, Prof, Doct, ecc., can be NULL'
        },
        num_login_err: {
            type: 'integer',
            $id: '/properties/num_login_err',
            title: 'Num Login Err',
            description: 'number of consecutive login failures',
            readOnly: true,
            default: 0
        },
        phone: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/phone',
            title: 'Phone',
            description: 'first phone number, can be NULL'
        },
        birthdate: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'date-time'
            }],
            $id: '/properties/birthdate',
            title: 'Birthdate',
            description: 'date of birth, can be NULL'
        },
        gender: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/gender',
            title: 'Gender',
            description: 'gender, for example male, female, can be NULL'
        },
        vat_number: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/vat_number',
            title: 'Vat Number',
            description: 'value added tax identification number (VAT)'
        },
        national_id_number: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/national_id_number',
            title: 'National Id Number',
            description: 'national identification number (like SSN in USA or NI number in UK)'
        },
        username: {
            type: 'string',
            $id: '/properties/username',
            title: 'Username',
            description: 'login user name',
            maxLength: 100
        },
        password_hash: {
            type: 'string',
            $id: '/properties/password_hash',
            title: 'Password',
            description: 'login user password',
            maxLength: 100
        },
        website: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'uri'
            }],
            $id: '/properties/website',
            title: 'Website',
            description: 'website url, can be NULL'
        },
        street_address: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                contentMediaType: 'text/html'
            }],
            $id: '/properties/street_address',
            title: 'Street Address',
            description: 'address street, can be NULL'
        },
        email: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'email'
            }],
            $id: '/properties/email',
            title: 'Email',
            description: 'first email, can be NULL'
        },
        blocked: {
            type: 'boolean',
            $id: '/properties/blocked',
            title: 'Blocked',
            description: 'user blocked flag',
            readOnly: true,
            default: false
        },
        last_login: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'date-time'
            }],
            $id: '/properties/last_login',
            title: 'Last Login',
            description: 'last succcessful login datetime',
            readOnly: true
        },
        verified: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string',
                format: 'date-time'
            }],
            $id: '/properties/verified',
            title: 'Verified',
            description: 'Timestamp at which the user became verified',
            readOnly: true
        }
    },
    required: ['username']
};

var UserModel = function (_ObjectModel) {
    inherits(UserModel, _ObjectModel);

    function UserModel() {
        classCallCheck(this, UserModel);
        return possibleConstructorReturn(this, _ObjectModel.apply(this, arguments));
    }

    UserModel.prototype.hasRole = function hasRole() {
        for (var _len = arguments.length, names = Array(_len), _key = 0; _key < _len; _key++) {
            names[_key] = arguments[_key];
        }

        return this.fetchRelationship('roles').then(function (roles) {
            var res = false;
            roles.forEach(function (role) {
                if (names.indexOf(role.name) !== -1) {
                    res = true;
                }
            });
            return Promise.resolve(res);
        }).catch(function () {
            return Promise.resolve(false);
        });
    };

    createClass(UserModel, [{
        key: 'type',
        get: function get$$1() {
            return 'users';
        }
    }], [{
        key: 'schema',
        get: function get$$1() {
            return {
                allOf: [ObjectModel.schema, SCHEMA$3]
            };
        }
    }, {
        key: 'relationships',
        get: function get$$1() {
            return {
                roles: {
                    types: ['roles'],
                    include: true
                }
            };
        }
    }]);
    return UserModel;
}(ObjectModel);

var SCHEMA$4 = {
    type: 'object',
    $id: '{host}/model/schema/streams',
    $schema: 'http://json-schema.org/draft-06/schema#',
    properties: {
        version: {
            type: 'integer',
            $id: '/properties/version',
            title: 'Version',
            description: 'Stream version',
            readOnly: true,
            default: 1
        },
        file_name: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'string'
            }],
            $id: '/properties/file_name',
            title: 'File Name',
            description: 'Original file name'
        },
        url: {
            type: 'string',
            readOnly: true
        },
        mime_type: {
            type: 'string',
            $id: '/properties/mime_type',
            title: 'Mime Type',
            description: 'Mime-type of file',
            maxLength: 255,
            default: 'application/octet-stream'
        },
        file_size: {
            type: 'integer',
            $id: '/properties/file_size',
            title: 'File Size',
            description: 'File size (in bytes)',
            readOnly: true
        },
        hash_md5: {
            type: 'string',
            $id: '/properties/hash_md5',
            title: 'Hash Md5',
            description: 'MD5 hash',
            readOnly: true,
            maxLength: 255
        },
        hash_sha1: {
            type: 'string',
            $id: '/properties/hash_sha1',
            title: 'Hash Sha1',
            description: 'SHA1 hash',
            readOnly: true,
            maxLength: 255,
            default: ''
        },
        width: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'integer'
            }],
            $id: '/properties/width',
            title: 'Width',
            description: 'Width (if applicable)',
            readOnly: true
        },
        height: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'integer'
            }],
            $id: '/properties/height',
            title: 'Height',
            description: 'Height (if applicable)',
            readOnly: true
        },
        duration: {
            oneOf: [{
                type: 'null'
            }, {
                type: 'integer'
            }],
            $id: '/properties/duration',
            title: 'Duration',
            description: 'Duration (if applicable)',
            readOnly: true
        },
        created: {
            type: 'string',
            format: 'date-time',
            $id: '/properties/created',
            title: 'Created',
            description: 'Creation time',
            readOnly: true
        },
        modified: {
            type: 'string',
            format: 'date-time',
            $id: '/properties/modified',
            title: 'Modified',
            description: 'Last modification time',
            readOnly: true
        }
    }
};

var StreamModel = function (_BaseModel) {
    inherits(StreamModel, _BaseModel);

    function StreamModel() {
        classCallCheck(this, StreamModel);
        return possibleConstructorReturn(this, _BaseModel.apply(this, arguments));
    }

    createClass(StreamModel, [{
        key: 'type',
        get: function get$$1() {
            return 'streams';
        }
    }], [{
        key: 'schema',
        get: function get$$1() {
            return SCHEMA$4;
        }
    }, {
        key: 'relationships',
        get: function get$$1() {
            return {
                object: {
                    types: ['media'],
                    mode: RELATIONSHIP_MODES.ONE_TO_ONE
                }
            };
        }
    }]);
    return StreamModel;
}(BaseModel);

var SCHEMA$5 = {
    type: 'object',
    properties: {
        name: {
            oneOf: [{ type: 'null' }, { type: 'string', maximum: 255 }]
        },
        width: {
            oneOf: [{ type: 'null' }, { type: 'number' }]
        },
        height: {
            oneOf: [{ type: 'null' }, { type: 'number' }]
        },
        duration: {
            oneOf: [{ type: 'null' }, { type: 'number' }]
        }
    }
};

var MediaModel = function (_ObjectModel) {
    inherits(MediaModel, _ObjectModel);

    function MediaModel() {
        classCallCheck(this, MediaModel);
        return possibleConstructorReturn(this, _ObjectModel.apply(this, arguments));
    }

    createClass(MediaModel, [{
        key: 'type',
        get: function get$$1() {
            return 'media';
        }
    }], [{
        key: 'schema',
        get: function get$$1() {
            return {
                allOf: [ObjectModel.schema, SCHEMA$5]
            };
        }
    }, {
        key: 'relationships',
        get: function get$$1() {
            return {
                streams: {
                    types: ['streams'],
                    mode: RELATIONSHIP_MODES.ONE_TO_ONE,
                    inverse: 'object'
                }
            };
        }
    }]);
    return MediaModel;
}(ObjectModel);

var SCHEMA$6 = {
    definitions: BaseModel.schema.definitions,
    type: 'object',
    properties: {
        id: { type: 'string', maximum: 255 },
        name: { type: 'string', maximum: 255 },
        api_key: { type: 'string', maximum: 255, readOnly: true },
        description: {
            oneOf: [{ type: 'null' }, { type: 'string', contentMediaType: 'text/html' }]
        },
        created: {
            oneOf: [{ type: 'null' }, { type: 'string', format: 'date-time' }, { type: 'object', format: 'date-time' }],
            readOnly: true
        },
        modified: {
            oneOf: [{ type: 'null' }, { type: 'string', format: 'date-time' }, { type: 'object', format: 'date-time' }],
            readOnly: true
        },
        enabled: { type: 'boolean' }
    }
};

var ApplicationModel = function (_BaseModel) {
    inherits(ApplicationModel, _BaseModel);

    function ApplicationModel() {
        classCallCheck(this, ApplicationModel);
        return possibleConstructorReturn(this, _BaseModel.apply(this, arguments));
    }

    createClass(ApplicationModel, [{
        key: 'type',
        get: function get$$1() {
            return 'applications';
        }
    }], [{
        key: 'schema',
        get: function get$$1() {
            return SCHEMA$6;
        }
    }]);
    return ApplicationModel;
}(BaseModel);

/**
 * @constant model schema
 * @type {Object}
 */
var SCHEMA$7 = {
    definitions: BaseModel.schema.definitions,
    type: 'object',
    properties: {
        id: { type: 'string', maximum: 255 },
        type: { type: 'string', maximum: 255 },
        name: { type: 'string', maximum: 50 },
        singular: { type: 'string', maximum: 50 },
        is_abstract: { type: 'boolean' },
        description: {
            oneOf: [{ type: 'null' }, { type: 'string' }]
        },
        hidden: {
            oneOf: [{ type: 'null' }, { type: 'string' }]
        },
        parent_name: {
            oneOf: [{ type: 'null' }, { type: 'string', maximum: 50 }]
        }
    }
};

/**
 * Object type model
 */
var ObjectTypeModel = function (_BaseModel) {
    inherits(ObjectTypeModel, _BaseModel);

    function ObjectTypeModel() {
        classCallCheck(this, ObjectTypeModel);
        return possibleConstructorReturn(this, _BaseModel.apply(this, arguments));
    }

    /**
     * Temporarily empty, to avoid error on `save` ObjectTypeModel
     * Relation `properties` call `GET /object_types/:id/properties` instead of `/model/object_types/:id/properties`.
     * 
     * @return {Promise}
     */
    ObjectTypeModel.prototype.postRelationships = function postRelationships() {
        return Promise.resolve();
    };

    /**
     * Retrieve the parent ObjectType.
     * @return {Promise<ObjectType>}
     */


    ObjectTypeModel.prototype.getParentModel = function getParentModel() {
        if (this.parent_name) {
            return this.factory('model').getObjectType(this.parent_name);
        }
        return Promise.reject('missing `parent_name`');
    };

    /**
     * Retrieve a full list of properties.
     * @return {Promise<PropertiesCollection>}
     */


    ObjectTypeModel.prototype.getProperties = function getProperties() {
        return this.factory('model').getPropertiesForType(this.name);
    };

    /**
     * Retrieve static ObjectType properties.
     * @return {Promise<PropertiesCollection>}
     */


    ObjectTypeModel.prototype.getStaticProperties = function getStaticProperties() {
        return this.factory('model').getStaticPropertiesForType(this.name);
    };

    /**
     * Retrieve dynamic ObjectType properties.
     * @return {Promise<PropertiesCollection>}
     */


    ObjectTypeModel.prototype.getDynamicProperties = function getDynamicProperties() {
        var _this2 = this;

        return this.factory('model').getDynamicPropertiesForType(this.name).then(function (collection) {
            _this2.on('change', function () {
                // sync object type `name` with property' `object_type_name`
                collection.forEach(function (model) {
                    model.set('object_type_name', _this2.name, { validate: false });
                });
            });
            return Promise.resolve(collection);
        });
    };

    /**
     * Create a property for object type.
     * @param {Object} data Property data.
     * @return {Promise<PropertyModel>}
     */


    ObjectTypeModel.prototype.createProperty = function createProperty() {
        var _this3 = this;

        var data = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        return this.factory('model').initModel('properties').then(function (model) {
            if (_this3.name) {
                data.object_type_name = _this3.name;
            }
            model.set(data, { validate: false });
            _this3.on('change', function () {
                // sync object type `name` with property' `object_type_name`
                model.set('object_type_name', _this3.name, { validate: false });
            });
            return Promise.resolve(model);
        });
    };

    createClass(ObjectTypeModel, [{
        key: 'type',


        /**
         * Return object model type
         * 
         * @return {String} object model type
         */
        get: function get$$1() {
            return 'object_types';
        }
    }], [{
        key: 'schema',


        /**
         * Return model schema
         * 
         * @return {Object} model schema
         */
        get: function get$$1() {
            return SCHEMA$7;
        }
    }]);
    return ObjectTypeModel;
}(BaseModel);

var SCHEMA$8 = {
    definitions: BaseModel.schema.definitions,
    type: 'object',
    properties: {
        id: { type: 'string', maximum: 255 },
        type: { type: 'string', maximum: 255 },
        name: { type: 'string', maximum: 255 },
        params: {
            oneOf: [{ type: 'null' }, { type: 'object' }]
        }
    }
};

var PropertyTypeModel = function (_BaseModel) {
    inherits(PropertyTypeModel, _BaseModel);

    function PropertyTypeModel() {
        classCallCheck(this, PropertyTypeModel);
        return possibleConstructorReturn(this, _BaseModel.apply(this, arguments));
    }

    createClass(PropertyTypeModel, [{
        key: 'type',
        get: function get$$1() {
            return 'property_types';
        }
    }], [{
        key: 'schema',
        get: function get$$1() {
            return SCHEMA$8;
        }
    }]);
    return PropertyTypeModel;
}(BaseModel);

var SCHEMA$9 = {
    type: 'object',
    properties: {
        id: { type: 'string', maximum: 255 },
        type: { type: 'string', maximum: 255 },
        name: { type: 'string', maximum: 255 },
        property_type_name: { type: 'string', maximum: 255 },
        object_type_name: { type: 'string', maximum: 255 },
        description: {
            oneOf: [{ type: 'null' }, { type: 'string' }]
        }
    },
    required: ['name', 'property_type_name', 'object_type_name']
};

var PropertyModel = function (_BaseModel) {
    inherits(PropertyModel, _BaseModel);

    function PropertyModel() {
        classCallCheck(this, PropertyModel);
        return possibleConstructorReturn(this, _BaseModel.apply(this, arguments));
    }

    createClass(PropertyModel, [{
        key: 'type',
        get: function get$$1() {
            return 'properties';
        }
    }], [{
        key: 'schema',
        get: function get$$1() {
            return SCHEMA$9;
        }
    }]);
    return PropertyModel;
}(BaseModel);

var ObjectsCollection = function (_Collection) {
    inherits(ObjectsCollection, _Collection);

    function ObjectsCollection() {
        classCallCheck(this, ObjectsCollection);
        return possibleConstructorReturn(this, _Collection.apply(this, arguments));
    }

    createClass(ObjectsCollection, null, [{
        key: 'Model',
        get: function get$$1() {
            return ObjectModel;
        }
    }]);
    return ObjectsCollection;
}(Collection);

/**
 * @class RolesCollection
 * @extends Collection
 * Handle roles.
 */
var RolesCollection = function (_Collection) {
  inherits(RolesCollection, _Collection);

  function RolesCollection() {
    classCallCheck(this, RolesCollection);
    return possibleConstructorReturn(this, _Collection.apply(this, arguments));
  }

  /**
   * @inheritdoc
   */
  RolesCollection.prototype.getMinimalPropertiesSet = function getMinimalPropertiesSet() {
    return Promise.resolve(['id', 'name']);
  };

  /**
   * Retrieve a role by id.
   * @param {Number} roleId
   * @return {RoleModel}
   */


  RolesCollection.prototype.getById = function getById(roleId) {
    return this.array.find(function (role) {
      return role.id == roleId;
    });
  };

  /**
   * Retrieve a role by name.
   * @param {String} roleName
   * @return {RoleModel}
   */


  RolesCollection.prototype.getByName = function getByName(roleName) {
    return this.array.find(function (role) {
      return role.name === roleName;
    });
  };

  createClass(RolesCollection, null, [{
    key: 'Model',

    /**
     * @inheritdoc
     * Use RoleModel as default Model constructor.
     */
    get: function get$$1() {
      return RoleModel;
    }
  }]);
  return RolesCollection;
}(Collection);

var TrashCollection = function (_ObjectsCollection) {
    inherits(TrashCollection, _ObjectsCollection);

    function TrashCollection() {
        classCallCheck(this, TrashCollection);
        return possibleConstructorReturn(this, _ObjectsCollection.apply(this, arguments));
    }

    TrashCollection.prototype.fetch = function fetch(model) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        options = clone(options);
        options.endpoint = 'trash/' + model.id;
        return _ObjectsCollection.prototype.fetch.call(this, model, options);
    };

    TrashCollection.prototype.post = function post(model) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        options = clone(options);
        options.endpoint = 'trash/' + model.id;
        return _ObjectsCollection.prototype.post.call(this, model, options);
    };

    TrashCollection.prototype.delete = function _delete(model) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        options = clone(options);
        options.endpoint = 'trash/' + model.id;
        return _ObjectsCollection.prototype.delete.call(this, model, options);
    };

    TrashCollection.prototype.findAll = function findAll() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        options = clone(options);
        options.endpoint = 'trash';
        return _ObjectsCollection.prototype.findAll.call(this, options);
    };

    TrashCollection.prototype.restore = function restore(model) {
        return this.post(model, {
            method: 'PATCH'
        });
    };

    return TrashCollection;
}(ObjectsCollection);

/**
 * @class UsersCollection
 * @extends Collection
 * Handle users.
 */
var UsersCollection = function (_Collection) {
  inherits(UsersCollection, _Collection);

  function UsersCollection() {
    classCallCheck(this, UsersCollection);
    return possibleConstructorReturn(this, _Collection.apply(this, arguments));
  }

  /**
   * @inheritdoc
   */
  UsersCollection.prototype.getMinimalPropertiesSet = function getMinimalPropertiesSet() {
    return Promise.resolve(['id', 'email', 'title', 'username', 'last_login']);
  };

  createClass(UsersCollection, null, [{
    key: 'Model',

    /**
     * @inheritdoc
     * Use UserModel as default Model constructor.
     */
    get: function get$$1() {
      return UserModel;
    }
  }]);
  return UsersCollection;
}(Collection);

/**
 * @class bedita.MediaCollection
 * @extends bedita.Collection
 * A collection for MediaModels.
 */
var MediaCollection = function (_Collection) {
  inherits(MediaCollection, _Collection);

  function MediaCollection() {
    classCallCheck(this, MediaCollection);
    return possibleConstructorReturn(this, _Collection.apply(this, arguments));
  }

  createClass(MediaCollection, null, [{
    key: 'Model',

    /**
     * @inheritdoc
     */
    get: function get$$1() {
      return MediaModel;
    }
  }]);
  return MediaCollection;
}(Collection);

var StreamsCollection = function (_Collection) {
    inherits(StreamsCollection, _Collection);

    function StreamsCollection() {
        classCallCheck(this, StreamsCollection);
        return possibleConstructorReturn(this, _Collection.apply(this, arguments));
    }

    StreamsCollection.prototype.upload = function upload(media, fileContent, type, base64) {
        var _this2 = this;

        var name = media.name;
        if (!type && self.File && fileContent instanceof self.File) {
            name = name || fileContent.name;
            type = type || fileContent.type;
        }
        name = name || 'stream_' + Date.now();
        var headers = {
            'content-type': type
        };
        if (base64) {
            headers['content-transfer-encoding'] = 'base64';
        }
        return this.factory('api').post('/streams/upload/' + name, fileContent, {
            headers: headers
        }).then(function (res) {
            return _this2.model().then(function (model) {
                return model.setFromResponse(res.data).then(function () {
                    return Promise.resolve(model);
                });
            }).then(function (streamModel) {
                if (media) {
                    var mediaPromise = Promise.resolve(media);
                    if (!(media instanceof MediaModel)) {
                        return _this2.factory('model').getCollection(media.type).catch(function () {
                            return MediaCollection;
                        }).then(function (Collection$$1) {
                            return _this2.initClass(Collection$$1);
                        }).then(function (collection) {
                            return collection.model(media).then(function (model) {
                                return collection.post(model).then(function () {
                                    return Promise.resolve(model);
                                });
                            });
                        });
                    }
                    return mediaPromise.then(function (mediaModel) {
                        if (!mediaModel.name) {
                            mediaModel.set('name', name, { validate: false });
                        }
                        mediaModel.addRelationship('streams', streamModel);
                        return Promise.resolve(streamModel);
                    });
                }
                return Promise.resolve(streamModel);
            });
        });
    };

    StreamsCollection.prototype.getMinimalPropertiesSet = function getMinimalPropertiesSet() {
        return Promise.resolve(['url', 'file_name', 'mime_type', 'version']);
    };

    createClass(StreamsCollection, null, [{
        key: 'Model',
        get: function get$$1() {
            return StreamModel;
        }
    }]);
    return StreamsCollection;
}(Collection);

/**
 * @class bedita.ApplicationsCollection
 * @extends bedita.Collection
 * A collection for ApplicationModels.
 */
var ApplicationsCollection = function (_Collection) {
  inherits(ApplicationsCollection, _Collection);

  function ApplicationsCollection() {
    classCallCheck(this, ApplicationsCollection);
    return possibleConstructorReturn(this, _Collection.apply(this, arguments));
  }

  /**
   * @inheritdoc
   */
  ApplicationsCollection.prototype.getMinimalPropertiesSet = function getMinimalPropertiesSet() {
    return Promise.resolve(['id', 'api_key', 'name', 'description']);
  };

  /**
   * The endpoint for Applications.
   * @type {String}
   */


  createClass(ApplicationsCollection, [{
    key: 'defaultEndpoint',
    get: function get$$1() {
      return '/admin/applications';
    }
  }], [{
    key: 'Model',

    /**
     * @inheritdoc
     */
    get: function get$$1() {
      return ApplicationModel;
    }
  }]);
  return ApplicationsCollection;
}(Collection);

/**
 * @class bedita.ObjectTypesCollection
 * @extends bedita.Collection
 * A collection for ObjectTypeModels.
 */
var ObjectTypesCollection = function (_Collection) {
  inherits(ObjectTypesCollection, _Collection);

  function ObjectTypesCollection() {
    classCallCheck(this, ObjectTypesCollection);
    return possibleConstructorReturn(this, _Collection.apply(this, arguments));
  }

  /**
   * @inheritdoc
   */
  ObjectTypesCollection.prototype.getMinimalPropertiesSet = function getMinimalPropertiesSet() {
    return Promise.resolve(['id', 'name', 'is_abstract', 'description']);
  };

  /**
   * call Collection.findAll with custom endpoint for available object_types for a relation.
   * 
   * @param {String} relName The relationship name.
   * @param {Object} options 
   */


  ObjectTypesCollection.prototype.findAllByRelationship = function findAllByRelationship(relName) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    options.endpoint = this.type + '?filter[by_relation][name]=' + relName;
    return _Collection.prototype.findAll.call(this, options);
  };

  /**
   * filter Types array
   * 
   * @param options as {
   *          filter: filter list with attributes (ex: plugin: 'BEdita/Core')
   *          fields: mask output with fields (ex name, id)
   *      }
   * 
   * @returns Promise of an Array of Objects
   */


  ObjectTypesCollection.prototype.filterTypes = function filterTypes() {
    var _this2 = this;

    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

    return this.findAll(options).then(function () {
      return _this2.array;
    });
  };

  createClass(ObjectTypesCollection, [{
    key: 'defaultEndpoint',


    /**
     * @inheritdoc
     */
    get: function get$$1() {
      return '/model/object_types';
    }
  }], [{
    key: 'Model',

    /**
     * @inheritdoc
     */
    get: function get$$1() {
      return ObjectTypeModel;
    }
  }]);
  return ObjectTypesCollection;
}(Collection);

/**
 * PropertyTypes Collection
 */
var PropertyTypesCollection = function (_Collection) {
  inherits(PropertyTypesCollection, _Collection);

  function PropertyTypesCollection() {
    classCallCheck(this, PropertyTypesCollection);
    return possibleConstructorReturn(this, _Collection.apply(this, arguments));
  }

  /**
   * Return minimal properties set for index pages
   * 
   * @return {Promise<Array>} properties set
   */
  PropertyTypesCollection.prototype.getMinimalPropertiesSet = function getMinimalPropertiesSet() {
    return Promise.resolve(['name']);
  };

  createClass(PropertyTypesCollection, [{
    key: 'defaultEndpoint',


    /**
     * The endpoint for PropertyTypes.
     * @type {String}
     */
    get: function get$$1() {
      return '/model/property_types';
    }
  }], [{
    key: 'Model',


    /**
     * Return object type model
     * 
     * @return {Class<PropertyTypeModel>} the PropertyTypeModel
     */
    get: function get$$1() {
      return PropertyTypeModel;
    }
  }]);
  return PropertyTypesCollection;
}(Collection);

var PropertiesCollection = function (_Collection) {
    inherits(PropertiesCollection, _Collection);

    function PropertiesCollection() {
        classCallCheck(this, PropertiesCollection);
        return possibleConstructorReturn(this, _Collection.apply(this, arguments));
    }

    PropertiesCollection.prototype.getMinimalPropertiesSet = function getMinimalPropertiesSet() {
        return Promise.resolve(['name', 'description', 'property_type_name', 'object_type_name']);
    };

    /**
     * The endpoint for Properties.
     * @type {String}
     */


    /**
     * Get a list of properties by model type
     * @param {String} type The object type.
     * @param {String} filter Should filter `static` or `dynamic` properties.
     * @return {Promise}
     */
    PropertiesCollection.prototype.findAllByObjectType = function findAllByObjectType(type) {
        var filter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

        var options = {
            filter: {
                object_type: type
            }
        };
        if (filter) {
            options.filter.type = filter;
        }
        return this.findAll(options);
    };

    createClass(PropertiesCollection, [{
        key: 'defaultEndpoint',
        get: function get$$1() {
            return '/model/properties';
        }
    }], [{
        key: 'Model',
        get: function get$$1() {
            return PropertyModel;
        }
    }]);
    return PropertiesCollection;
}(Collection);

/**
 * @module keypath
 */

/**
 * Assert scope object is a valid object.
 * @private
 *
 * @param {*} obj The object to check
 * @return {boolean} The object is valid or not
 */
function assertObject(obj) {
    return !isFalsy(obj) && (typeof obj === 'undefined' ? 'undefined' : _typeof(obj)) === 'object';
}

/**
 * Assert scope object and path are valid
 * @private
 *
 * @param {*} obj The object to check
 * @param {*} path The property path
 * @return {void}
 * @throws {Error} throw error when object scope is invalid undefined
 * @throws {Error} throw error when paths is invalid or undefined
 */
function assertArgs(obj, path) {
    if (!assertObject(obj)) {
        throw new Error('invalid scope');
    }
    if (isFalsy(path) || isArray(path) && path.length === 0) {
        throw new Error('invalid path');
    }
}

/**
 * Normalize path argument in an array of paths
 * @private
 *
 * @param {Array|string|number} path The argument to normalize
 * @return {Array} An array of paths
 */
function pathToArray(path) {
    if (isString(path)) {
        return path.split('.');
    }
    if (isNumber(path)) {
        return ['' + path];
    }
    if (isArray(path)) {
        return path.slice(0);
    }
    return path;
}

/**
 * Get a deep property of an object using paths
 * @memberof keypath
 * 
 * @param {Object} obj The object scope
 * @param {String|Array} path The path of the property to retrieve
 * @return {*} The property value
 * @throws {Error} throw error when object scope is undefined
 * @throws {Error} throw error when paths is invalid or undefined
 */


/**
 * Set a deep property of an object using paths
 * @memberof keypath
 *
 * @param {Object} obj The object scope
 * @param {String|Array} path The path of the property to set
 * @param {*} value The value to set
 * @param {boolean} [ensure=true] Create path if does not exists
 * @return {*} The property value
 * @throws {Error} throw error when object scope is invalid undefined
 * @throws {Error} throw error when paths is invalid or undefined
 */
function set$2(obj, path, value) {
    var ensure = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;

    assertArgs(obj, path);
    path = pathToArray(path);
    if (path.length === 1) {
        if (isArray(obj) && path[0] === '') {
            obj.push(value);
        } else {
            obj[path[0]] = value;
        }
        return value;
    }
    var current = path.shift();
    var currentObj = void 0;
    if (!obj.hasOwnProperty(current)) {
        if (ensure) {
            var next = path[0];
            if (isNaN(next) && next !== '') {
                currentObj = obj[current] = {};
            } else {
                currentObj = obj[current] = [];
            }
        }
    } else {
        currentObj = obj[current];
    }
    return set$2(currentObj, path, value, ensure);
}

/**
 * Check deep object property existence using paths
 * @memberof keypath
 *
 * @param {Object} obj The object scope
 * @param {String|Array} path The path of the property to retrieve
 * @return {boolean} The property exists or not
 * @throws {Error} throw error when object scope is invalid undefined
 * @throws {Error} throw error when paths is invalid or undefined
 */


/**
 * Ensure the existance of a value for the given path.
 * If the value already exists, do nothing.
 * @memberof keypath
 * 
 * @param {Object} obj The object scope
 * @param {String|Array} path The path of the property to retrieve
 * @param {*} The default value to set
 * @return {*} The actual value for the given property
 * @throws {Error} throw error when object scope is invalid undefined
 * @throws {Error} throw error when paths is invalid or undefined
 */


/**
 * Push or replace a value in array.
 * @memberof keypath
 * 
 * @param {Object} obj The object scope
 * @param {String|Array} path The path of the property to retrieve
 * @param {*} value The value to push
 * @param {number} [index] The index to replace (empty, push at the end)
 * @return {Array} The modified array
 * @throws {Error} throw error when object scope is invalid undefined
 * @throws {Error} throw error when paths is invalid or undefined
 */


/**
 * Reset the value at the given path.
 * * Object → remove all keys from the object
 * * Array → remove all values from the array
 * * String → reset to empty string
 * * Number → reset to 0
 * * any → reset to null
 * @memberof keypath
 * 
 * @param {Object} obj The object scope
 * @param {String|Array} path The path of the property to retrieve
 * @return {*} The modified object
 * @throws {Error} throw error when object scope is invalid undefined
 * @throws {Error} throw error when paths is invalid or undefined
 */


/**
 * Remove a key from the parent path.
 * @memberof keypath
 * 
 * @param {Object} obj The object scope
 * @param {String|Array} path The path of the property to retrieve
 * @return {*} The parent path object
 * @throws {Error} throw error when object scope is invalid undefined
 * @throws {Error} throw error when paths is invalid or undefined
 */

/**
 * @module Url
 */

var REF_SYM = Symbolic('ref');
var URL_REGEX = /((?:^(?:[a-z]+:))|^)?(?:\/\/)?([^?/$]*)([^?]*)?(\?.*)?/i;
var PORT_REGEX = /:\d*$/;

/**
 * Parse and split an url in its components.
 * @memberof Url
 *
 * @param {string} url The url to parse.
 * @return {Object} The url properties.
 */
function parse() {
    var url = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

    var hashSplit = url.split('#');
    var hash = hashSplit.length > 1 ? hashSplit.pop() : undefined;
    url = hashSplit.join('#');
    var match = url.match(URL_REGEX);
    var res = {
        host: undefined,
        hostname: undefined,
        port: undefined,
        username: undefined,
        password: undefined,
        hash: hash
    };
    if (match) {
        res.protocol = match[1];
        if (match[2]) {
            var host = match[2];
            res.host = host;
            var port = host.match(PORT_REGEX);
            if (port) {
                res.port = port[0].substring(1);
                host = host.replace(port[0], '');
            }
            var authSplit = host.split('@');
            res.hostname = authSplit.pop();
            var authChunk = authSplit.join('@').split(':');
            res.username = authChunk.shift();
            res.password = authChunk.join(':');
        }
        res.pathname = match[3];
        res.search = match[4];
    }
    if (!match || res.port && !res.hostname || res.protocol && res.protocol !== 'file:' && !res.hostname || res.search && !res.hostname && !res.pathname || res.password && !res.username) {
        throw new SyntaxError('invalid url');
    }
    if (res.host && res.pathname === '/') {
        res.pathname = '';
    }
    if (res.hostname) {
        var origin = res.protocol ? res.protocol + '//' : '';
        origin += res.hostname;
        origin += res.port ? ':' + res.port : '';
        res.origin = origin;
    }
    return res;
}

/**
 * Serialize a key/value pair matching differente operators.
 * @private
 *
 * @param {string} key The pair key.
 * @param {string} val The pair value.
 * @return {string} A serialized string of key/value pair.
 */
function chunk(key, val) {
    if (val) {
        return encodeURIComponent(key) + '=' + encodeURIComponent(val);
    }
    return '' + encodeURIComponent(key);
}

/**
 * Serialize an object in FormData format.
 * @memberof Url
 *
 * @param {Object} obj The object to convert.
 * @param {string} prefix The prefix to use in case of recursion.
 * @param {Function} [chunkFn] The callback function to use for chunking a key/value pair.
 * @return {string} An object to serialize.
 */
function serialize(obj, prefix) {
    var chunkFn = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : chunk;

    var str = [];
    var keys = Object.keys(obj);
    if (keys.length) {
        for (var p in obj) {
            if (obj.hasOwnProperty(p) && obj[p] !== undefined) {
                var k = prefix ? prefix + '[' + p + ']' : p;
                var v = obj[p];
                if (v instanceof Date) {
                    v = v.toISOString();
                }
                str.push(v !== null && (typeof v === 'undefined' ? 'undefined' : _typeof(v)) === 'object' ? serialize(v, k) : chunkFn(k, '' + v));
            }
        }
    } else if (prefix) {
        str.push(chunkFn(prefix));
    }
    return str.join('&');
}

/**
 * Unserialize a string in FormData format to an object.
 * @memberof Url
 *
 * @param {string} str A search string to unserialize.
 * @return {object} The unserialized object.
 */
function unserialize(str) {
    str = decodeURI(str);
    var chunks = str.split('&');
    var res = {};

    for (var i = 0, len = chunks.length; i < len; i++) {
        var _chunk = chunks[i].split('=');
        if (_chunk[0] && _chunk[1]) {
            var key = _chunk[0].replace(/\[(.*?)\]/g, '.$1');
            var val = decodeURIComponent(_chunk[1]);
            set$2(res, key, val);
        }
    }

    return res;
}

/**
 * Join url paths.
 * @memberof Url
 *
 * @param {...string} paths A list of paths to join.
 * @return {string} The final joint string.
 */
function _join() {
    for (var _len = arguments.length, paths = Array(_len), _key = 0; _key < _len; _key++) {
        paths[_key] = arguments[_key];
    }

    var len = paths.length - 1;
    return paths.filter(function (path) {
        return !!path;
    }).map(function (path, index) {
        if (index === 0) {
            return path.replace(/\/*$/, '');
        } else if (index === len) {
            return path.replace(/^\/*/, '');
        }
        return path.replace(/^\/*/, '').replace(/\/*$/, '');
    }).join('/');
}

/**
 * Resolve relative url path.
 * @memberof Url
 *
 * @param {string} base The base path.
 * @param {string} relative The relative path.
 * @return {string} The rsolved path.
 */
function _resolve(base, relative) {
    if (relative[0] === '/') {
        var baseInfo = parse(base);
        if (!baseInfo.origin) {
            throw new Error('base url is not an absolute url');
        }
        base = baseInfo.origin;
    }
    var stack = base.split('/');
    var parts = relative.split('/').filter(function (part) {
        return part !== '';
    });
    if (stack.length > 1) {
        stack.pop();
    }
    for (var i = 0; i < parts.length; i++) {
        if (parts[i] === '.') {
            continue;
        } else if (parts[i] === '..') {
            stack.pop();
        } else {
            stack.push(parts[i]);
        }
    }
    return stack.join('/');
}

/**
 * Check if an url is absolute.
 * @memberof Url
 *
 * @param {string} url The url to check.
 * @return {boolean}
 */
function _isAbsoluteUrl(url) {
    return !!parse(url).protocol;
}

/**
 * Check if an url is a data url.
 * @memberof Url
 *
 * @param {string} url The url to check.
 * @return {boolean}
 */
function _isDataUrl(url) {
    return parse(url).protocol === 'data:';
}

/**
 * Check if an url points to a local file.
 * @memberof Url
 *
 * @param {string} url The url to check.
 * @return {boolean}
 */
function _isLocalUrl(url) {
    return parse(url).protocol === 'file:';
}

/**
 * Update query string params to an url
 * @private
 *
 * @param {Url} url The url to update.
 * @param {string} path The query string.
 */
function updateSearchPath(url, path) {
    var href = url.href.split('?')[0];
    url.href = href + '?' + path;
}

/**
 * Convert search params entries to a query string.
 * @private
 *
 * @param {Array} entries Search params entries.
 * @return {string} The query string.
 */
function entriesToString(entries) {
    var unserialized = {};
    entries.forEach(function (entry) {
        unserialized[entry[0]] = entry[1];
    });
    return serialize(unserialized);
}

/**
 * Search params interface for Url.
 * @class SearchParams
 * @memberof Url
 * @property {Url} url The referenced Url.
 *
 * @param {Url} ref The referenced Url instance.
 */
var SearchParams = function () {
    function SearchParams(ref) {
        classCallCheck(this, SearchParams);

        this[REF_SYM] = ref;
    }

    /**
     * List all entry keys.
     * @memberof Url.SearchParams
     *
     * @return {Array} Entry keys list.
     */
    SearchParams.prototype.keys = function keys() {
        return this.entries().map(function (entry) {
            return entry[0];
        });
    };

    /**
     * List all entry values.
     * @memberof Url.SearchParams
     *
     * @return {Array} Entry values list.
     */


    SearchParams.prototype.values = function values() {
        return this.entries().map(function (entry) {
            return entry[1];
        });
    };

    /**
     * List all entries.
     * @memberof Url.SearchParams
     *
     * @return {Array} Entries list in format [[key, value], [...]].
     */


    SearchParams.prototype.entries = function entries() {
        var search = this.url.search.substring(1);
        var unserialized = unserialize(search);
        return Object.keys(unserialized).map(function (key) {
            return [key, unserialized[key]];
        });
    };

    /**
     * Retrieve an entry.
     * @memberof Url.SearchParams
     *
     * @param {string} name The entity name to get.
     * @return {*} The entity value.
     */


    SearchParams.prototype.get = function get$$1(name) {
        var entries = this.entries();
        for (var i = 0, len = entries.length; i < len; i++) {
            if (entries[i][0] === name) {
                return entries[i][1];
            }
        }
    };

    /**
     * Check if entity is defined.
     * @memberof Url.SearchParams
     *
     * @param {string} name The entity name to check.
     * @return {Boolean}
     */


    SearchParams.prototype.has = function has$$1(name) {
        return !!this.get(name);
    };

    /**
     * Set an entry value.
     * @memberof Url.SearchParams
     *
     * @param {string} name The entity name to set.
     * @param {*} value The entity value to set
     */


    SearchParams.prototype.set = function set$$1(name, value) {
        this.delete(name);
        var entries = this.entries();
        entries.push([name, value]);
        updateSearchPath(this.url, entriesToString(entries));
    };

    /**
     * Remove an entity from the search params.
     * @memberof Url.SearchParams
     *
     * @param {string} name The entity name to remove.
     */


    SearchParams.prototype.delete = function _delete(name) {
        updateSearchPath(this.url, entriesToString(this.entries().filter(function (entry) {
            return entry[0] !== name;
        })));
    };

    /**
     * Sort entities by keys names.
     * @memberof Url.SearchParams
     */


    SearchParams.prototype.sort = function sort() {
        var entries = this.entries();
        entries.sort(function (entry1, entry2) {
            var key1 = entry1[0];
            var key2 = entry2[0];
            if (key1 < key2) {
                return -1;
            } else if (key1 > key2) {
                return 1;
            }
            return 0;
        });
        updateSearchPath(this.url, entriesToString(entries));
    };

    SearchParams.prototype.toString = function toString() {
        return this.url.search;
    };

    createClass(SearchParams, [{
        key: 'url',
        get: function get$$1() {
            return this[REF_SYM];
        }
    }]);
    return SearchParams;
}();

/**
 * Url helper class.
 * @class Url
 * @memberof Url
 * @property {SearchParams} searchParams The url query string interface.
 * @property {string} href The full url string.
 * @property {string} protocol The url's protocol (if defined).
 * @property {string} username The username used (if defined).
 * @property {string} password The password used (if defined).
 * @property {string} host The url's host.
 * @property {string} hostname The url's hostname.
 * @property {string} port The url's port (if defined).
 * @property {string} search The url's query params.
 * @property {string} hash The url's hash.
 *
 * @param {string} path The url to handle.
 * @param {string} [baseUrl] The optional base url. 
 */
var Url = function () {
    function Url(path, baseUrl) {
        classCallCheck(this, Url);

        if (baseUrl) {
            this.href = _resolve(baseUrl, path);
        } else {
            this.href = path;
        }
        this.searchParams = new SearchParams(this);
    }

    /**
     * Join current Url with paths.
     * @memberof Url.Url
     *
     * @param {,,,string} paths A list of paths to join.
     * @return {Url} A new url instance.
     */
    Url.prototype.join = function join() {
        for (var _len2 = arguments.length, paths = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
            paths[_key2] = arguments[_key2];
        }

        return new Url(_join.apply(undefined, [this.href].concat(paths)));
    };

    /**
     * Resolve a path relative to the current Url.
     * @memberof Url.Url
     *
     * @param {string} path The relative path.
     * @return {Url} A new url instance.
     */


    Url.prototype.resolve = function resolve(path) {
        return new Url(_resolve(this.href, path));
    };

    /**
     * Check if current Url is absolute.
     * @memberof Url.Url
     *
     * @return {Boolean}
     */


    Url.prototype.isAbsoluteUrl = function isAbsoluteUrl() {
        return _isAbsoluteUrl(this.href);
    };

    /**
     * Check if current Url is a data url.
     * @memberof Url.Url
     *
     * @return {Boolean}
     */


    Url.prototype.isDataUrl = function isDataUrl() {
        return _isDataUrl(this.href);
    };

    /**
     * Check if current Url points to local file.
     * @memberof Url.Url
     *
     * @return {Boolean}
     */


    Url.prototype.isLocalUrl = function isLocalUrl() {
        return _isLocalUrl(this.href);
    };

    Url.prototype.toString = function toString() {
        return this.href;
    };

    createClass(Url, [{
        key: 'href',
        get: function get$$1() {
            return this[REF_SYM];
        },
        set: function set$$1(href) {
            var info = parse(href);
            this[REF_SYM] = href;
            for (var k in info) {
                this[k] = info[k];
            }
        }
    }]);
    return Url;
}();

/**
 * @class UrlHelper
 * Handle urls.
 * @deprecated since version 2.3.0
 * Use @chialab/proteins~Url
 */
var UrlHelper = function () {
    UrlHelper.join = function join$$1() {
        return _join.apply(undefined, arguments);
    };

    UrlHelper.isAbsoluteUrl = function isAbsoluteUrl$$1(url) {
        return _isAbsoluteUrl(url);
    };

    UrlHelper.isDataUrl = function isDataUrl$$1(url) {
        return _isDataUrl(url);
    };

    UrlHelper.resolve = function resolve$$1(base, relative) {
        return _resolve(base, relative);
    };

    function UrlHelper(url) {
        classCallCheck(this, UrlHelper);

        this.url = new Url(url);
    }

    UrlHelper.prototype.isAbsoluteUrl = function isAbsoluteUrl$$1() {
        return this.url.isAbsoluteUrl();
    };

    UrlHelper.prototype.isDataUrl = function isDataUrl$$1() {
        return this.url.isDataUrl();
    };

    UrlHelper.prototype.resolve = function resolve$$1(path) {
        return this.url.resolve(path).href;
    };

    UrlHelper.prototype.join = function join$$1() {
        var _url;

        return (_url = this.url).join.apply(_url, arguments).href;
    };

    return UrlHelper;
}();

var TOKEN_KEY = 'be.accessToken';
var RENEW_TOKEN_KEY = 'be.renewToken';

var _queue = Promise.resolve();

var Api = function (_Factory) {
    inherits(Api, _Factory);

    function Api() {
        classCallCheck(this, Api);
        return possibleConstructorReturn(this, _Factory.apply(this, arguments));
    }

    Api.prototype.initialize = function initialize(options) {
        if (options) {
            this.config(options);
        }
        return _Factory.prototype.initialize.call(this, options);
    };

    Api.prototype.config = function config() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        this.options = options;
        this.restore();
    };

    Api.prototype.restore = function restore() {
        var token = this.storage.getItem(TOKEN_KEY);
        var renew = this.storage.getItem(RENEW_TOKEN_KEY);
        if (token) {
            this.setAccessToken(token);
        }
        if (renew) {
            this.setRenewToken(renew);
        }
    };

    Api.prototype.resolve = function resolve(endpoint) {
        if (!this.options.base) {
            throw new Error('Missing BEdita base api url');
        }
        if (endpoint.indexOf(this.options.base) !== 0) {
            endpoint = UrlHelper.join(this.options.base, endpoint);
        }
        return endpoint;
    };

    Api.prototype.request = function request(api) {
        var _this2 = this;

        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        var url = this.resolve(api);
        options.headers = options.headers || {};
        options.headers['accept'] = 'application/vnd.api+json';
        options.headers['x-requested-with'] = 'XMLHttpRequest';
        if (this.options.apiKey) {
            options.headers['x-api-key'] = this.options.apiKey;
        }
        if (this.token) {
            options.headers['Authorization'] = 'Bearer ' + this.token;
        }
        if (options.body) {
            if (Object.prototype.toString.call(options.body) === '[object Object]') {
                options.headers['content-type'] = 'application/json';
                options.body = JSON.stringify(options.body);
            }
            if (!options.headers['content-type']) {
                options.headers['content-type'] = 'application/x-www-form-urlencoded';
            }
        }
        this.factory('debug').log('api -> [' + (options.method || 'get').toUpperCase() + ']', url);
        return fetch(url, options).then(function (res) {
            return res.text().then(function (json) {
                if (json) {
                    json = JSON.parse(json);
                }
                if (res.ok) {
                    return Promise.resolve(json);
                }
                return Promise.reject(json);
            });
        }).catch(function (res) {
            if (_this2.token && res && res.error && res.error.status == 401 && res.error.title === 'Expired token') {
                return _this2.renew().catch(function () {
                    return Promise.reject(res);
                }).then(function () {
                    return _this2.request(api, options);
                });
            }
            return Promise.reject(res);
        });
    };

    Api.prototype.queue = function queue(fn) {
        _queue = _queue.catch(function () {
            return Promise.resolve();
        }).then(function () {
            return fn();
        });

        return _queue;
    };

    Api.prototype.get = function get$$1(api, options) {
        var _this3 = this;

        return this.queue(function () {
            return _this3.request(api, options);
        });
    };

    Api.prototype.post = function post(api, data, options) {
        var _this4 = this;

        options = options ? clone(options) : {};
        options.body = data;
        options.method = 'POST';
        return this.queue(function () {
            return _this4.request(api, options);
        });
    };

    Api.prototype.patch = function patch(api, data, options) {
        var _this5 = this;

        options = options ? clone(options) : {};
        options.body = data;
        options.method = 'PATCH';
        return this.queue(function () {
            return _this5.request(api, options);
        });
    };

    Api.prototype.delete = function _delete(api, data, options) {
        var _this6 = this;

        options = options ? clone(options) : {};
        options.body = data;
        options.method = 'DELETE';
        options.headers = options.headers || {};
        options.headers['content-type'] = 'application/vnd.api+json';
        return this.queue(function () {
            return _this6.request(api, options);
        });
    };

    Api.prototype.unsetAccessToken = function unsetAccessToken() {
        this.token = null;
        this.storage.removeItem(TOKEN_KEY, this.token);
    };

    Api.prototype.setAccessToken = function setAccessToken(token) {
        this.token = token;
        this.storage.setItem(TOKEN_KEY, this.token);
    };

    Api.prototype.unsetRenewToken = function unsetRenewToken() {
        this.renewToken = null;
        this.storage.removeItem(RENEW_TOKEN_KEY, this.token);
    };

    Api.prototype.setRenewToken = function setRenewToken(token) {
        this.renewToken = token;
        this.storage.setItem(RENEW_TOKEN_KEY, this.renewToken);
    };

    Api.prototype.auth = function auth(username, password) {
        var _this7 = this;

        return this.post('auth', this.factory('url').serialize({
            username: username,
            password: password
        })).then(function (res) {
            _this7.onAuth(res);
            return _this7.me().then(function (userRes) {
                userRes.meta = userRes.meta || {};
                userRes.meta.jwt = res.meta.jwt;
                userRes.meta.renew = res.meta.renew;
                return Promise.resolve(userRes);
            });
        });
    };

    Api.prototype.renew = function renew() {
        var _this8 = this;

        if (!this.renewToken) {
            throw new Error('Missing renew token');
        }
        var token = this.token;
        this.token = this.renewToken;
        return this.request('auth', { method: 'POST' }).then(function (res) {
            _this8.onAuth(res);
            return Promise.resolve(res);
        }).catch(function (err) {
            _this8.token = token;
            return Promise.reject(err);
        });
    };

    Api.prototype.onAuth = function onAuth(res) {
        if (res.meta) {
            this.setAccessToken(res.meta.jwt);
            this.setRenewToken(res.meta.renew);
        }
    };

    Api.prototype.me = function me() {
        return this.get('auth');
    };

    Api.prototype.logout = function logout() {
        this.unsetAccessToken();
        this.unsetRenewToken();
    };

    /**
     * get all available object types flatten to their name attribute
     * 
     * @returns Promise
     */


    Api.prototype.types = function types() {
        return this.get('model/object_types').then(function (res) {
            if (res && res.data) {
                return Promise.resolve(res.data.map(function (type) {
                    return type.attributes.name;
                }));
            }
            return Promise.resolve([]);
        });
    };

    createClass(Api, [{
        key: 'storage',
        get: function get$$1() {
            return this.options && this.options.storage || localStorage;
        }
    }]);
    return Api;
}(Factory);

var Url$1 = function (_Factory) {
    inherits(Url, _Factory);

    function Url() {
        classCallCheck(this, Url);
        return possibleConstructorReturn(this, _Factory.apply(this, arguments));
    }

    Url.prototype.chunk = function chunk(key, val) {
        if (val) {
            return encodeURIComponent(key) + '=' + encodeURIComponent(val);
        }
        return '' + encodeURIComponent(key);
    };

    Url.prototype.serialize = function serialize(obj, prefix, chunkFn) {
        chunkFn = chunkFn || this.chunk;
        var str = [];
        var keys = Object.keys(obj);
        if (keys.length) {
            for (var p in obj) {
                if (obj.hasOwnProperty(p) && obj[p] !== undefined && obj[p] !== null) {
                    var k = prefix ? prefix + '[' + p + ']' : p;
                    var v = obj[p];
                    if (v instanceof Date) {
                        v = v.toISOString();
                    }
                    str.push(v !== null && (typeof v === 'undefined' ? 'undefined' : _typeof(v)) === 'object' ? this.serialize(v, k) : chunkFn(k, '' + v));
                }
            }
        } else if (prefix) {
            str.push(chunkFn(prefix));
        }
        return str.join('&');
    };

    Url.prototype.unserialize = function unserialize(str) {
        str = decodeURI(str);
        var chunks = str.split('&');
        var res = {};

        for (var i = 0, len = chunks.length; i < len; i++) {
            var chunk = chunks[i].split('=');
            if (chunk[0] && chunk[1]) {
                var key = chunk[0].replace(/\[(.*?)\]/g, '.$1');
                var val = decodeURIComponent(chunk[1]);
                set$2(res, key, val);
            }
        }

        return res;
    };

    Url.prototype.getSearchParams = function getSearchParams(url) {
        var params = url.split('?').slice(1).join('?');
        return params ? this.unserialize(params) : {};
    };

    Url.prototype.getSearchParam = function getSearchParam(url, key) {
        return this.getSearchParams(url)[key];
    };

    Url.prototype.setSearchParams = function setSearchParams(url, data) {
        var res = this.getSearchParams(url);
        for (var k in data) {
            res[k] = data[k];
        }
        res = this.serialize(res);
        return url.split('?')[0] + '?' + res;
    };

    Url.prototype.setSearchParam = function setSearchParam(url, key, value) {
        return this.setSearchParams(url, defineProperty({}, key, value));
    };

    Url.prototype.unsetSearchParam = function unsetSearchParam(url, key) {
        return this.setSearchParam(url, key, undefined);
    };

    return Url;
}(Factory);

var Session = function (_Factory) {
    inherits(Session, _Factory);

    function Session() {
        classCallCheck(this, Session);
        return possibleConstructorReturn(this, _Factory.apply(this, arguments));
    }

    Session.prototype.getUser = function getUser() {
        var _this2 = this;

        if (this.user) {
            return Promise.resolve(this.user);
        }
        if (!this.factory('api').token) {
            return Promise.reject();
        }
        if (!internal(this).userPromise) {
            internal(this).userPromise = this.factory('model').getCollection('users').then(function (Collection) {
                return _this2.initClass(Collection);
            }).then(function (collection) {
                return _this2.factory('api').me().then(function (res) {
                    return collection.model().then(function (model) {
                        return model.setFromResponse(res.data).then(function () {
                            _this2.user = model;
                            internal(_this2).userPromise = null;
                            return Promise.resolve(model);
                        });
                    });
                });
            }).catch(function (res) {
                _this2.factory('api').logout();
                return Promise.reject(res);
            });
        }
        return internal(this).userPromise;
    };

    Session.prototype.isLogged = function isLogged() {
        return !!this.user;
    };

    Session.prototype.login = function login(username, password) {
        var _this3 = this;

        var apiFactory = this.factory('api');
        return apiFactory.auth(username, password).then(function (res) {
            return _this3.onLoginResponse(res);
        });
    };

    Session.prototype.onLoginResponse = function onLoginResponse(res) {
        var _this4 = this;

        if (res.meta) {
            return this.factory('model').getCollection('users').then(function (Collection) {
                return _this4.initClass(Collection);
            }).then(function (collection) {
                return collection.model().then(function (model) {
                    return model.setFromResponse(res.data).then(function () {
                        _this4.user = model;
                        _this4.trigger('login', _this4.user);
                        return Promise.resolve(model);
                    });
                });
            });
        }
        return Promise.reject();
    };

    Session.prototype.logout = function logout() {
        this.user = null;
        localStorage.removeItem('user.id');
        var apiFactory = this.factory('api');
        apiFactory.logout();

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        this.trigger.apply(this, ['logout'].concat(args));
    };

    Session.prototype.renew = function renew() {
        var _this5 = this;

        var apiFactory = this.factory('api');
        return apiFactory.renew().then(function (res) {
            return _this5.onLoginResponse(res, _this5.user.id);
        });
    };

    return Session;
}(Factory);

/* eslint-disable no-console */

var styles = 'font-family: monospace; color: #BBB;';

var Debug = function (_Factory) {
    inherits(Debug, _Factory);

    function Debug() {
        classCallCheck(this, Debug);
        return possibleConstructorReturn(this, _Factory.apply(this, arguments));
    }

    Debug.prototype.log = function log() {
        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        if (typeof window !== 'undefined') {
            var _console;

            (_console = console).log.apply(_console, ['%c [BEDITA]', styles].concat(args));
        } else {
            var _console2;

            (_console2 = console).log.apply(_console2, ['[BEDITA]'].concat(args));
        }
    };

    Debug.prototype.warn = function warn() {
        for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
            args[_key2] = arguments[_key2];
        }

        if (typeof window !== 'undefined') {
            var _console3;

            (_console3 = console).warn.apply(_console3, ['%c [BEDITA]', styles].concat(args));
        } else {
            var _console4;

            (_console4 = console).warn.apply(_console4, ['[BEDITA]'].concat(args));
        }
    };

    Debug.prototype.error = function error() {
        for (var _len3 = arguments.length, args = Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
            args[_key3] = arguments[_key3];
        }

        if (typeof window !== 'undefined') {
            var _console5;

            (_console5 = console).error.apply(_console5, ['%c [BEDITA]', styles].concat(args));
        } else {
            var _console6;

            (_console6 = console).error.apply(_console6, ['[BEDITA]'].concat(args));
        }
    };

    return Debug;
}(Factory);

/**
 * Handle models via API.
 *
 * @class ModelFactory
 * @extends Factory
 */
var ModelFactory = function (_Factory) {
    inherits(ModelFactory, _Factory);

    function ModelFactory() {
        classCallCheck(this, ModelFactory);
        return possibleConstructorReturn(this, _Factory.apply(this, arguments));
    }

    /**
     * Get the JSON schema for a model type.
     * @param {String} type The model type.
     * @return {Promise<Object>} The model schema.
     */
    ModelFactory.prototype.getSchema = function getSchema(type) {
        return this.factory('api').get('/model/schema/' + type);
    };

    /**
     * Create a singleton registry of models and collections.
     * @param {Object} options A set of options for the factory.
     * @param {Array<Collection>} options.collections A set of Collections to pre-register.
     * @param {Array<Model>} options.models A set of Models to pre-register.
     * @return {Promise}
     */


    ModelFactory.prototype.initialize = function initialize() {
        var _this2 = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        this.models = {};
        this.collections = {};
        this.modelQueue = {};
        this.collectionQueue = {};
        return _Factory.prototype.initialize.call(this, options).then(function () {
            (options.models || []).forEach(function (Model) {
                _this2.registerModel(Model);
            });
            (options.collections || []).forEach(function (Collection$$1) {
                _this2.registerCollection(Collection$$1);
            });
            return Promise.resolve(_this2);
        });
    };

    /**
     * Add a Model to the registry.
     * @param {Class<Model>} Model A Model constructor.
     */


    ModelFactory.prototype.registerModel = function registerModel(Model) {
        this.models[Model.prototype.type || Model.type] = Model;
    };

    /**
     * Get a Model constructor by type.
     * @param {String} type The type of the Model to retrieve.
     * @return {Promise<Class<Model>>} The Model constructor.
     */


    ModelFactory.prototype.getModel = function getModel(type) {
        var _this3 = this;

        if (this.hasModel(type)) {
            return Promise.resolve(this.models[type]);
        }
        if (this.modelQueue[type]) {
            return this.modelQueue[type];
        }
        this.modelQueue[type] = this.getObjectType(type).then(function (objectType) {
            var parentId = objectType.parent_name || 'objects';
            return _this3.getModel(parentId).then(function (ParentModel) {
                return _this3.getSchema(type).then(function (data) {
                    var relations = {};
                    if (objectType.metadata().relations) {
                        objectType.metadata().relations.forEach(function (rel) {
                            relations[rel] = {};
                        });
                    }
                    var TypedModel = ParentModel.create(type, data, relations);
                    _this3.registerModel(TypedModel);
                    return TypedModel;
                });
            });
        });
        return this.modelQueue[type];
    };

    /**
     * Check if a Model is in registry.
     * @param {String} type The type of the Model.
     * @return {Boolean}
     */


    ModelFactory.prototype.hasModel = function hasModel(type) {
        return this.models.hasOwnProperty(type);
    };

    /**
     * Add a Collection to the registry.
     * @param {Class<Collection>} Collection A Collection constructor.
     */


    ModelFactory.prototype.registerCollection = function registerCollection(Collection$$1) {
        this.collections[Collection$$1.prototype.type || Collection$$1.type] = Collection$$1;
    };

    /**
     * Get a Collection constructor by type.
     * @param {String} type The type of the Collection to retrieve.
     * @return {Promise<Class<Collection>>} The Collection constructor.
     */


    ModelFactory.prototype.getCollection = function getCollection(type) {
        var _this4 = this;

        if (this.hasCollection(type)) {
            return Promise.resolve(this.collections[type]);
        }
        if (this.collectionQueue[type]) {
            return this.collectionQueue[type];
        }
        this.collectionQueue[type] = this.getModel(type).then(function (Model) {
            var TypedCollection = Collection.create(Model);
            _this4.registerCollection(TypedCollection);
            return Promise.resolve(TypedCollection);
        });
        return this.collectionQueue[type];
    };

    /**
     * Check if a Collection is in registry.
     * @param {String} type The type of the Collection.
     * @return {Boolean}
     */


    ModelFactory.prototype.hasCollection = function hasCollection(type) {
        return this.collections.hasOwnProperty(type);
    };

    /**
     * Instantiate a new Collection by type.
     * @param {String} type The collection type.
     * @param {Object} arr The initial array of models.
     * @return {Promise<Collection>}
     */


    ModelFactory.prototype.initCollection = function initCollection(type, arr) {
        var _this5 = this;

        var resolveCollectionCtr = void 0;
        if (typeof type === 'string') {
            // get or generate the collection
            resolveCollectionCtr = this.getCollection(type);
        } else if (typeof type === 'function') {
            // already a Class contrusctor
            resolveCollectionCtr = Promise.resolve(type);
        }
        return resolveCollectionCtr.then(function (Collection$$1) {
            return _this5.initClass(Collection$$1, arr);
        });
    };

    /**
     * Instantiate a new Model by type.
     * @param {String} type The model type.
     * @param {Object} data A set of initial data.
     * @return {Promise<Model>}
     */


    ModelFactory.prototype.initModel = function initModel(type, data) {
        var _this6 = this;

        var resolveModelCtr = void 0;
        if (typeof type === 'string') {
            // get or generate the model
            resolveModelCtr = this.getModel(type);
        } else if (typeof type === 'function') {
            // already a Class contrusctor
            resolveModelCtr = Promise.resolve(type);
        }
        return resolveModelCtr.then(function (Model) {
            return _this6.initClass(Model, data);
        });
    };

    /**
     * Fetch all object types.
     * @return {Promise<ObjectTypesCollection>}
     */


    ModelFactory.prototype.getObjectTypes = function getObjectTypes() {
        return this.initClass(ObjectTypesCollection).then(function (collection) {
            return collection.findAll().then(function () {
                return collection;
            });
        });
    };

    /**
     * Fetch abstract object types.
     * @return {Promise<ObjectTypesCollection>}
     */


    ModelFactory.prototype.getAbstractObjectTypes = function getAbstractObjectTypes() {
        return this.initClass(ObjectTypesCollection).then(function (collection) {
            return collection.findAll({
                filter: {
                    is_abstract: true
                }
            }).then(function () {
                return collection;
            });
        });
    };

    /**
     * Get the ObjectType Model for a given type.
     * @param {String} type The type of the Model.
     * @return {Promise<ObjectType>}
     */


    ModelFactory.prototype.getObjectType = function getObjectType(type) {
        return this.initClass(ObjectTypesCollection).then(function (collection) {
            return collection.findById(type);
        });
    };

    /**
     * Fetch all property types.
     * @return {Promise<PropertyTypesCollection>}
     */


    ModelFactory.prototype.getPropertyTypes = function getPropertyTypes() {
        return this.initClass(PropertyTypesCollection).then(function (collection) {
            return collection.findAll().then(function () {
                return collection;
            });
        });
    };

    /**
     * Fetch a full list of properties for object type.
     * @param {String} type The object type name.
     * @return {Promise<PropertiesCollection>}
     */


    ModelFactory.prototype.getPropertiesForType = function getPropertiesForType(type) {
        return this.initClass(PropertiesCollection).then(function (collection) {
            return collection.findAllByObjectType(type).then(function () {
                return collection;
            });
        });
    };

    /**
     * Fetch a list of static properties for object type.
     * @param {String} type The object type name.
     * @return {Promise<PropertiesCollection>}
     */


    ModelFactory.prototype.getStaticPropertiesForType = function getStaticPropertiesForType(type) {
        return this.initClass(PropertiesCollection).then(function (collection) {
            if (type) {
                return collection.findAllByObjectType(type, 'static').then(function () {
                    return collection;
                });
            }
            return collection;
        });
    };

    /**
     * Fetch a list of dynamic properties for object type.
     * @param {String} type The object type name.
     * @return {Promise<PropertiesCollection>}
     */


    ModelFactory.prototype.getDynamicPropertiesForType = function getDynamicPropertiesForType(type) {
        return this.initClass(PropertiesCollection).then(function (collection) {
            if (type) {
                return collection.findAllByObjectType(type, 'dynamic').then(function () {
                    return collection;
                });
            }
            return collection;
        });
    };

    return ModelFactory;
}(Factory);

var CORE_MODELS = [ObjectModel, RoleModel, UserModel, StreamModel, MediaModel, ApplicationModel, ObjectTypeModel, PropertyTypeModel, PropertyModel];

var CORE_COLLECTIONS = [ObjectsCollection, RolesCollection, TrashCollection, UsersCollection, StreamsCollection, MediaCollection, ApplicationsCollection, ObjectTypesCollection, PropertyTypesCollection, PropertiesCollection];

var Client = function (_mix$with) {
    inherits(Client, _mix$with);

    function Client() {
        classCallCheck(this, Client);
        return possibleConstructorReturn(this, _mix$with.apply(this, arguments));
    }

    Client.init = function init(options) {
        var client = new this();
        return client.initialize(options).then(function () {
            return client;
        });
    };

    Client.prototype.initialize = function initialize() {
        var _this2 = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        internal(this).options = options;
        return _mix$with.prototype.initialize.call(this, options).then(function () {
            if (options.base) {
                _this2.config({
                    base: options.base,
                    apiKey: options.apiKey
                });
            }
            if (Array.isArray(options.models)) {
                options.models.forEach(function (Model) {
                    _this2.registerModel(Model);
                });
            }
            if (Array.isArray(options.collections)) {
                options.collections.forEach(function (Collection) {
                    _this2.registerCollection(Collection);
                });
            }
            return Promise.resolve();
        });
    };

    Client.prototype.config = function config(options) {
        this.factory('api').config({
            base: options.base,
            apiKey: options.apiKey
        });
    };

    Client.prototype.getModel = function getModel() {
        var _factory;

        return (_factory = this.factory('model')).getModel.apply(_factory, arguments);
    };

    Client.prototype.registerModel = function registerModel() {
        var _factory2;

        return (_factory2 = this.factory('model')).registerModel.apply(_factory2, arguments);
    };

    Client.prototype.getCollection = function getCollection() {
        var _factory3;

        return (_factory3 = this.factory('model')).getCollection.apply(_factory3, arguments);
    };

    Client.prototype.registerCollection = function registerCollection() {
        var _factory4;

        return (_factory4 = this.factory('model')).registerCollection.apply(_factory4, arguments);
    };

    Client.prototype.initCollection = function initCollection() {
        var _factory5;

        return (_factory5 = this.factory('model')).initCollection.apply(_factory5, arguments);
    };

    Client.prototype.initModel = function initModel() {
        var _factory6;

        return (_factory6 = this.factory('model')).initModel.apply(_factory6, arguments);
    };

    createClass(Client, null, [{
        key: 'injectors',
        get: function get$$1() {
            return {
                url: Url$1,
                api: Api,
                model: [ModelFactory, {
                    models: CORE_MODELS,
                    collections: CORE_COLLECTIONS
                }],
                session: Session,
                debug: Debug
            };
        }
    }]);
    return Client;
}(mix(Factory).with(InjectableMixin));

exports.ObjectModel = ObjectModel;
exports.RoleModel = RoleModel;
exports.UserModel = UserModel;
exports.StreamModel = StreamModel;
exports.MediaModel = MediaModel;
exports.ApplicationModel = ApplicationModel;
exports.ObjectTypeModel = ObjectTypeModel;
exports.PropertyTypeModel = PropertyTypeModel;
exports.PropertyModel = PropertyModel;
exports.ObjectsCollection = ObjectsCollection;
exports.RolesCollection = RolesCollection;
exports.TrashCollection = TrashCollection;
exports.UsersCollection = UsersCollection;
exports.StreamsCollection = StreamsCollection;
exports.MediaCollection = MediaCollection;
exports.ApplicationsCollection = ApplicationsCollection;
exports.ObjectTypesCollection = ObjectTypesCollection;
exports.PropertyTypesCollection = PropertyTypesCollection;
exports.PropertiesCollection = PropertiesCollection;
exports.Api = Api;
exports.Url = Url$1;
exports.ModelFactory = ModelFactory;
exports.Session = Session;
exports.Debug = Debug;
exports.CORE_MODELS = CORE_MODELS;
exports.CORE_COLLECTIONS = CORE_COLLECTIONS;
exports.Client = Client;
exports.Model = Model;
exports.Collection = Collection;
exports.RELATIONSHIP_MODES = RELATIONSHIP_MODES;
exports.RelationshipsCollection = RelationshipsCollection;
